<?php
class UserController extends Controller
{
	function getTotalRecordCount()
	{
		if (!isset($this->UserModelObj))
			$this->loadModel('BeaconModel', 'UserModelObj');
		if ($this->UserModelObj)
			return $this->UserModelObj->getTotalRecordCount();
	}
	
	function checkUserLogin($fields)
	{
		if (!isset($this->UserModelObj))
			$this->loadModel('UserModel', 'UserModelObj');
		if ($this->UserModelObj)
			return $this->UserModelObj->checkUserLogin($fields);
	}
	function updateUserDetails($fields,$condition)
	{
		if (!isset($this->UserModelObj))
			$this->loadModel('UserModel', 'UserModelObj');
		if ($this->UserModelObj)
			return $this->UserModelObj->updateUserDetails($fields,$condition);
	}
	function insertUserDetails($register_values)
	{
		if (!isset($this->UserModelObj))
			$this->loadModel('UserModel', 'UserModelObj');
		if ($this->UserModelObj)
			return $this->UserModelObj->insertUserDetails($register_values);
	}
	function selectUserDetails($fields,$condition)
	{
		if (!isset($this->UserModelObj))
			$this->loadModel('UserModel', 'UserModelObj');
		if ($this->UserModelObj)
			return $this->UserModelObj->selectUserDetails($fields,$condition);
	}
	function selectCustomerDetails($fields,$condition)
	{
		if (!isset($this->UserModelObj))
			$this->loadModel('UserModel', 'UserModelObj');
		if ($this->UserModelObj)
			return $this->UserModelObj->selectCustomerDetails($fields,$condition);
	}
	function getCustomerDetails($fields,$condition)
	{
		if (!isset($this->UserModelObj))
			$this->loadModel('UserModel', 'UserModelObj');
		if ($this->UserModelObj)
			return $this->UserModelObj->getCustomerDetails($fields,$condition);
	}
	function updateCustomerDetails($update_string,$condition)
	{
		if (!isset($this->UserModelObj))
			$this->loadModel('UserModel', 'UserModelObj');
		if ($this->UserModelObj)
			return $this->UserModelObj->updateCustomerDetails($update_string,$condition);
	}
	function getUserList($fields,$condition)
	{
		if (!isset($this->UserModelObj))
			$this->loadModel('UserModel', 'UserModelObj');
		if ($this->UserModelObj)
			return $this->UserModelObj->getUserList($fields,$condition);
	}
	function insertUserType($register_values)
	{
		if (!isset($this->UserModelObj))
			$this->loadModel('UserModel', 'UserModelObj');
		if ($this->UserModelObj)
			return $this->UserModelObj->insertUserType($register_values);
	}
	function selectUserTypeDetails($fields,$condition) 
	{
		if (!isset($this->UserModelObj))
			$this->loadModel('UserModel', 'UserModelObj');
		if ($this->UserModelObj)
			return $this->UserModelObj->selectUserTypeDetails($fields,$condition);
	}
	
	function updateUserType($fields,$condition)
	{
		if (!isset($this->UserModelObj))
			$this->loadModel('UserModel', 'UserModelObj');
		if ($this->UserModelObj)
			return $this->UserModelObj->updateUserType($fields,$condition);
	}
	
	function getUserTypeList($fields,$condition)
	{
		if (!isset($this->UserModelObj))
			$this->loadModel('UserModel', 'UserModelObj');
		if ($this->UserModelObj)
			return $this->UserModelObj->getUserTypeList($fields,$condition);
	}
	function insertCity($register_values)
	{
		if (!isset($this->UserModelObj))
			$this->loadModel('UserModel', 'UserModelObj');
		if ($this->UserModelObj)
			return $this->UserModelObj->insertCity($register_values);
	}
	function selectCityDetails($fields,$condition) 
	{
		if (!isset($this->UserModelObj))
			$this->loadModel('UserModel', 'UserModelObj');
		if ($this->UserModelObj)
			return $this->UserModelObj->selectCityDetails($fields,$condition);
	}
	function updateCityDetails($fields,$condition)
	{
		if (!isset($this->UserModelObj))
			$this->loadModel('UserModel', 'UserModelObj');
		if ($this->UserModelObj)
			return $this->UserModelObj->updateCityDetails($fields,$condition);
	}
	function getCityList($fields,$condition)
	{
		if (!isset($this->UserModelObj))
			$this->loadModel('UserModel', 'UserModelObj');
		if ($this->UserModelObj)
			return $this->UserModelObj->getCityList($fields,$condition);
	}
	function selectUserTypeList($fields,$condition)
	{
		if (!isset($this->UserModelObj))
			$this->loadModel('UserModel', 'UserModelObj');
		if ($this->UserModelObj)
			return $this->UserModelObj->selectUserTypeList($fields,$condition);
	}
	function selectOrganizations($fields,$condition)
	{
		if (!isset($this->UserModelObj))
			$this->loadModel('UserModel', 'UserModelObj');
		if ($this->UserModelObj)
			return $this->UserModelObj->selectOrganizations($fields,$condition);
	}
	function insertOrganization($register_values)
	{
		if (!isset($this->UserModelObj))
			$this->loadModel('UserModel', 'UserModelObj');
		if ($this->UserModelObj)
			return $this->UserModelObj->insertOrganization($register_values);
	}
	function updateOrganization($fields,$condition)
	{
		if (!isset($this->UserModelObj))
			$this->loadModel('UserModel', 'UserModelObj');
		if ($this->UserModelObj)
			return $this->UserModelObj->updateOrganization($fields,$condition);
	}
	function getOrganizationList($fields,$condition)
	{
		if (!isset($this->UserModelObj))
			$this->loadModel('UserModel', 'UserModelObj');
		if ($this->UserModelObj)
			return $this->UserModelObj->getOrganizationList($fields,$condition);
	}
	function getOrganization($fields,$condition)
	{
		if(!isset($this->UserModelObj))
			$this->loadModel('UserModel','UserModelObj');
		if($this->UserModelObj)
			return	$this->UserModelObj->getOrganization($fields,$condition);
	}
	function getBeaconCountList($fields,$condition)
	{
		if(!isset($this->UserModelObj))
			$this->loadModel('UserModel','UserModelObj');
		if($this->UserModelObj)
			return	$this->UserModelObj->getBeaconCountList($fields,$condition);
	}
	function getMajorLat($fields,$condition)
	{
		if(!isset($this->UserModelObj))
			$this->loadModel('UserModel','UserModelObj');
		if($this->UserModelObj)
			return	$this->UserModelObj->getMajorLat($fields,$condition);
	}
	function selectCustomerTracking($fields,$condition)
	{
		if (!isset($this->UserModelObj))
			$this->loadModel('UserModel', 'UserModelObj');
		if ($this->UserModelObj)
			return $this->UserModelObj->selectCustomerTracking($fields,$condition);
	}
}	