<?php
class DeviceModel extends Model
{
   function getDeviceList($fields,$condition)
	{
		$limit_clause = '';
		$sorting_clause = 'd.id desc';
		if(!empty($_SESSION['ordertype']))
			$sorting_clause = $_SESSION['orderby'] . ' ' . $_SESSION['ordertype'];
		if(isset($_SESSION['curpage']))
			$limit_clause = ' LIMIT '.(($_SESSION['curpage'] - 1) * ($_SESSION['perpage'])) . ', '. $_SESSION['perpage'];
		if(isset($_SESSION['beacon_sess_devices_device_name']) && $_SESSION['beacon_sess_devices_device_name'] != '')
			$condition	.= " AND d.DeviceName LIKE '%".$_SESSION['beacon_sess_devices_device_name']."%'";
		if(isset($_SESSION['beacon_sess_devices_device_id']) && $_SESSION['beacon_sess_devices_device_id'] != '')
			$condition	.= " AND d.DeviceId LIKE '%".$_SESSION['beacon_sess_devices_device_id']."%'";
		if(isset($_SESSION['beacon_sess_organization_name']) && $_SESSION['beacon_sess_organization_name'] != '')
			$condition .= " AND d.fkOrganizationId = '".$_SESSION['beacon_sess_organization_name']."'";
		if(isset($_SESSION['beacon_sess_devices_status']) && $_SESSION['beacon_sess_devices_status'] != '')
			$condition	.= " AND d.Status = ".$_SESSION['beacon_sess_devices_status'];
		/* $sql = "select SQL_CALC_FOUND_ROWS ".$fields." from {$this->deviceTable} as d 
				LEFT JOIN {$this->userTable} as u ON (d.fkUsersId = u.id)  
				WHERE 1".$condition." ORDER BY ".$sorting_clause." ".$limit_clause; */
		$sql = "select SQL_CALC_FOUND_ROWS ".$fields." from {$this->deviceTable} as d
			LEFT JOIN {$this->userTable} as u ON (d.fkUsersId = u.id)
			LEFT JOIN {$this->beaconTable} AS b ON ( b.fkDevicesId = d.id and b.Status in (1) ) 	
			WHERE 1".$condition." GROUP BY d.id ORDER BY ".$sorting_clause." ".$limit_clause;	
		$result	=	$this->sqlQueryArray($sql);
		if(count($result) == 0) return false;
		else return $result;
	}
    function getTotalRecordCount()
	{
		$result = $this->sqlCalcFoundRows();
        return $result;
	}
	function updateDeviceDetails($update_string,$condition){
		$sql	 =	"update {$this->deviceTable}  set ".$update_string." where ".$condition;
		// echo "=============".$sql;die();
		$this->updateInto($sql);
	}
	function selectDeviceDetails($field,$condition){
		$sql	 =	"select ".$field." from {$this->deviceTable} where ".$condition;
		$result = 	$this->sqlQueryArray($sql);
		if($result) return $result;
		else false;
	}
	function insertDeviceDetails($device_values){
		$sql	 =	"insert into  {$this->deviceTable}  set fkAdminsId		= '".$device_values['fkAdminsId']."',
															fkOrganizationId= '".$device_values['fkOrganizationId']."',
															DeviceType		= '1',
															DeviceName	    = '".$device_values['DeviceName']."',
															DeviceId	    = '".$device_values['DeviceId']."',
															Status			= '".$device_values['Status']."',
															fkUsersId		= '".$device_values['fkUsersId']."',
															DateCreated 	= '".date('Y-m-d H:i:s')."',
															DateModified	= '".date('Y-m-d H:i:s')."'";
		$this->result = $this->insertInto($sql);
		
		$insertId = $this->sqlInsertId();
        return $insertId;
	}
	function getDeviceCount($fields,$condition) {
		
		$sql	= "SELECT ".$fields." FROM {$this->deviceTable} WHERE 1 ".$condition;
		$result	=	$this->sqlQueryArray($sql);
		if(count($result) == 0) return false;
		else return $result;
	}
}
?>