<?php 
require_once('includes/CommonIncludes.php');
require_once('controllers/BeaconController.php');
require_once('controllers/AdminController.php');
require_once('controllers/UserController.php');

$userObj		=  new UserController();
$beaconObj		=  new BeaconController();
$adminLoginObj  =  new AdminController();
admin_login_check();

$BeaconArray	=	array();
$NameArray		=	array();
$MajorArrray	=	array();
$MinorArray		=	array();
$exist_minor=1;$exist ='';
if(isset($_GET['cs']) && $_GET['cs'] == 1) {
	unset($_SESSION['beacon_sess_map_beacon_name']);
	unset($_SESSION['beacon_sess_map_beacon_major']);
	unset($_SESSION['beacon_sess_map_beacon_minor']);
}

if(isset($_POST['Search']) && $_POST['Search'] != '') {
	if(isset($_POST['BeaconName']))
		$_SESSION['beacon_sess_map_beacon_name']	=	$_POST['BeaconName'];
	if(isset($_POST['BeaconMajor']))
		$_SESSION['beacon_sess_map_beacon_major']	=	$_POST['BeaconMajor'];
	if(isset($_POST['BeaconMinor']))
		$_SESSION['beacon_sess_map_beacon_minor']	=	$_POST['BeaconMinor'];
}

//Start: Allow user & subadmin
$orgCondition = '';
if(isset($_SESSION['beacon_sess_user_type']) && $_SESSION['beacon_sess_user_type'] == 2)	{
	$fkOrganizationId	=	$_SESSION['beacon_sess_type_of_organization'];
	$orgCondition		=	' and fkOrganizationId = '.$fkOrganizationId;	
} else if(isset($_SESSION['beacon_sess_user_type']) && $_SESSION['beacon_sess_user_type'] == 3) {
	$fkOrganizationId	=	isset($_SESSION['beacon_sub_admin_organizations'])?$_SESSION['beacon_sub_admin_organizations']:'';
	$orgCondition		=	' and fkOrganizationId = '.$fkOrganizationId;
}
//End: Allow user & subadmin

$fields				=	"*";
$condition			=	"BeaconType = 3 and Status = 1 and BeaconLatitude != '' and BeaconLongitude != ''".$orgCondition;
$BeaconDDLDetails	=	$beaconObj->selectBeaconDetails($fields,$condition);

if(isset($BeaconDDLDetails) && count($BeaconDDLDetails) > 0) {
	foreach($BeaconDDLDetails as $dkey => $dvalue) {
		$NameArray[$dvalue->id]				=	$dvalue->Description;
		$MajorArrray[$dvalue->Major]		=	$dvalue->Major;
		$MinorArray[$dvalue->Minor]			=	$dvalue->Minor;
	}
	asort($NameArray);
	asort($MajorArrray);
	asort($MinorArray);
}

$fields			=	"*";
$condition		=	"BeaconType = 3 and Status = 1 and BeaconLatitude != '' and BeaconLongitude != ''".$orgCondition;
$BeaconDetails	=	$beaconObj->selectMapBeaconDetails($fields,$condition);



if(isset($BeaconDetails) && !empty($BeaconDetails) && count($BeaconDetails) > 0) {
	foreach($BeaconDetails as $key => $value) {
		$BeaconArray[$key]['Latitude']		=	$value->BeaconLatitude;
		$BeaconArray[$key]['Longitude']		=	$value->BeaconLongitude;
		$BeaconArray[$key]['BeaconName']	=	$value->Description;
		$BeaconArray[$key]['Major']			=	$value->Major;
		$BeaconArray[$key]['Minor']			=	$value->Minor;
	}
}

$beaconJson	= '';
if(isset($BeaconArray) && !empty($BeaconArray)) {
	$beaconJson	=	json_encode($BeaconArray);
}
/* GET TRAFFIC BEACON MAJOR 
//echo '<pre>';print_r($_SESSION);
if(isset($_SESSION['beacon_sub_admin_organizations']) && $_SESSION['beacon_sub_admin_organizations'] != '') 
		$orgId		=	$_SESSION['beacon_sub_admin_organizations'];
		$deviceType	=	3;
		$fields		=	" * ";
		$condition	=	" id = '".$orgId."' and Status = 1 ";
		$orgresult	=	$userObj->getOrganization($fields,$condition);
		$isTraffic	=	$orgresult[0]->IsTraffic;
		$IsOpenDoor	=	$orgresult[0]->IsOpenDoor;
		$majorFrom	=	$orgresult[0]->MajorFrom;
		$majorTo	=	$orgresult[0]->MajorTo;
		 $field		=	"	m.Major ";
		$conditions	=	"  d.DeviceType = '".$deviceType."'";
		$majorresult	=	$userObj->getMajorLat($field,$conditions);
		foreach($majorresult as $key=>$value)
			$major[$key]	=	$value->Major;
		
		if(isset($majorFrom) && isset($majorTo)) { 
			for($i=$majorFrom; $i<=$majorTo; $i++) {
				if(in_array($i, $major))
					$majorDet[]	=	$i;
			}
		}
		if(isset($majorDet) && !empty($majorDet))
			$majors	=	implode(',',$majorDet);
		$resultArray			=	array();
		$fields					=	"m.Latitude,m.Longitude,d.DeviceType,m.Major,d.DeviceName";
		if($deviceType == 1)
			$condition				=	" d.Status = 1 AND d.fkOrganizationId = '".$orgId."' AND d.DeviceType = '".$deviceType."'";
		if(isset($majors) && $majors != '' && ($deviceType == 3 || $deviceType == 4))
			$condition	=	" m.Major in (".$majors.") AND d.DeviceType = '".$deviceType."' AND d.Status = 1";
	
	//$condition	.=	" GROUP BY m.fkDevicesId, m.Major";
	
	$majorLocationArray		=	$beaconObj->selectMajorDetails($fields,$condition);
	// echo "<pre>=========>";print_r($majorLocationArray);echo "<=========</pre>";
	if(isset($majorLocationArray) && !empty($majorLocationArray)) {
		foreach($majorLocationArray as $mKey => $mVal) {
			$resultArray[$mKey]['Latitude']		=	$mVal->Latitude;
			$resultArray[$mKey]['Longitude']	=	$mVal->Longitude;
			$resultArray[$mKey]['DeviceType']	=	$mVal->DeviceType;
			$resultArray[$mKey]['Title']		=	'Device Name : '.$mVal->DeviceName.', Major : '.$mVal->Major;
			//$resultArray[$mKey]['BeaconCount']	=	$mVal->BeaconCount;
			$resultArray[$mKey]['Major']		=	$mVal->Major;
		}
	}
	//echo '<pre>';print_r($resultArray);
	if(!empty($resultArray)) 
		$result	=	json_encode($resultArray);
	else
		$result	=	'';
	
	//echo $result;
/* GET TRAFFIC BEACON MAJOR */
/* GET  BEACON MAJOR  RANGE*/
if((isset($_SESSION['beacon_sub_admin_organizations']) && $_SESSION['beacon_sub_admin_organizations'] != '')){
		$orgId			=	isset($_SESSION['beacon_sub_admin_organizations'])?$_SESSION['beacon_sub_admin_organizations']:'';
		$type			=	3;
		$output			=	'';
		
		$fields		=	" * ";
		$condition	=	" id = '".$orgId."' and Status = 1 ";
		$orgresult	=	$userObj->getOrganization($fields,$condition);
		if(!empty($orgresult)){
			$isTraffic	=	$orgresult[0]->IsTraffic;
			$IsOpenDoor	=	$orgresult[0]->IsOpenDoor;
			$majorFrom	=	$orgresult[0]->MajorFrom;
			$majorTo	=	$orgresult[0]->MajorTo;
			 $field		=	"	m.Major ";
			$conditions	=	"  d.DeviceType='".$type."' and d.Status = 1 ";
			$majorresult	=	$userObj->getMajorLat($field,$conditions);
			foreach($majorresult as $key=>$value)
				$major[$key]	=	$value->Major;
			$majors	=	implode(',',$major);
			
			/*$output .= '<option value ="">Select</option>';
			if(isset($majorFrom) && isset($majorTo)) { 
				for($i=$majorFrom; $i<=$majorTo; $i++) {
					$style = '  ';
					if(in_array($i, $major))	$style = ' red '; 
					$output .= '<option class='.$style.' value="'.$i.'">'.$i.'</option>';
				}
			}*/
			
			if(isset($majorFrom) && isset($majorTo)) { 
				$exist=$majorFrom;
				for($i=$majorFrom; $i<=$majorTo; $i++) {
					$style = '  ';
					if(in_array($i, $major)){	
					//$exist = $i; //Last major get
					$output .= $i;
					}
				}
			}
		}
		if(isset($exist) && $exist!='')
		{
			$feilds=' Minor ';
			$cond=' and Major='.$exist.' and BeaconType='.$type.' order by minor DESC';
			$result_minor=$beaconObj->getLastMinorDetials($feilds,$cond);
			if(isset($result_minor) && count($result_minor)>0){
			$exist_minor=$result_minor[0]->Minor;
			$exist_minor++;
			}
		}else{
			$exist=1;
		}
		//echo $output;echo $exist;
	}
/* GET  BEACON MAJOR  RANGE*/


commonHead(); ?>
<body class="skin-blue">
	<?php top_header(); ?>	
	<style>
.icon {
margin-top:20px;
  padding: 10px;
  background: #5CA165;
  color: white;
  min-width: 50px;
  text-align: center;
}
	</style>
<!-- Main content -->
	<section class="content">
		<div class="row">
		<!-- left column -->
			<div class="col-md-12"><!--  col-lg-6 -->
				<div class="box box-primary add-header">
				<h2>Traffic Beacon Map</h2>
					<input type='hidden' id='exist_major' value='<?php echo $exist;?>'>
					<input type='hidden' id='exist_minor' value='<?php echo $exist_minor;?>'>
					<input name="lat" id="lat" value=""type="hidden"><input name="lon" id="lon" value="" type="hidden">
					<!-- form start -->
					<form name="searchCategory" action="BeaconMap" method="post">
						<div class="box box-primary box-padding report separator">
							<div class="box-body no-padding" >
								<div class="col-sm-3 col-xs-12 form-group">
									<label for="BeaconName">Beacon Name</label>
									<select name="BeaconName" id="BeaconName" class="form-control">
										<option value=''>--select--</option>
										<?php foreach($NameArray as $key=>$value) { ?>
										<option value="<?php echo $key; ?>" <?php if(isset($_SESSION['beacon_sess_map_beacon_name']) && $_SESSION['beacon_sess_map_beacon_name'] != '' && ($_SESSION['beacon_sess_map_beacon_name'] == $key)) echo "selected"; ?>><?php echo $value; ?></option>
										<?php } ?>
									</select>
								</div>
								<div class="col-sm-3 col-xs-12 form-group">
									<label for="BeaconMajor">Beacon City</label>
									<select name="BeaconMajor" id="BeaconMajor" class="form-control">
										<option value=''>--select--</option>
										<?php foreach($MajorArrray as $mkey=>$mvalue) { ?>
										<option value="<?php echo $mkey; ?>" <?php if(isset($_SESSION['beacon_sess_map_beacon_major']) && $_SESSION['beacon_sess_map_beacon_major'] != '' && ($_SESSION['beacon_sess_map_beacon_major'] == $mkey)) echo "selected"; ?>><?php echo $mvalue; ?></option>
										<?php } ?>
									</select>
								</div>
								<div class="col-sm-3 col-xs-12 form-group">
									<label for="BeaconMinor">Beacon Location</label>
									<select name="BeaconMinor" id="BeaconMinor" class="form-control">
										<option value=''>--select--</option>
										<?php foreach($MinorArray as $mikey=>$mivalue) { ?>
										<option value="<?php echo $mikey; ?>" <?php if(isset($_SESSION['beacon_sess_map_beacon_minor']) && $_SESSION['beacon_sess_map_beacon_minor'] != '' && ($_SESSION['beacon_sess_map_beacon_minor'] == $mikey)) echo "selected"; ?>><?php echo $mivalue; ?></option>
										<?php } ?>
									</select>
								</div>
								<div class="col-sm-3 col-xs-12 form-group">
									<label for="BeaconMinor">Location</label>

									<input id="pac-input1" class="form-control"  onblur="set_marker(1)" type="text" placeholder="Enter a location">
								</div>
								
								<div class="col-sm-6 clear" align="center">
									<input type="submit" class="btn btn-success" name="Search" id="Search" value="Search">
								</div>
								<?php if((isset($_SESSION['beacon_sub_admin_organizations']) && $_SESSION['beacon_sub_admin_organizations'] != '') || (isset($_SESSION['beacon_admin_user_id']) && $_SESSION['beacon_admin_user_id'] != '')){
									?>
								<div class="col-xs-3">
									<input id="pac-input2" class="form-control add-device" type="text" placeholder="Enter a location"  style="float: right;">
									<!--  <input type="button" class="btn btn-success" name="Search1"  id="Search1" value="Search"> -->
								</div>
								<div class="col-xs-1" id="Search1">
									<i  onclick="set_marker(2)" style="cursor:pointer;" class="fa fa-search icon"></i>
								</div>
								<div class="col-xs-3">
									
									<a  name="addSubAdmin" style="cursor:pointer;margin-left:6px;" id="map-print" class="map-print add-device"> print</a><a  name="addSubAdmin" style="cursor:pointer;" id="addSubAdmin" onclick="addintersection()" class="add-device"><i class="fa fa-plus"></i> Add Intersections</a>
									
								</div>
								<?php } ?>
							</div>
						</div>
					</form>
					<!-- form end -->
					
					<div class="form-group col-sm-12">
						<div id="dvMap" style="width: 100%; height: 500px;align:center;text-align:left;" align="center"></div>
					</div>
					<div style="display:none;" id="beacon_json"><?php echo $beaconJson; ?></div>
				</div>
			</div>
		</div>
	</section>
	
<?php commonfooter(); ?>
<script type="text/javascript" src="https://maps.googleapis.com/maps/api/js?key=AIzaSyAssMY6W13ZxBAU_TuI4pvtGoT-LoGIF_0"></script>
<!--script type="text/javascript" src="https://maps.googleapis.com/maps/api/js?key=AIzaSyAssMY6W13ZxBAU_TuI4pvtGoT-LoGIF_0&callback=initMap"></script-->
<script type="text/javascript">
$('.map-print').on('click',
    function printMap() {
    var mapwindow = window.open('', 'PRINT');
    mapwindow.document.write('<!DOCTYPE html><html><head><title>' + document.title + ' Agent Finder Map</title><link rel="stylesheet" type="text/css" media="print" href="https://www.liteline.com/styles/print.css" />');
    mapwindow.document.write('<style>@media print { #map-canvas div > img { position: absolute; } }</style>'); //important in order to force the print render not to break apart causing a grayed-out band
    mapwindow.document.write('</head><body>');
    mapwindow.document.write('<div id="map-canvas" style="position:relative;width:1000px;height:670px;overflow:hidden !important">');
    mapwindow.document.write(document.getElementById("dvMap").innerHTML);
    mapwindow.document.write('</div>');
    mapwindow.document.write('</body></html>');
    mapwindow.document.close();
    mapwindow.focus();
    mapwindow.print();
    mapwindow.close();
    return false;
});
function clearOverlays() {
  if (markersArray) {
    for (i in markersArray) {
      markersArray[i].setMap(null);
    }
  }
}
function addintersection(){
	document.getElementById('pac-input2').style.display = "block";
	document.getElementById('Search1').style.display = "block";
}
function contentString(){
	var major		= $('#exist_major').val();
	var minor		= $('#exist_minor').val();
	if(minor>=4000){
		major=parseInt(major);
		major	=major+1;
		minor=1;
	}
	var lat		= $('#lat').val();
	var lon		= $('#lon').val();
	
	console.log(lat);
	console.log(lon);
	minor=parseInt(minor);
	var contentString = '<form name="form" action="ManageLocations" method="post" id="form"><div id="content">'+
								'<table style="height: 153px; width: 242px;" cellpadding="0px">'+
									'<tbody>'+
										'<tr>'+
											'<td style="width: 107px;"><input name="lat"  value="'+lat+'" type="hidden"><input name="lon"   type="hidden" value="'+lon+'" >Street 1</td>'+
											'<td style="width: 125px;"><input name="street1" style="height:6px;"  class="form-control" type="text" /></td>'+
										'</tr>'+
										'<tr>'+
											'<td style="width: 107px;">Street 2</td>'+
											'<td style="width: 125px;"><input name="street2" style="height:6px;" class="form-control" type="text" /></td>'+
										'</tr>'+
										'<tr>'+
											'<td style="width: 107px;">City ID</td>'+
											'<td style="width: 125px;">'+major+'<input name="major"  type="hidden" value="'+major+'"/></td>'+
										'</tr>'+
										'<tr>'+
											'<td style="width: 107px;">Location ID</td>'+
											'<td style="width: 125px;">'+minor+'<input name="minor"  type="hidden" value="'+minor+'"/></td>'+
										'</tr>'+
										'<tr>'+
											'<td style="width: 107px;">&nbsp;</td>'+
											'<td style="width: 125px;"><button id="submit" style="padding:0px;"class="btn btn-success"> Submit </button></td>'+
										'</tr>'+
									'</tbody>'+
								'</table>'+
						'</div></form>';
						//marker_id++;
						//$('#exist_minor').val(minor+1);
						return contentString;
}
function placeMarker(location,map) {
	//if(marker_id=='1'){
	
    var marker = new google.maps.Marker({
        position: location, 
        map: map,
		title: 'Starting location',
        draggable:true
	});
	map.setCenter(location);
	map.setZoom(14);
	markersArray.push(marker);
	//marker_id++;
	return marker;
	//}
	
	
}
</script>
<script>
var markersArray =[];

/* Variable declaration*/
		var circle = {
			path: google.maps.SymbolPath.CIRCLE,
			fillColor: 'red',
			fillOpacity: .9,
			scale: 4.5,
			strokeColor: 'white',
			strokeWeight: 1
		};
		var json		=	'';
		var zoom		=	12;
		var lat			=	'';
		var lng			=	'';
		var beaconJson	=	$('#beacon_json').html();
		var markers		=	[];
		
		if(beaconJson != '' && beaconJson != undefined)
			json 	=	JSON.parse(beaconJson);
		
		if(json != '') {
			lat		=	json[0].Latitude;
			lng		=	json[0].Longitude;
		}
		
		if(lat == '' && lng == '') {
			lat		=	11.09024;
			lng		=	79.712891;
			zoom	=	7;
		}
		var mapOptions = {
			center: new google.maps.LatLng(lat, lng),
			zoom: zoom, //Not required.
			minZoom:2,
			mapTypeId: google.maps.MapTypeId.ROADMAP
		};
		var map 		= new google.maps.Map(document.getElementById("dvMap"), mapOptions);
		/* Variable declaration*/
$(document).ready(function(){
	document.getElementById('pac-input2').style.display = "none";
	document.getElementById('Search1').style.display = "none";
	if(json != '') {
		console.log(json);
		$.each(json, function(key, data) {
			var latLng = new google.maps.LatLng(data.Latitude, data.Longitude); 
			// Creating a marker and putting it on the map
			var marker = new google.maps.Marker({
				position: latLng,
				map: map,
				title: data.BeaconName,
				icon: circle,
				
			});
			map.setZoom(14);
			var circle = new google.maps.Circle({
					map: map,
					radius: 1000,    // 1 km in metres
					fillColor: '#AA0000'
				});
				circle.bindTo('center', marker, 'position');
				
			var latLng = new google.maps.LatLng(data.Latitude, data.Longitude); 
			var Exist_content='<div class="exist_show_window"><table style="height: 75px; border-color: green; background-color: white;" border="1" width="150" cellspacing="0" cellpadding="0">'+
									'<tbody>'+
										'<tr >'+
											'<td  align="center"  style="width: 138px; border:0px;border-left:1px solid green;border-top:1px solid green; padding:1px;"><b>City &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; :</b></td>'+
											'<td style="width: 139px; border:0px;border-right:1px solid green; border-top:1px solid green;"><b>'+data.Major+'</b></td>'+
										'</tr>'+
										'<tr>'+
											'<td  align="center" style="width: 138px; border: 0px;border-left:1px solid green; border-bottom:1px solid green;padding:1px;"><b>Location :</b></td>'+
											'<td style="width: 139px; border: 0px; border-bottom:1px solid green; border-right:1px solid green;"><b>'+data.Minor+'</b></td>'+
										'</tr>'+
									'</tbody>'+
								'</table></div>';
			var infowindow = new google.maps.InfoWindow({
				content: Exist_content,
			});					
			var infoWindow = new google.maps.InfoWindow({
				
				content: Exist_content ,
				
			}); 
			//infoWindow.open(map,marker);
			 //bounds.extend(marker.position);
			markers.push(marker);
			marker.addListener('click', function() {
				infowindow.open(map, marker);
			});
			google.maps.event.addListener(infowindow, 'ready', function(){
			   $('.gm-ui-hover-effect').remove();
			});
		});
		var bounds = new google.maps.LatLngBounds();
		for (var i = 0; i < markers.length; i++) {
			bounds.extend(markers[i].getPosition());
		}

		map.fitBounds(bounds);
		// map.panToBounds(bounds);
	}
});
function set_marker(input){
	if(input=='2')
		var address=$('#pac-input2').val();
	else
		var address=$('#pac-input1').val();
		if(address!=''){
			$.ajax({
				url  : 'https://maps.googleapis.com/maps/api/geocode/json?key=AIzaSyAssMY6W13ZxBAU_TuI4pvtGoT-LoGIF_0',
				data : {
					sensor  : false,
					address : address
				},
				success : function(data) {
					var response=JSON.stringify(data);
					var res1=JSON.parse(response);
					if(res1.status=='OK'){
						var format_address=res1.results[0].formatted_address;
						var lat=res1.results[0].geometry.location.lat;
						var lon=res1.results[0].geometry.location.lng;
						console.log('Address:'+format_address);
						console.log('Lat:'+lat);
						console.log('Lon:'+lon);
						document.getElementById("lat").value =lat;
						document.getElementById("lon").value =lon;
						$(".pac-container").css("visibility","visible");
						clearOverlays();
						var place=placeMarker(res1.results[0].geometry.location,map);
						var infowindow = new google.maps.InfoWindow({
							content: contentString()
						});
						google.maps.event.addListener(place, 'dragend', function (event) {
							document.getElementById("lat").value = event.latLng.lat();
							document.getElementById("lon").value = event.latLng.lng();
						});
						infowindow.open(map, place);
						place.addListener('click', function() {
							infowindow.open(map, place);
							
						});
					}
				}
			});
		}
}
</script>
<!--script>

document.getElementById('pac-input2').style.display = "none";
window.onload = function () {
	LoadMap(1);
	
}
function setMarker1(){
	LoadMap(2);
	document.getElementById('pac-input2').style.display = "block";
	
}

var marker_id=1;
function LoadMap(a) {
	var circle = {
    path: google.maps.SymbolPath.CIRCLE,
    fillColor: 'red',
    fillOpacity: .9,
    scale: 4.5,
    strokeColor: 'white',
    strokeWeight: 1
};
	var json		=	'';
	var zoom		=	12;
	var lat			=	'';
	var lng			=	'';
	var beaconJson	=	$('#beacon_json').html();
	var markers		=	[];
	
	if(beaconJson != '' && beaconJson != undefined)
		json 	=	JSON.parse(beaconJson);
	
	if(json != '') {
		lat		=	json[0].Latitude;
		lng		=	json[0].Longitude;
	}
	
	if(lat == '' && lng == '') {
		lat		=	11.09024;
		lng		=	79.712891;
		zoom	=	13;
	}
	
	var mapOptions = {
		center: new google.maps.LatLng(lat, lng),
		zoom: zoom, //Not required.
		minZoom:2,
		mapTypeId: google.maps.MapTypeId.ROADMAP
	};
	
	var map 		= new google.maps.Map(document.getElementById("dvMap"), mapOptions);
	var bounds 		= new google.maps.LatLngBounds(); //
	
	var input 		 = document.getElementById('pac-input1');
	var options = {
        types: ['geocode'] //this should work !
      };
	var autocomplete = new google.maps.places.Autocomplete(input);
	console.log('-------------------------'+autocomplete);
	var autocomplete2 = new google.maps.places.Autocomplete(document.getElementById('pac-input2'));
	//autocomplete.bindTo('bounds', map);
	if(a==2){
		var lat=document.getElementById('lat').value ;
		var lng=document.getElementById('lon').value ;
		var latLng=new google.maps.LatLng(lat, lng);
		
		var place=placeMarker(latLng,map);
		var infowindow = new google.maps.InfoWindow({
			content: contentString()
		});
		infowindow.open(map, place);
		place.addListener('click', function() {
			infowindow.open(map, place);
			
		});
		
		/* google.maps.event.addListener(map,'click',function(e){
			var latLng	=	e.latLng;
			var lat		=	e.latLng.lat();
			var lng		=	e.latLng.lng();
			document.getElementById('lat').value =lat;
			document.getElementById('lon').value =lng;
			
			
			$('#lon').val(lng);
			console.log(lat);
			console.log(lng);
			var place=placeMarker(latLng,map);
			var infowindow = new google.maps.InfoWindow({
			content: contentString()
		});
			infowindow.open(map, place);
			
			place.addListener('click', function() {
				infowindow.open(map, place);
				
			});
		}); */
		google.maps.event.addListener(place, 'dragend', function (event) {
			document.getElementById("lat").value = this.getPosition().lat();
			document.getElementById("lon").value = this.getPosition().lng();
		});
	}
	
	autocomplete.addListener('place_changed', function() {
		var place = autocomplete.getPlace();
		if (!place.geometry) {
			window.alert("Autocomplete's returned place contains no geometry");
			return;
		}
		else {
			if (place.geometry.viewport) {
					map.fitBounds(place.geometry.viewport);
				} else {
					map.setCenter(place.geometry.location);
					map.setZoom(12);  // Why 17? Because it looks good.
				}

				placeMarker(place.geometry.location,map);
				var latval	=	place.geometry.location;
				document.getElementById('lat').value = place.geometry.location.lat();
				document.getElementById('lon').value = place.geometry.location.lng();
		}
	});
	autocomplete2.addListener('place_changed', function() {
		var place = autocomplete2.getPlace();
		if (!place.geometry) {
			window.alert("Autocomplete's returned place contains no geometry");
			return;
		}
		else {
			if (place.geometry.viewport) {
					map.fitBounds(place.geometry.viewport);
				} else {
					map.setCenter(place.geometry.location);
					map.setZoom(12);  // Why 17? Because it looks good.
				}

				var places=placeMarker(place.geometry.location,map);
				var latval	=	place.geometry.location;
				document.getElementById('lat').value = place.geometry.location.lat();
				document.getElementById('lon').value = place.geometry.location.lng();
				var infowindow = new google.maps.InfoWindow({
					content: contentString()
				});
				infowindow.open(map, places);
				places.addListener('click', function() {
					infowindow.open(map, places);
					
				});
		}
	});
	
	if(json != '') {
		console.log(json);
		$.each(json, function(key, data) {
			var latLng = new google.maps.LatLng(data.Latitude, data.Longitude); 
			// Creating a marker and putting it on the map
			var marker = new google.maps.Marker({
				position: latLng,
				map: map,
				title: data.BeaconName,
				icon: circle,
				
			});
			var latLng = new google.maps.LatLng(data.Latitude, data.Longitude); 
			var Exist_content='<div class="exist_show_window"><table style="height: 75px; border-color: green; background-color: white;" border="1" width="150" cellspacing="0" cellpadding="0">'+
									'<tbody>'+
										'<tr >'+
											'<td  align="center"  style="width: 138px; border:0px;border-left:1px solid green;border-top:1px solid green; padding:1px;"><b>City &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; :</b></td>'+
											'<td style="width: 139px; border:0px;border-right:1px solid green; border-top:1px solid green;"><b>'+data.Major+'</b></td>'+
										'</tr>'+
										'<tr>'+
											'<td  align="center" style="width: 138px; border: 0px;border-left:1px solid green; border-bottom:1px solid green;padding:1px;"><b>Location :</b></td>'+
											'<td style="width: 139px; border: 0px; border-bottom:1px solid green; border-right:1px solid green;"><b>'+data.Minor+'</b></td>'+
										'</tr>'+
									'</tbody>'+
								'</table></div>';
			var infowindow = new google.maps.InfoWindow({
				content: Exist_content,
			});					
			var infoWindow = new google.maps.InfoWindow({
				
				content: Exist_content ,
				
			}); 
			//infoWindow.open(map,marker);
			 //bounds.extend(marker.position);
			markers.push(marker);
			marker.addListener('click', function() {
				infowindow.open(map, marker);
			});
			google.maps.event.addListener(infowindow, 'ready', function(){
			   $('.gm-ui-hover-effect').remove();
			});
		});
		var bounds = new google.maps.LatLngBounds();
		for (var i = 0; i < markers.length; i++) {
			bounds.extend(markers[i].getPosition());
		}

		map.fitBounds(bounds);
		// map.panToBounds(bounds);
	}
} 

function placeMarker(location,map) {
	//if(marker_id=='1'){
	
    var marker = new google.maps.Marker({
        position: location, 
        map: map,
		title: 'Starting location',
        draggable:true
	});
	//marker_id++;
	return marker;
	//}
	markersArray.push(marker);
	
}


</script-->
</html>