<?php 
require_once('includes/CommonIncludes.php');
require_once('controllers/AdminController.php');
require_once('controllers/DeviceController.php');
require_once('controllers/UserController.php');
require_once('controllers/BeaconController.php');

$userObj		=  new UserController();
$deviceObj   	=  new DeviceController();
$adminLoginObj  =  new AdminController();
$beaconObj		=  new BeaconController();
admin_login_check();

// echo "<pre>======";print_r($_SESSION);echo "=====</pre>";

if(isset($_GET['cs']) && $_GET['cs'] == 1) {
	destroyPagingControlsVariables();
	unset($_SESSION['beacon_sess_devices_device_name']);
	unset($_SESSION['beacon_sess_devices_device_id']);
	unset($_SESSION['beacon_sess_devices_user_name']);
	unset($_SESSION['beacon_sess_devices_status']);
	unset($_SESSION['beacon_sess_organization_name']);
}



if(isset($_POST['Search']) && $_POST['Search'] != '') {
	destroyPagingControlsVariables();
	$_POST          = unEscapeSpecialCharacters($_POST);
    $_POST          = escapeSpecialCharacters($_POST);
	if(isset($_POST['DeviceName']))
		$_SESSION['beacon_sess_devices_device_name'] 	    = trim($_POST['DeviceName']);
	if(isset($_POST['DeviceId']))
		$_SESSION['beacon_sess_devices_device_id'] 	    	= trim($_POST['DeviceId']);
	if(isset($_POST['OrganizationName']))
		$_SESSION['beacon_sess_organization_name']			= $_POST['OrganizationName'];
	if(isset($_POST['Status']))
		$_SESSION['beacon_sess_devices_status']				= $_POST['Status'];
}
	
$class 			= $msg  = $param	= $error =  $photoUpdateString = $backLink	= '';
$display 		= 'none';
$fields		  	= " * ";
$where		  	= " 1 ";


if(isset($_GET['deleteId']) && $_GET['deleteId'] != ''){
	$condition			=	" id	=".$_GET['deleteId'];
	$update_string 		= 	" Status = 3";
	$deviceListResult	= 	$deviceObj->updateDeviceDetails($update_string,$condition);
	
	$field		=	" Status = 2";
	$condition	=	" fkDevicesId = '".$_GET['deleteId']."'";
	$beaconObj->updateBeaconDetails($field,$condition);
	header("location:Devices?msg=3");
}

if(isset($_SESSION['beacon_sess_user_type']) && $_SESSION['beacon_sess_user_type'] == 2)//user 
	$fkUsersId		=	$_SESSION['beacon_sess_user_id'];
else if(isset($_SESSION['beacon_sess_user_type']) && $_SESSION['beacon_sess_user_type'] == 3) { //sub admin
	$fkUsersId			=	0;
	$fkAdminsId			=	$_SESSION['beacon_sub_admin_user_id'];
	$fkOrganizationsId	=	$_SESSION['beacon_sub_admin_organizations'];
}
else {
	$fkUsersId		=	0;
	$fkAdminsId		=	$_SESSION['beacon_admin_user_id'];
}

if(isset($_GET['user']) && $_GET['user'] != ''){
	$param			=	'?user='.$_GET['user'];
	$fkUsersId		=	$_GET['user'];
	// $backLink	=	'&user='.$_GET['user'];
}

	
if(isset($_SESSION['beacon_sess_type_of_organization']) && $_SESSION['beacon_sess_type_of_organization'] != 0)
	$fkOrganizationId	=	$_SESSION['beacon_sess_type_of_organization'];

	
$fields		= " * ";
$condition	= " and Status = 1 ";
if(isset($fkAdminsId) && isset($fkOrganizationsId))
	$condition .= " AND id in (".$fkOrganizationsId.")";

$organizationResult		= $userObj->selectOrganizations($fields,$condition);
if(isset($organizationResult) && !empty($organizationResult)) {
	foreach($organizationResult as $orgKey => $orgValue) {
		$organizationArray[$orgValue->id]	=	$orgValue->OrganizationName;
	}
}
	 
$user_details = $adminLoginObj->getAdminDetails($fields,$where);
setPagingControlValues('d.id',ADMIN_PER_PAGE_LIMIT);
$fields    	 = " d.*,COUNT( b.id ) AS beaconCount, u.FirstName,u.LastName ";
$condition 	 = " and d.Status in (0,1,2) and d.DeviceType = 1";
if(isset($fkAdminsId) && isset($fkOrganizationsId)) {
	$condition	.= " and (d.fkOrganizationId in (".$fkOrganizationsId.") OR d.fkAdminsId = ".$fkAdminsId.")";
}
if(isset($fkUsersId)) {
	if($fkUsersId != 0 && isset($fkOrganizationId))
		$condition	.= " and d.fkOrganizationId =".$fkOrganizationId;
	else if($fkUsersId != 0)
		$condition	.= " and d.fkUsersId =".$fkUsersId;
}	
	
$deviceListResult  	= $deviceObj->getDeviceList($fields,$condition);
$tot_rec 			= $deviceObj->getTotalRecordCount();
if($tot_rec!=0 && !is_array($deviceListResult)) {
	$_SESSION['curpage'] = 1;
	$deviceListResult 	 = $deviceObj->getDeviceList($fields,$condition);
}

if(isset($_GET['msg']) && $_GET['msg'] == 1 ) {
	$msg	=	"Device added successfully";
	$class	=	"alert-success";
}
else if(isset($_GET['msg']) && $_GET['msg'] == 2 ) {
	$msg	=	"Device updated successfully";
	$class	=	"alert-success";
}
else if(isset($_GET['msg']) && $_GET['msg'] == 3 ) {
	$msg	=	"Device deleted successfully";
	$class	=	"alert-success";
}
commonHead(); ?>
<body class="skin-blue">
	<?php top_header(); ?>
	<!-- Content Header (Page header) -->
	<!-- <section class="content-header">
		<div class="row col-md-12 col-lg-6"> 
			<h1><i class="fa fa-cog"></i>Devices</h1>
		</div>
	</section> -->
	<!-- Main content -->
	<section class="content">
		<div class="row">
		<!-- left column -->
			<div class="col-md-12"><!--  col-lg-6 -->
				<div class="box box-primary add-header">
					<!-- GENERAL SETTINGS-->
					<h2>Hardware Identifiers</h2>
					<div class="col-xs-12 add-btns">
						<a href="ManageDevices" name="addDevice" id="addDevice" class="add-device"><i class="fa fa-plus"></i> Add</a>
					</div>
					<!-- form start -->
					<form name="searchCategory" action="Devices<?php echo $param; ?>" method="post">
						<div class="box box-primary box-padding report separator">
							<div class="box-body no-padding" >
								<div class="col-sm-3 col-xs-12 form-group">
									<label>Hardware Name</label>
									<input type="text" placeholder="Hardware Name" class="form-control" name="DeviceName" id="DeviceName"  value="<?php if(isset($_SESSION['beacon_sess_devices_device_name']) && $_SESSION['beacon_sess_devices_device_name'] != '') echo stripslashes(htmlentities($_SESSION['beacon_sess_devices_device_name']));  ?>" >
								</div>
								<div class="col-sm-3 col-xs-12 form-group">
									<label>Hardware</label>
									<input type="text" placeholder="Hardware" class="form-control" name="DeviceId" id="DeviceId"  value="<?php  if(isset($_SESSION['beacon_sess_devices_device_id']) && $_SESSION['beacon_sess_devices_device_id'] != '') echo stripslashes(htmlentities($_SESSION['beacon_sess_devices_device_id'])); ?>" >
								</div>
								<?php if((isset($fkUsersId) && $fkUsersId == 0) && (isset($fkAdminsId) && $fkAdminsId == 1)) { ?>
								<div class="col-sm-3 col-xs-12 form-group">
									<label for="OrganizationName">Organization Name</label>
									<select name="OrganizationName" id="OrganizationName" class="form-control">
										<option value=''>--select--</option>
										<?php foreach($organizationArray as $key=>$value) { ?>
										<option value="<?php echo $key; ?>" <?php if(isset($_SESSION['beacon_sess_organization_name']) && $_SESSION['beacon_sess_organization_name'] != '' && ($_SESSION['beacon_sess_organization_name'] == $key)) echo "selected"; ?>><?php echo $value; ?></option>
										<?php } ?>
									</select>
								</div>
								<?php } ?>
								<div class="col-sm-3 col-xs-12 form-group">
									<label for="Status">Status</label>
									<select name="Status" id="Status" class="form-control">
										<option value=''>--select--</option>
										<?php foreach($device_status_array as $key=>$value) {
										if($key != 3){
										?>
										<option value="<?php echo $key; ?>" <?php if(isset($_SESSION['beacon_sess_devices_status']) && $_SESSION['beacon_sess_devices_status'] != '' && ($_SESSION['beacon_sess_devices_status'] == $key)) echo "selected"; ?>><?php echo $value; ?></option>
										<?php } } ?>
									</select>
								</div>
								<div class="col-sm-12 clear" align="center">
									<input type="submit" class="btn btn-success" name="Search" id="Search" value="Search">
								</div>
							</div>
						</div>
					</form>
					<!-- form end -->
					
					<div class="row paging paging-margin report col-xs-12">
						<div class="col-xs-12 col-sm-2 no-padding">
							<?php if(isset($deviceListResult) && is_array($deviceListResult) && count($deviceListResult) > 0){ ?>
							<div class="dataTables_info"><span class="">No. of Beacon Identifiers&nbsp:&nbsp;<strong><?php echo $tot_rec; ?></strong> </span></div>
							<?php } ?>
						</div>
						<div class="col-xs-12 col-sm-10">
							<div class="dataTables_paginate paging_bootstrap row">
							<?php if(is_array($deviceListResult) && count($deviceListResult) > 0 ) {
									pagingControlLatest($tot_rec,'Devices'.$param); ?>
							<?php }?>
							</div>
						</div>
					</div>	
					<?php if(isset($msg) && $msg != '') { ?>
					<div class="row col-xs-12">
						   <div align="center" class="alert <?php  echo $class;  ?> alert-dismissable col-xs-11 col-lg-3 col-sm-4"><i class="fa fa-check"></i>  <?php echo $msg; ?></div>
					</div>	
					<?php } ?>
					<div class="table-responsive">
						<table width="100%" class="table" cellpadding="0" cellspacing="0">
							<tr>
								<th align="center" width="3%" style="text-align:center;">#</th>
								<?php if((isset($fkUsersId) && $fkUsersId == 0) || isset($fkAdminsId)) { ?>
								<th width="10%" align="left" style="text-align:left;">Organization Name</th>
								<?php } ?>
								<th width="10%" align="left" style="text-align:left;"><?php echo sortColumn('DeviceName','Hardware Name'); ?></th>
								<!-- <th width="15%" align="left" style="text-align:left;">Description</th> -->
								<th width="20%" align="left" style="text-align:left;"><?php echo sortColumn('DeviceId','Hardware'); ?></th>
								<th width="6%" align="left" style="text-align:left;">Status</th>
								<th width="6%" align="left" style="text-align:center;">Beacon Count</th>
								<th width="7%" align="left" style="text-align:left;">Report</th>
								<th width="7%" align="left" style="text-align:left;">Action</th>
							</tr>
							<?php if(isset($deviceListResult) && is_array($deviceListResult) && count($deviceListResult) > 0 ) {
										foreach($deviceListResult as $key => $value) { 
							?>
							<tr id="test_id_<?php echo $value->id;?>">
								<td align="center" style="text-align:center;" nowrap><?php echo (($_SESSION['curpage'] - 1) * ($_SESSION['perpage']))+$key+1;?></td>
								<?php if((isset($fkUsersId) && $fkUsersId == 0) || isset($fkAdminsId)) { ?>
								<td><?php if(isset($organizationArray[$value->fkOrganizationId])) echo ucfirst($organizationArray[$value->fkOrganizationId]); else echo '-'; ?></td>
								<?php } ?>
								<td><?php if(isset($value->DeviceName) && $value->DeviceName !='') echo ucfirst($value->DeviceName); else echo '-';?></td>
								<td><?php if(isset($value->DeviceId) && $value->DeviceId != '') echo $value->DeviceId; else echo '-';?></td>
								<td><?php if(isset($value->Status) && $value->Status != '') echo $device_status_array[$value->Status]; else echo '-';?></td>
								<td style="text-align:center;">
									<?php  if(isset($value->beaconCount) && $value->beaconCount > 0) { ?>
										<a href='Beacons?beaconId=<?php echo $value->id; ?>&cs=1' name='beacons' title='Beacons'><?php echo $value->beaconCount; ?></a>
									<?php } else echo '-'; ?>
								</td>
								<td><a href='ReportDetail?reportId=<?php echo $value->id; ?>&cs=1' name='report' title='report'>See Report</a></td>
								<td class="action-icons">
									<a href='DeviceDetail?viewId=<?php echo $value->id.$backLink; ?>' name='viewDevice' title='View'><i class="fa fa-eye"></i></a>
									<?php if((isset($fkUsersId) && ($fkUsersId == 0)) || $fkUsersId == $value->fkUsersId ){ ?>
										<a href='ManageDevices?editId=<?php echo $value->id.$backLink; ?>' name='editDevice' title='Edit'><i class="fa fa-pencil"></i></a>
										<?php  if(isset($value->beaconCount) && $value->beaconCount > 0) { ?>
										<a href='Devices?deleteId=<?php echo $value->id; ?>' onclick="javascript:return confirm('This hardware contains beacons, Are you sure you want to delete?')"  name='deleteDevice' title='Delete'><i class="fa fa-trash-o"></i></a>
										<?php } else { ?>
										<a href='Devices?deleteId=<?php echo $value->id; ?>' onclick="javascript:return confirm('Are you sure you want to delete this hardware?')"  name='deleteDevice' title='Delete'><i class="fa fa-trash-o"></i></a>
										<?php } ?>
									<?php } ?>
								</td>
							</tr>
							<?php } } else { ?>
							<tr>
								<td colspan="9" align="center">
									<div class="alert col-sm-4 col-xs-12 " style="color:red;"> No Beacon Identifiers found</div> 
								</td>
							</tr>
							<?php } ?>
						</table>
					</div>
							
					<!-- GENERAL SETTINGS END-->
						
				</div><!-- /.box -->
			</div>
		</div><!-- /.row -->
	</section><!-- /.content -->	
<?php commonFooter(); ?>
</html>