<?php
ob_start();
require_once('includes/CommonIncludes.php');
require_once('controllers/AdminController.php');
$adminLoginObj   =   new AdminController();
require_once('controllers/UserController.php');
$userLoginObj   =   new UserController();
require_once('controllers/DeviceController.php');	
$deviceObj		=	new DeviceController();

if(isset($_SESSION['beacon_admin_user_name'])){
	header('location:Beacons?cs=1');
	die();
}
$error = '';

$_SESSION['beacon_login_attempt']	=	isset($_SESSION['beacon_login_attempt'])	?	$_SESSION['beacon_login_attempt'] : 0;

if(isset($_POST['admin_login_submit']) && $_POST['admin_login_submit'] == 'LOG IN'){
	$_POST          =   unEscapeSpecialCharacters($_POST);
   	$_POST          =   escapeSpecialCharacters($_POST);
    $md5Pass        =   $_POST['password'];	
	
	// FOR ADMIN
    $condition  	=   " UserName = '{$_POST['user_name']}' AND Password = '{$md5Pass}' AND IsSubAdmin != 1";
	$adminResult 	=   $adminLoginObj->checkAdminLogin($condition);
	
	// FOR USER
	$condition1  	=   " Email = '{$_POST['user_name']}' AND Password = '{$md5Pass}' AND Status = 1";
	$userResult		=   $userLoginObj->checkUserLogin($condition1);
	
	// FOR SUB ADMIN
	$subCondition	=	" UserName = '{$_POST['user_name']}' AND Password = '{$md5Pass}' AND Status = 1 AND IsSubAdmin = 1";
	$subAdminResult	=	$adminLoginObj->checkSubAdminLogin($subCondition);
	
	
	$captchaError	=	0;
	if(isset($_POST['captcha_code'])	&&	isset($_SESSION['captcha_code']) && (empty($_SESSION['captcha_code'] ) || strcasecmp($_SESSION['captcha_code'], $_POST['captcha_code']) != 0)){  
		$captchaError	=	1;	// Captcha verification is incorrect.		
	}
	
	if(($adminResult	||	$subAdminResult	||	$userResult)	&&	!$captchaError)	{
		// if logged in successfully then reset the attempt count
		$_SESSION['beacon_login_attempt']	=	0;
	}
	
	if($adminResult	&&	!$captchaError) // for Admin
    {
		$_SESSION['beacon_admin_user_id'] 		= $adminResult[0]->id;
		$_SESSION['beacon_admin_user_name'] 	= $adminResult[0]->UserName;
		$_SESSION['beacon_admin_user_email'] 	= $adminResult[0]->EmailAddress;
		$_SESSION['beacon_sess_user_type'] 		= 1;
		
		
		$fields										= '*';
		$condition									= "DeviceType in (3,4)";
		$uuidResult									= $deviceObj->selectDeviceDetails($fields,$condition);
		
		foreach($uuidResult as $key => $value) {
			if($value->DeviceType == 3) {
				$_SESSION['beacon_traffic_uuid_id']		= $value->id;
				$_SESSION['beacon_traffic_device_id']	= $value->DeviceId;
			}
			else if($value->DeviceType == 4) {
				$_SESSION['beacon_open_door_uuid']		= $value->id;
				$_SESSION['beacon_open_door_device_id']	= $value->DeviceId;
			}
		}
		
		
		
		$fields     = " LastLoginDate = '".date('Y-m-d H:i:s')."'";
		$condition  = " Id = ".$adminResult[0]->id;
		$result     =   $adminLoginObj->updateAdminDetails($fields,$condition);
		header('location:Beacons?cs=1');
		die();
	}
	else if($subAdminResult	&&	!$captchaError) // for Sub Admin
	{
		$_SESSION['beacon_sub_admin_user_id'] 		= $subAdminResult[0]->id;
		$_SESSION['beacon_sub_admin_user_name'] 	= $subAdminResult[0]->UserName;
		$_SESSION['beacon_sub_admin_user_email'] 	= $subAdminResult[0]->EmailAddress;
		$_SESSION['beacon_sess_user_type'] 			= 3;
		
		
		
		$fields										= '*';
		$condition									= " fkAdminsId = ".$subAdminResult[0]->id;
		$relationResult								= $userLoginObj->getOrganization($fields,$condition);
		$_SESSION['beacon_sub_admin_organizations']	= $relationResult[0]->id;
		$_SESSION['beacon_sub_admin_org_name']		= $relationResult[0]->OrganizationName;
		$_SESSION['beacon_sess_is_traffic']			= $relationResult[0]->IsTraffic;
		
		$fields										= '*';
		$condition									= "DeviceType in (3,4)";
		$uuidResult									= $deviceObj->selectDeviceDetails($fields,$condition);
		
		foreach($uuidResult as $key => $value) {
			if($value->DeviceType == 3) {
				$_SESSION['beacon_traffic_uuid_id']		= $value->id;
				$_SESSION['beacon_traffic_device_id']	= $value->DeviceId;
			}
			else if($value->DeviceType == 4) {
				$_SESSION['beacon_open_door_uuid']		= $value->id;
				$_SESSION['beacon_open_door_device_id']	= $value->DeviceId;
			}
		}
			
		// echo "<pre>======";print_r($_SESSION);echo "=====</pre>"; die();
		$fields     = " LastLoginDate = '".date('Y-m-d H:i:s')."'";
		$condition  = " Id = ".$subAdminResult[0]->id;
		$result     =   $adminLoginObj->updateAdminDetails($fields,$condition);
		header('location:Beacons?cs=1');
		die();
	}
	else if($userResult	&&	!$captchaError) // for User
	{
		// echo "=============";die();
		$_SESSION['beacon_sess_user_id'] 				= $userResult[0]->id;
		$_SESSION['beacon_sess_user_email'] 			= $userResult[0]->Email;
		$_SESSION['beacon_sess_type_of_user']			= $userResult[0]->fkUserTypeId;
		$_SESSION['beacon_sess_type_of_organization']	= $userResult[0]->fkOrganizationId;
		$organizationId									= $userResult[0]->fkOrganizationId;
		$_SESSION['beacon_sess_user_type'] 				= 2;
		
		
		$fields										= '*';
		$condition									= "DeviceType in (3,4)";
		$uuidResult									= $deviceObj->selectDeviceDetails($fields,$condition);
		
		foreach($uuidResult as $key => $value) {
			if($value->DeviceType == 3) {
				$_SESSION['beacon_traffic_uuid_id']		= $value->id;
				$_SESSION['beacon_traffic_device_id']	= $value->DeviceId;
			}
			else if($value->DeviceType == 4) {
				$_SESSION['beacon_open_door_uuid']		= $value->id;
				$_SESSION['beacon_open_door_device_id']	= $value->DeviceId;
			}
		}
		
		
		
		$fields     = " LastLoginDate = '".date('Y-m-d H:i:s')."'";
		$condition  = " Id = ".$userResult[0]->id;
		$result     = $userLoginObj->updateUserDetails($fields,$condition);
		if(isset($_SESSION['beacon_sess_type_of_user']) && $_SESSION['beacon_sess_type_of_user'] == 1) 
			header('location:Beacons?cs=1');
		else
			header('location:Beacons?cs=1');
	} else {
		$_SESSION['beacon_login_attempt']	=	$_SESSION['beacon_login_attempt'] +1;
		$error = "Invalid Username / Email or Password";
		
		if($captchaError)	{
			$error = "Invalid Captcha";
		}

	}
}


commonHead();
?>
<body onload="fieldfocus('user_name');">
<div class="login_bg">
	<div class="navbar-inner">
		<!-- <div class="navbar-user-list">
			<a href="UserLogin" name="userLink" id="userLink" >USER</a>
		</div> -->
	</div>
	<div class="login-container">
		<div class="beacon_logo">
			<div class="login-box" id="login-box">
				<form action="" name="admin_login_form" id="admin_login_form"  method="post">
					<div class="body">
						<a href="javascript:void(0)" class="logo-image"></a>
						<!-- div class="header">Log In</div --> 
						<div class="login_error_msg_hgt" align="center"> 
						<?php if($error !='') { ?><div class="alert alert-danger alert-dismissable col-xs-10" style="margin:0px"><i class="fa fa-warning"></i>&nbsp;&nbsp;<?php echo $error;?></div><?php  } ?>
						</div>
						<div class="login-bg">
						<div class="form-group msg_hgt">
							<input type="text" name="user_name"  id="user_name" class="form-control" onkeypress="return isSpace(event)" placeholder="Username / Email" maxlength="50" />
						</div>
						<div class="form-group msg_hgt">
							<input type="password" name="password" id="password" class="form-control" maxlength="16" placeholder="Password"/>
						</div> 
						<?php if(isset($_SESSION['beacon_login_attempt'])	&&	$_SESSION['beacon_login_attempt'] >= 3) {	?>
						<div class="form-group msg_hgt">
							<input id="captcha_code" name="captcha_code" type="text">
							<img src="includes/phpcaptcha/captcha.php?rand=<?php echo rand();?>" id='captchaimg'>
							<span>Can't read the image? click <a href='javascript: refreshCaptcha();'>here</a> to refresh.</span></td>
						</div> 
						<?php } ?>
						<input type="submit" name="admin_login_submit" id="admin_login_submit" value="LOG IN" title="Log In" class="btn btn-success btn-block">
						</div>
						
						<div class="footer sign-reset">      
							<div class="col-xs-12"><a href="ForgotPassword" title="Reset Password">RESET PASSWORD</a></div>
						</div>
					</div>
				</form>
			</div>
		</div>
	</div>
</div>
<?php commonFooter(); ?>
<script type='text/javascript'>
/* 	function refreshCaptcha(){
		var img = document.images['captchaimg'];
		img.src = img.src.substring(0,img.src.lastIndexOf("?"))+"?rand="+Math.random()*1000;
	} */
	</script>
</html>