<?php 
require_once('includes/CommonIncludes.php');
admin_login_check();
commonHead();
require_once('controllers/UserController.php');
$userObj   		=   new UserController();
require_once('controllers/AdminController.php');
$adminLoginObj   	=   new AdminController();
require_once("includes/phmagick.php");
require_once('controllers/BeaconController.php');
$beaconObj	=   new BeaconController();

$isExist			=	'';
$field_focus 		= 	'FirstName';
$photoUpdateString	=	'';
$PasswordString		= 	'';
unset($_SESSION['orderby']);
unset($_SESSION['ordertype']);

$beaconList	=	array();
if(isset($_SESSION['beacon_sess_user_type']) && $_SESSION['beacon_sess_user_type'] == 3) {//sub admin 
	$isSubAdmin			=	1;
	$fkAdminsId			=	$_SESSION['beacon_sub_admin_user_id'];
	$OrganizationId		=	$_SESSION['beacon_sub_admin_organizations'];
}

if(isset($isSubAdmin) && $isSubAdmin == 1) {
	$orgStyle	=	'display:block';
} else {
	$orgStyle	=	'display:block';
}


$fields    	 = " * ";
$condition 	 = " and Status = 1 ";

$userTypeResult  		= $userObj->selectUserTypeList($fields,$condition);

if(isset($userTypeResult) && !empty($userTypeResult)) {
	foreach($userTypeResult as $key => $value) {
		$userTypeArray[$value->id]	=	$value->Type;	
	}
}

$fields		= " * ";
$condition	= " and Status = 1 ";

$organizationResult		= $userObj->selectOrganizations($fields,$condition);
if(isset($organizationResult) && !empty($organizationResult)) {
	foreach($organizationResult as $orgKey => $orgValue) {
		$organizationArray[$orgValue->id]	=	$orgValue->OrganizationName;
	}
}

$userId	=	0;

if(isset($_GET['editId']) && $_GET['editId'] != '' ){
	$userId					=	$_GET['editId'];
	$condition       		= 	" id = ".$_GET['editId']." and Status in (0,1)";
	$fields					=	'*';
	$userDetailsResult  	= 	$userObj->selectUserDetails($fields,$condition);
	
	if(isset($userDetailsResult) && is_array($userDetailsResult) && count($userDetailsResult) > 0){
		$FirstName			=	$userDetailsResult[0]->FirstName;
		//$LastName			=	$userDetailsResult[0]->LastName;
		$Email				=	$userDetailsResult[0]->Email;
		$userType			=	$userDetailsResult[0]->fkUserTypeId;
		$organization		=	$userDetailsResult[0]->fkOrganizationId;
		$Status  			= 	$userDetailsResult[0]->Status;
		$UserImage			= 	$userDetailsResult[0]->Photo;
		$beacons			=	$userDetailsResult[0]->UserBeacons;
		if(isset($userDetailsResult[0]->Photo) && $userDetailsResult[0]->Photo != ''){
			$UserImageName 		= 	$userDetailsResult[0]->Photo;
			$OriginalImagePath 	= 	$UserImagePath = '';
			if(SERVER){
				if(image_exists(1,$UserImageName))
					$OriginalImagePath 	= 	USER_IMAGE_PATH.$UserImageName;
				if(image_exists(2,$UserImageName))
					$UserImagePath 		= 	USER_THUMB_IMAGE_PATH.$UserImageName;
			}
			else{
				if(file_exists(USER_IMAGE_PATH_REL.$UserImageName)){
					$OriginalImagePath 	= 	USER_IMAGE_PATH.$UserImageName;
				}if(file_exists(USER_THUMB_IMAGE_PATH_REL.$UserImageName)){
					$UserImagePath 		= 	USER_THUMB_IMAGE_PATH.$UserImageName;
				}
			}
		}
	}
}


if(isset($_POST['submit']) && $_POST['submit'] != ''){
	$_POST          =   unEscapeSpecialCharacters($_POST);
   	$_POST          =   escapeSpecialCharacters($_POST);
	
	if(isset($_POST['FirstName']) )
		$FirstName 				= 	trim($_POST['FirstName']);
	/* if(isset($_POST['LastName']) )
		$LastName 				= 	trim($_POST['LastName']); */
	if(isset($_POST['Email']))
		$Email      			= 	trim($_POST['Email']);
	if(isset($_POST['Status']) )
		$Status     			= 	$_POST['Status'];
	if(isset($_POST['Password']) && $_POST['Password'] != ''){
		$Password				=	$_POST['Password'];
		$PasswordString			=	"Password = '".$_POST['Password']."' , ";
	}
	else 
		$Password				=	"";
	if(isset($_POST['ConfirmPassword']) && $_POST['ConfirmPassword'] != '')
		$ConfirmPassword	=	$_POST['ConfirmPassword'];
		
	if(isset($_POST['userType']) && $_POST['userType'] != '')
		$userType	=	$_POST['userType'];
		
	if(isset($_POST['organization']) && $_POST['organization'] != '')
		$organization	=	$_POST['organization'];
	$isImageEdited = 0;
	if(isset($_POST['isUserImageEdited']) && !empty($_POST['isUserImageEdited'])){
		$isImageEdited = 1;
	}
	
	if(isset($_POST['beacons']) && !empty($_POST['beacons'])) {
		$beacons	=	implode(',',$_POST['beacons']);
	} else {
		$beacons	=	'';
	}
	
	$fields		=	"Email";
	$condition 	= 	" Email = '".$Email."' AND id != ".$_GET['editId']." AND Status in (0,1)";
	$isExist	=	$userObj->selectUserDetails($fields,$condition);
	
	if(isset($isExist) && is_array($isExist) && count($isExist)>0)
	{
		$msg 			= 'Email already exists';
		$display 		= "block";
		$class   		= "alert-danger";
		$class_icon     = "fa-warning";
	}
	else
	{
		$fields			=	$PasswordString."
							FirstName			= '".$FirstName."',
							Email				= '".$Email."',
							fkUserTypeId		= '".$userType."',
							fkOrganizationId	= '".$organization."',
							UserBeacons			= '".$beacons."',
							Status				= '".$Status."'";
		$condition		=	" id = ".$_GET['editId'];
		
		$userObj->updateUserDetails($fields,$condition);
		$insert_id	=	$_POST['user_id'];
		
		$date_now = date('Y-m-d H:i:s');
		/* if($_SERVER["REMOTE_ADDR"]	==	"172.21.4.154")	{
			echo '---insert_id--------'.$insert_id;
			echo '---isImageEdited--------'.$isImageEdited;
			die;
		} */
		if(isset($insert_id) && $insert_id != '' && $isImageEdited == 1){
			if (isset($_POST['user_photo_upload']) && !empty($_POST['user_photo_upload'])) {
				$imageName 				= $insert_id . '_' . strtotime($date_now) . '.png';
				$tempImagePath 			= TEMP_USER_IMAGE_PATH_REL . $_POST['user_photo_upload'];
				$imagePath 				= UPLOAD_USER_PATH_REL . $imageName;
				$imageThumbPath     	= UPLOAD_USER_THUMB_PATH_REL.$imageName;
				$oldUserName			= $_POST['name_user_photo'];
				if ( !file_exists(UPLOAD_USER_PATH_REL) ){
					mkdir (UPLOAD_USER_PATH_REL, 0777);
				}
				if ( !file_exists(UPLOAD_USER_THUMB_PATH_REL) ){
					mkdir (UPLOAD_USER_THUMB_PATH_REL, 0777);
				}
				copy($tempImagePath,$imagePath);
				if(!SERVER){ //for creating thumb 
					copy($tempImagePath,$imageThumbPath);
				}
				$phMagick = new phMagick($imagePath);
				$phMagick->setDestination($imageThumbPath)->resize(200,200);
				if (SERVER){
					if($oldUserName!='') {
						if(image_exists(1,$oldUserName)) {
							deleteImages(1,$oldUserName);
						}
						if(image_exists(2,$oldUserName)) {
							deleteImages(2,$oldUserName);
						}
					}
					uploadImageToS3($imageThumbPath,2,$imageName);					
					uploadImageToS3($imagePath,1,$imageName);
					unlink($imagePath);
					unlink($imageThumbPath);
				}
				// echo "====imagePath==".$imagePath;
				$photoUpdateString	= " Photo = '" . $imageName . "'";
				unlink(TEMP_USER_IMAGE_PATH_REL.$_POST['user_photo_upload']);
			}
			if($photoUpdateString!='')
			{
				$condition 		= "id = ".$insert_id;
				$updateImage 	= $userObj->updateUserDetails($photoUpdateString,$condition);
			}
		}
		header("location:Users?msg=2");
	}
}

if(isset($organization) && $organization != '') {
	$fields		=	"id,Description,BeaconType";
	$condition	=	"Status = 1 and fkOrganizationId = ".$organization." ORDER BY BeaconType asc, Description asc";
	
	$beaconList	=	$beaconObj->selectBeaconDetails($fields,$condition);
	
	$beaconListResult	=	array();
	if(!empty($beaconList) && count($beaconList) > 0) {
		foreach($beaconList as $bKey => $bVal) {
			$beaconListResult[$bVal->BeaconType][$bVal->id]	=	$bVal->Description;
		}
	}
}

$beaconsArray	=	array();
if(isset($beacons) && $beacons != '') {
	$beaconsArray	=	explode(',',$beacons);
}

?>
<body class="skin-blue" onload="return fieldfocus('<?php echo $field_focus; ?>');">
	<?php top_header(); ?>
	<section class="content">
		<div class="row">
			<form name="edit_user_form" id="edit_user_form" action="" method="post">
			<div class="col-md-12"> 
				<div class="box box-primary"> 
					<h2>Edit Store User Details</h2>
					<div class="box-padding">
						<div class="col-md-12 no-padding">
						<?php if(isset($msg) && $msg != '')  { ?> <div class="alert <?php echo $class;  ?> alert-dismissable col-lg-4  col-sm-5  col-xs-11 text-center"><i class="fa <?php echo $class_icon ;  ?>"></i>  <?php echo $msg;  ?></div> <?php } ?>
						<input type="Hidden" name="user_id" id="user_id" value="<?php if(isset($_GET['editId']) && $_GET['editId'] != '' ) echo $_GET['editId'];?>">
						</div>
						<?php if(!isset($isSubAdmin)) { ?>
						<div class="form-group col-sm-6 clear" >
							<label>Organization Name</label>
							<select class="form-control" name="organization" id="organization" alt="organization" onchange="getOrganizationDevices(this.value,<?php echo $userId; ?>)" >
								<option value="">--select--</option>
								<?php if(isset($organizationArray) && !empty($organizationArray)) { 
										foreach($organizationArray as $orKey => $orVal) {
								?>
								<option value="<?php echo $orKey; ?>" <?php if(isset($organization) && $organization == $orKey) echo 'selected'; ?>><?php echo $orVal; ?></option>
								<?php } }?>
							</select>
						</div>
						<?php } ?>
						<div class="form-group col-sm-6 clear" >
							<label>Name</label>
							<input type="text" name="FirstName" id="FirstName" maxlength="50" class="form-control" value="<?php if(isset($FirstName) && $FirstName != '') echo $FirstName; ?>" />
						</div>
						<!-- <div class="form-group col-sm-6">
							<label>Last Name</label>
							<input type="text" name="LastName" id="LastName" maxlength="50" class="form-control" value="<?php if(isset($LastName) && $LastName != '') echo $LastName; ?>" />
						</div> -->
						<!-- <div class="form-group col-sm-6 clear" >
							<label>User Type</label>
							<select class="form-control" name="userType" id="userType" alt="userType">
								<option value="">--select--</option>
								<?php if(isset($userTypeArray) && !empty($userTypeArray)) { 
										foreach($userTypeArray as $userKey => $userVal) {
								?>
								<option value="<?php echo $userKey; ?>" <?php if(isset($userType) && $userType == $userKey) echo 'selected'; ?> ><?php echo $userVal; ?></option>
								<?php } } ?>
							</select>
						</div> -->
						<div class="form-group col-sm-6 " >
							<label>Email</label>
							<input type="text" class="form-control" id="Email" name="Email" maxlength="50" value="<?php if(isset($Email) && $Email != '' ) echo $Email;  ?>" >
						</div>
						<div class="form-group col-sm-6 clear" >
							<label>Password</label>
							<input type="password" class="form-control" id="Password" name="Password" maxlength="16" value="<?php if(isset($Password) && $Password != '' ) echo $Password;  ?>" >
						</div>
						<div class="form-group col-sm-6" >
							<label>Confirm Password</label>
							<input type="password" class="form-control" id="ConfirmPassword" name="ConfirmPassword" maxlength="16" value="<?php if(isset($ConfirmPassword) && $ConfirmPassword != '' ) echo $ConfirmPassword;  ?>" >
						</div>
						
						<div class="form-group col-sm-6 clear">
							<label for="Status">Status</label>
							<select class="form-control" id="Status" name="Status">
								<option value="">--select--</option>
								<?php foreach($beacons_status_array as $key => $value) { if($key != 2) { ?>
								<option value="<?php echo $key; ?>" <?php if(isset($Status) && $Status == $key) echo "selected"; ?>><?php echo $value; ?></option>
								<?php } } ?>
							</select>
						</div>			
						<div class="form-group col-sm-6 col-lg-6">
							<label>Photo</label>
							<input type="hidden" id="isUserImageEdited" name="isUserImageEdited" value="0" />
							<div class="row">
								<div class="col-sm-8  col-lg-5"> 
									<input type="file"  name="user_photo" id="user_photo" title="User Logo" onclick="" onchange="return ajaxAdminFileUploadProcess('user_photo');"  /> 
									<!-- <p class="help-block">(Dimension should be 100x100)</p> -->
									<span class="error" for="empty_user_photo" generated="true" style="display: none">User logo is required</span>
								</div>
								<div class="col-sm-4">
									 <div id="user_photo_img">
										<?php  
										if(isset($UserImagePath) && $UserImagePath != ''){  ?>
											 <a <?php if(isset($OriginalImagePath) && $OriginalImagePath != '') { ?> href="<?php echo $OriginalImagePath; ?>" class="beacon-image-pop-up"<?php } else { ?> href="Javascript:void(0);"<?php } ?> title="Click here" alt="Click here" ><img class="img_border" src="<?php  echo $UserImagePath;  ?>" width="75" height="75" alt="Image"/></a>
										<?php  }  ?>
									 </div>
								</div>
							</div>
							<?php  if(isset($_POST['user_photo_upload']) && $_POST['user_photo_upload'] != ''){  ?><input type="Hidden" name="user_photo_upload" id="user_photo_upload" value="<?php  echo $_POST['user_photo_upload'];  ?>"><?php  }  ?>
							<input type="Hidden" name="empty_user_photo" id="empty_user_photo" value="<?php  if(isset($UserImageName) && $UserImageName != '') { echo $UserImageName; }  ?>" />
							<input type="Hidden" name="name_user_photo" id="name_user_photo" value="<?php  if(isset($UserImageName) && $UserImageName != '') { echo $UserImageName; }  ?>" />
						</div>
						<div class="form-group col-sm-6 clear role-table " id="organization_div" style="<?php echo $orgStyle; ?>">
							<label>Beacons <input type="checkbox" class="grant_all " title="Overall Beacons" name="grant_all" id="grant_all"  value="1"> </label>
							<div id="organization_beacons" class="enable-chk reg-beacon-chk">
								<?php 
								$ibeacon=$virtual=$traffic=$opendoor=$class='';
								if(isset($beaconListResult) && !empty($beaconListResult)) { 
											foreach($beaconListResult as $beaconKey => $beaconVal) {	
												if($beaconKey == 1) { 
												$ibeacon=implode(",", array_keys($beaconVal));
												?>
												<div><label>IBeacons<input type='checkbox' id='page_1' title='Ibeacons All' value='ibeacon' class='select_all' name='pages[]' data-page='ibeacon'></label></div>
												<?php } else if($beaconKey == 2) { 
												$virtual=implode(",", array_keys($beaconVal));
												?>
												<div><label>Virtual Beacons<input type='checkbox' id='page_2' title='Virtual All' value='virtual' class='select_all' name='pages[]' data-page='virtual'></label></div>
												<?php } else if($beaconKey == 3) { 
												$traffic=implode(",", array_keys($beaconVal));
												?>
												<div><label>Traffic Beacons<input type='checkbox' id='page_3' title='Traffic All' value='traffic' class='select_all' name='pages[]' data-page='traffic'></label></div>
												<?php } else if($beaconKey == 4) {
												$opendoor=implode(",", array_keys($beaconVal));
												?>
												<div><label>Open Door Beacons<input type='checkbox' id='page_4' title='Open Door All' value='opendoor' class='select_all' name='pages[]' data-page='opendoor'></label></div>
												<?php }
												foreach($beaconVal as $beKey => $beVal) { ?>
										<div class="beacon-chkout">
											<input type="checkbox" name="beacons[]" data-page="<?php echo $beKey; ?>" id="beacon_<?php echo $beKey; ?>" value="<?php echo $beKey; ?>" <?php if(!empty($beaconsArray) && in_array($beKey,$beaconsArray)) echo 'checked'; ?>>
											<label for="beacon_<?php echo $beKey; ?>"><?php echo $beVal; ?></label>
										</div>
								<?php } } 
								$allbeacon=$ibeacon.$virtual.$traffic.$opendoor;
								echo '<input type="hidden" id="allbeacon" value="'.$allbeacon.'"><input type="hidden" id="ibeacon" value="'.$ibeacon.'"><input type="hidden" id="virtual" value="'.$virtual.'"><input type="hidden" id="traffic" value="'.$traffic.'"><input type="hidden" id="opendoor" value="'.$opendoor.'">'; } else echo '<span style="color:red">No Beacons found</span>'; ?>
							</div>
						</div>
						
						
						<div class="box-footer  col-xs-12" align="center">
							<input type="submit" class="btn btn-success mR-button" name="submit" id="submit" value="Save" title="Save" alt="Save">
							<?php $href_page = "Users";?>		
							<a href="<?php if(isset($href_page) && $href_page != '' ) echo $href_page; else echo 'UserDetails';?>" class="btn btn-default" name="Back" id="Back" title="Back" alt="Back" >Back </a>	
						</div>
					</div>
				</div><!-- /.box -->
			</div><!-- /.col -->
			</form>	
		</div><!-- /.row -->
	</section><!-- /.content -->	
<?php commonFooter(); ?>
<script type="text/javascript">
$('.beacon-image-pop-up').fancybox({title:true});
</script>
</html>