<?php
require_once('includes/CommonIncludes.php');
require_once('controllers/UserController.php');
require_once('controllers/BeaconController.php');
	
if(isset($_SESSION['beacon_sess_user_type']) && $_SESSION['beacon_sess_user_type'] == 2)//user 
	header("location:Devices?cs=1");
	
$userObj	=	new UserController();
$beaconObj	=   new BeaconController();
admin_login_check();
require_once("includes/phmagick.php");
$date_now 	= 	date('Y-m-d H:i:s');

$beaconList	=	array();

if(isset($_SESSION['beacon_sess_user_type']) && $_SESSION['beacon_sess_user_type'] == 3) {//sub admin 
	// $userType			=	3;	
	$isSubAdmin			=	1;
	$fkAdminsId			=	$_SESSION['beacon_sub_admin_user_id'];
	$OrganizationId		=	$_SESSION['beacon_sub_admin_organizations'];
}

if(isset($OrganizationId) && $OrganizationId != '') {
	$fields		=	"id,Description,BeaconType";
	$condition	=	"Status = 1 and fkOrganizationId = ".$OrganizationId." ORDER BY BeaconType asc, Description asc";
	
	$beaconList	=	$beaconObj->selectBeaconDetails($fields,$condition);
	
	$beaconListResult	=	array();
	if(!empty($beaconList) && count($beaconList) > 0) {
		foreach($beaconList as $bKey => $bVal) {
			$beaconListResult[$bVal->BeaconType][$bVal->id]	=	$bVal->Description;
		}
	}
}




if(isset($isSubAdmin) && $isSubAdmin == 1) {
	$orgStyle	=	'display:block';
} else {
	$orgStyle	=	'display:none';
}



$fields    	 = " * ";
$condition 	 = " and Status = 1 ";

$userTypeResult  		= $userObj->selectUserTypeList($fields,$condition);
if(isset($userTypeResult) && !empty($userTypeResult)) {
	foreach($userTypeResult as $key => $value) {
		$userTypeArray[$value->id]	=	$value->Type;	
	}
}

$fields		= " * ";
$condition	= " and Status = 1 ";

if(isset($OrganizationId) && isset($fkAdminsId)) {
	$condition	.=	" AND id in (".$OrganizationId.")";
}


$organizationResult		= $userObj->selectOrganizations($fields,$condition);
if(isset($organizationResult) && !empty($organizationResult)) {
	foreach($organizationResult as $orgKey => $orgValue) {
		$organizationArray[$orgValue->id]	=	$orgValue->OrganizationName;
	}
}


if(isset($_POST['user_signup_submit']) && $_POST['user_signup_submit'] == 'SIGN UP'){
	$_POST          	=   unEscapeSpecialCharacters($_POST);
   	$_POST          	=   escapeSpecialCharacters($_POST);
	
	if(isset($_POST['first_name']) && $_POST['first_name'] != '') 				$first_name			= $_POST['first_name'];
	// if(isset($_POST['last_name']) && $_POST['last_name'] != '') 				$last_name			= $_POST['last_name'];
	if(isset($_POST['email']) && $_POST['email'] != '') 						$email				= $_POST['email'];
	if(isset($_POST['password']) && $_POST['password'] != '') 					$password			= $_POST['password'];
	if(isset($_POST['confirm_password']) && $_POST['confirm_password'] != '') 	$confirm_password	= $_POST['confirm_password'];
	if(isset($_POST['userType']) && $_POST['userType'] != '') 					$userType			= $_POST['userType'];
	if(isset($_POST['organization']) && $_POST['organization'] != '') 			$organization		= $_POST['organization'];
	if(isset($_POST['beacons']) && !empty($_POST['beacons'])) {
		$beacons	=	implode(',',$_POST['beacons']);
	} else {
		$beacons	=	'';
	}
	$fields		=	' * ';
	$condition	=	" Email = '".$email."' AND Status = '1'";
	$result		=	$userObj->selectUserDetails($fields,$condition);
	
	
	if(count($result) == 0)
	{	
		if(isset($isSubAdmin) && $isSubAdmin == 1) 
			$fkOrganization	=	"fkOrganizationId	=	'".$OrganizationId."',";
		else
			$fkOrganization	=	"fkOrganizationId	=	'".$organization."',";
			
		$fields		=	$fkOrganization."
						FirstName			=	'".$first_name."',
						Password			=	'".$password."',
						Email				=	'".$email."',
						UserBeacons			=	'".$beacons."',
						Status				=	'1',
						DateCreated 		= 	'".date('Y-m-d H:i:s')."',
						DateModified		= 	'".date('Y-m-d H:i:s')."',
						LastLoginDate		= 	'".date('Y-m-d H:i:s')."'";
						
		$insert_id	=	$userObj->insertUserDetails($fields);
		
		if(isset($insert_id) && $insert_id != '' ){
			if (isset($_POST['user_photo_upload']) && !empty($_POST['user_photo_upload'])) {
				$imageName 				= $insert_id . '_' . strtotime($date_now) . '.png';
				$tempImagePath 			= TEMP_USER_IMAGE_PATH_REL . $_POST['user_photo_upload'];
				$imagePath 				= UPLOAD_USER_PATH_REL . $imageName;
				$imageThumbPath     	= UPLOAD_USER_THUMB_PATH_REL.$imageName;
				$oldUserName			= $_POST['name_user_photo'];
				if ( !file_exists(UPLOAD_USER_PATH_REL) ){
					mkdir (UPLOAD_USER_PATH_REL, 0777);
				}
				if ( !file_exists(UPLOAD_USER_THUMB_PATH_REL) ){
					mkdir (UPLOAD_USER_THUMB_PATH_REL, 0777);
				}
				copy($tempImagePath,$imagePath);
				if(!SERVER){ //for creating thumb 
					copy($tempImagePath,$imageThumbPath);
				}
				$phMagick = new phMagick($imagePath);
				$phMagick->setDestination($imageThumbPath)->resize(200,200);
				if (SERVER){
					if($oldUserName!='') {
						if(image_exists(1,$oldUserName)) {
							deleteImages(1,$oldUserName);
						}
						if(image_exists(2,$oldUserName)) {
							deleteImages(2,$oldUserName);
						}
					}
					uploadImageToS3($imageThumbPath,2,$imageName);					
					uploadImageToS3($imagePath,1,$imageName);
					unlink($imagePath);
					unlink($imageThumbPath);
				}
				//echo "====imagePath==".$imagePath;
				$photoUpdateString	= " Photo = '" . $imageName . "'";
				unlink(TEMP_USER_IMAGE_PATH_REL.$_POST['user_photo_upload']);
			}
			if($photoUpdateString!='')
			{
				$condition 			= "id = ".$insert_id;
				$updateImage = $userObj->updateUserDetails($photoUpdateString,$condition);
			}
		}
		
		// $_SESSION['beacon_sess_user_id'] 		= $result;
		// $_SESSION['beacon_sess_user_email'] 	= $email;
		// $_SESSION['beacon_sess_user_type'] 		= 2;
		header('location:Users?msg=1');
	}
	else
	{
		$error		=	'This Email Id already exists';
		$msg		=	'Email already exists';
		$class   	= 	"alert-danger";
		$class_icon = 	"fa-warning";
	}		
}
commonHead();
?>
<body onload="fieldfocus('first_name');" class="skin-blue">
	<?php top_header(); ?>
	<section class="content">
		<div class="row">
			<form action="" name="user_signup_form" id="user_signup_form"  method="post">
				<div class="col-md-12"> 
					<div class="box box-primary"> 
					<h2>Create Regular Users</h2>
						<div class="box-padding">
							<div class="col-md-12 no-padding">
							<?php if(isset($msg) && $msg != '')  { ?> <div class="alert <?php echo $class;  ?> alert-dismissable col-lg-4  col-sm-5  col-xs-11 text-center"><i class="fa <?php echo $class_icon ;  ?>"></i>  <?php echo $msg;  ?></div> <?php } ?>
							</div>
							<?php if(!isset($isSubAdmin)) { ?>
							<div class="form-group col-sm-6 clear" >
								<label>Organization Name</label>
								<select class="form-control" name="organization" id="organization" alt="organization" onchange="getOrganizationDevices(this.value,0)">
									<option value="">--select--</option>
									<?php if(isset($organizationArray) && !empty($organizationArray)) { 
											foreach($organizationArray as $orKey => $orVal) {
									?>
									<option value="<?php echo $orKey; ?>" <?php if(isset($organization) && $organization == $orKey) echo 'selected'; ?>><?php echo $orVal; ?></option>
									<?php } }?>
								</select>
							</div>
							<?php } ?>
							<!-- <div class="form-group col-sm-6" >
								<label>Last Name</label>
								<input type="text" name="last_name"  id="last_name" class="form-control" placeholder="Last Name" maxlength="50" value="<?php if(isset($last_name)) echo $last_name; ?>"/>
							</div> -->
							<?php if(!isset($isSubAdmin)) { ?>
							<!-- <div class="form-group col-sm-6 clear" >
								<label>User Type</label>
								<select class="form-control" name="userType" id="userType" alt="userType">
									<option value="">--select--</option>
									<?php if(isset($userTypeArray) && !empty($userTypeArray)) { 
											foreach($userTypeArray as $userKey => $userVal) {
									?>
									<option value="<?php echo $userKey; ?>" <?php if(isset($userType) && $userType == $userKey) echo 'selected'; ?>><?php echo $userVal; ?></option>
									<?php } }?>
								</select>
							</div> -->
							<?php } ?>
							<div class="form-group col-sm-6 clear" >
								<label>Name</label>
								<input type="text" name="first_name"  id="first_name" class="form-control" placeholder="Name" maxlength="50" value="<?php if(isset($first_name)) echo $first_name; ?>" />
							</div>
							<div class="form-group col-sm-6" >
								<label>Email</label>
								<input type="text" name="email"  id="email" class="form-control" placeholder="Email" maxlength="100" value="<?php if(isset($email))  echo $email; ?>"/>
							</div>
							
							
							<div class="form-group col-sm-6 clear" >
								<label>Password</label>
								<input type="password" name="password"  id="password" class="form-control" placeholder="Password" maxlength="16" value="<?php if(isset($password)) echo $password; ?>"/>
							</div>
							<div class="form-group col-sm-6" >
								<label>Confirm Password</label>
								<input type="password" name="confirm_password"  id="confirm_password" class="form-control" placeholder="Confirm Password" maxlength="16" value="<?php if(isset($confirm_password)) echo $confirm_password; ?>"/>
							</div>
							
							<div class="form-group col-sm-6 col-lg-6 clear">
								<label>Photo</label>
								<div class="row">
									<div class="col-sm-8  col-lg-5"> 
										<input type="file"  name="user_photo" id="user_photo" title="User Logo" onclick="" onchange="return ajaxAdminFileUploadProcess('user_photo');"  /> 
										<!-- <p class="help-block">(Dimension should be 100x100)</p> -->
										<span class="error" for="empty_user_photo" generated="true" style="display: none">User logo is required</span>
									</div>
									<div class="col-sm-4">
										 <div id="user_photo_img">
											<?php  
											if(isset($UserImagePath) && $UserImagePath != ''){  ?>
												 <a <?php if(isset($OriginalImagePath) && $OriginalImagePath != '') { ?> href="<?php echo $OriginalImagePath; ?>" class="admin_logo_pop_up"<?php } else { ?> href="Javascript:void(0);"<?php } ?> title="Click here" alt="Click here" ><img class="img_border" src="<?php  echo $UserImagePath;  ?>" width="75" height="75" alt="Image"/></a>
											<?php  }  ?>
										 </div>
									</div>
								</div>
								<?php  if(isset($_POST['user_photo_upload']) && $_POST['user_photo_upload'] != ''){  ?><input type="Hidden" name="user_photo_upload" id="user_photo_upload" value="<?php  echo $_POST['user_photo_upload'];  ?>"><?php  }  ?>
								<input type="Hidden" name="empty_user_photo" id="empty_user_photo" value="<?php  if(isset($UserImageName) && $UserImageName != '') { echo $UserImageName; }  ?>" />
								<input type="Hidden" name="name_user_photo" id="name_user_photo" value="<?php  if(isset($UserImageName) && $UserImageName != '') { echo $UserImageName; }  ?>" />
							</div>
							<div class="form-group col-sm-6 role-table" id="organization_div" style="<?php echo $orgStyle; ?>">
								<label>Beacons
								<?php if(!isset($isSubAdmin) || (isset($beaconListResult) && !empty($beaconListResult))) {?>
								<input type="checkbox" class="grant_all " title="Overall Beacons" name="grant_all" id="grant_all"  value="1"> 
								<?php }?>
								</label>
								<div id="organization_beacons" class="enable-chk reg-beacon-chk">
									<?php
										$ibeacon=$virtual=$traffic=$opendoor=$class='';
									if(isset($beaconListResult) && !empty($beaconListResult)) { 
											foreach($beaconListResult as $beaconKey => $beaconVal) {	
												if($beaconKey == 1) { 
												$ibeacon=implode(",", array_keys($beaconVal));
												?>
												<div><label>IBeacons<input type='checkbox' id='page_1' title='Ibeacons All' value='ibeacon' class='select_all' name='pages[]' data-page='ibeacon'></label></div>
												<?php } else if($beaconKey == 2) { 
												$virtual=implode(",", array_keys($beaconVal));
												?>
												<div><label>Virtual Beacons<input type='checkbox' id='page_2' title='Virtual All' value='virtual' class='select_all' name='pages[]' data-page='virtual'></label></div>
												<?php } else if($beaconKey == 3) { 
												$traffic=implode(",", array_keys($beaconVal));
												?>
												<div><label>Traffic Beacons<input type='checkbox' id='page_3' title='Traffic All' value='traffic' class='select_all' name='pages[]' data-page='traffic'></label></div>
												<?php } else if($beaconKey == 4) { 
												$opendoor=implode(",", array_keys($beaconVal));
												?>
												<div><label>Open Door Beacons<input type='checkbox' id='page_4' title='Open Door All' value='opendoor' class='select_all' name='pages[]' data-page='opendoor'></label></div>
												<?php }
												foreach($beaconVal as $beKey => $beVal) { ?>
											<div class="beacon-chkout">
												<input type="checkbox" name="beacons[]" id="beacon_<?php echo $beKey; ?>" value="<?php echo $beKey; ?>">
												<label for="beacon_<?php echo $beKey; ?>"><?php echo $beVal; ?></label>
											</div>
									<?php } }
									$allbeacon=$ibeacon.$virtual.$traffic.$opendoor;
									echo '<input type="hidden" id="allbeacon" value="'.$allbeacon.'"><input type="hidden" id="ibeacon" value="'.$ibeacon.'"><input type="hidden" id="virtual" value="'.$virtual.'"><input type="hidden" id="traffic" value="'.$traffic.'"><input type="hidden" id="opendoor" value="'.$opendoor.'">';
									} else echo '<span style="color:red">No Beacons found</span>'; ?>
								</div>
							</div>
							<div class="box-footer  col-xs-12" align="center">
								<input type="submit" name="user_signup_submit" id="user_signup_submit" value="SIGN UP" title="Submit" class="btn btn-success mR-button">
								<?php $href_page = "Users";?>		
								<a href="<?php if(isset($href_page) && $href_page != '' ) echo $href_page; else echo 'Users';?>" class="btn btn-default" name="Back" id="Back" title="Back" alt="Back" >Back </a>	
							</div>
						</div>
					</div>
				</div>
			</form>
		</div>
	</section>
<?php commonFooter(); ?>
</html>