<?php 
require_once('includes/CommonIncludes.php');
require_once('controllers/UserController.php');
require_once('controllers/AdminController.php');
if(isset($_SESSION['beacon_sess_user_type']) && $_SESSION['beacon_sess_user_type'] == 2 || $_SESSION['beacon_sess_user_type'] == 3)//user || sub admin
	header("location:Devices?cs=1");

$userObj		=  new UserController();
$adminLoginObj  =  new AdminController();
admin_login_check();

if(isset($_GET['cs']) && $_GET['cs'] == 1) {
	destroyPagingControlsVariables();
	unset($_SESSION['beacon_sess_user_user_type']);
}

if(isset($_GET['deleteId']) && $_GET['deleteId'] != '') {
	$condition			=	" id	=".$_GET['deleteId'];
	$fields		 		= 	" Status = 2";
	$userTypeResult		= 	$userObj->updateUserType($fields,$condition);
	header("location:UserType?msg=3");
}

if(isset($_POST['Search']) && $_POST['Search'] != '') {
	destroyPagingControlsVariables();
	$_POST          = unEscapeSpecialCharacters($_POST);
    $_POST          = escapeSpecialCharacters($_POST);
	if(isset($_POST['UserType']))
		$_SESSION['beacon_sess_user_user_type']		= trim($_POST['UserType']);
}


setPagingControlValues('id',ADMIN_PER_PAGE_LIMIT);
$fields    	 = " * ";
$condition 	 = " and Status = 1 ";

$userTypeResult  		= $userObj->getUserTypeList($fields,$condition);
$tot_rec 				= $userObj->getTotalRecordCount();
if($tot_rec!=0 && !is_array($userTypeResult)) {
	$_SESSION['curpage'] = 1;
	$userTypeResult	 	 = $userObj->getUserTypeList($fields,$condition);
}
if(isset($_GET['msg']) && $_GET['msg'] == 1) {
	$msg		= "User Type added successfully";
	$class		= "alert-success";
	$class_icon = "fa-check";
	$display 	= "block";
}
else if(isset($_GET['msg']) && $_GET['msg'] == 2 ) {
	$msg		= "User Type updated successfully";
	$class		= "alert-success";
	$class_icon = "fa-check";
	$display 	= "block";
}
else if(isset($_GET['msg']) && $_GET['msg'] == 3 ) {
	$msg		= "User Type deleted successfully";
	$class		= "alert-success";
	$class_icon = "fa-check";
	$display 	= "block";
}
commonHead(); ?>
<body class="skin-blue">
	<?php top_header(); ?>	
<!-- Main content -->
	<section class="content">
		<div class="row">
		<!-- left column -->
			<div class="col-md-12"><!--  col-lg-6 -->
				<div class="box box-primary">
				<h2>User Type List</h2>
				<div class="col-xs-12">
					<a href="ManageUserType" name="addUserType" id="addUserType" class="add-device"><i class="fa fa-plus"></i> Add User Type</a>
				</div>
				<form name="searchCategory" action="UserType" method="post">
						<div class="box box-primary box-padding report separator">
							<div class="box-body no-padding" >
								<div class="col-sm-4 col-xs-12 form-group">
									<label>User Type</label>
									<input type="text" placeholder="User Type" class="form-control" name="UserType" id="UserType"  value="<?php  if(isset($_SESSION['beacon_sess_user_user_type']) && $_SESSION['beacon_sess_user_user_type'] != '') echo stripslashes(htmlentities($_SESSION['beacon_sess_user_user_type'])); ?>" >
								</div>
								
								<div class="col-sm-12 clear" align="center">
									<input type="submit" class="btn btn-success" name="Search" id="Search" value="Search">
								</div>
							</div>
						</div>
					</form>
				
				
				<div class="row paging paging-margin report col-xs-12">
						<div class="col-xs-12 col-sm-2 no-padding">
							<?php if(isset($userTypeResult) && is_array($userTypeResult) && count($userTypeResult) > 0){ ?>
							<div class="dataTables_info"><span class="">No. of User Type(s)&nbsp:&nbsp;<strong><?php echo $tot_rec; ?></strong> </span></div>
							<?php } ?>
						</div>
						<div class="col-xs-12 col-sm-10">
							<div class="dataTables_paginate paging_bootstrap row">
							<?php if(is_array($userTypeResult) && count($userTypeResult) > 0 ) {
									pagingControlLatest($tot_rec,'UserType'); ?>
							<?php }?>
							</div>
						</div>
					</div>	
					<?php if(isset($msg) && $msg != '') { ?>
					<div class="row col-xs-12">
						   <div align="center" class="alert <?php  echo $class;  ?> alert-dismissable col-xs-11  col-sm-4"><i class="fa fa-check"></i>  <?php echo $msg; ?></div>
					</div>	
					<?php } ?>
					<div class="table-responsive">
						<table width="100%" class="table" cellpadding="0" cellspacing="0">
							<tr>
								<th align="center" width="3%" style="text-align:center;">#</th>
								<th width="45%" align="left" style="text-align:left;"><?php echo sortColumn('Type','User Type'); ?></th>
								<th width="45%" align="left" style="text-align:left;"><?php echo sortColumn('TypeFr','User Type Fr'); ?></th>
								<th width="7%" align="left" style="text-align:left;">Action</th>
							</tr>
							<?php if(isset($userTypeResult) && is_array($userTypeResult) && count($userTypeResult) > 0 ) {
										foreach($userTypeResult as $key => $value) { 
							?>
							<tr id="test_id_<?php echo $value->id;?>">
								<td align="center" style="text-align:center;" nowrap><?php echo (($_SESSION['curpage'] - 1) * ($_SESSION['perpage']))+$key+1;?></td>
								<td><?php if(isset($value->Type) && $value->Type != '') echo $value->Type; else echo '-';?></td>
								<td><?php if(isset($value->TypeFr) && $value->TypeFr != '') echo $value->TypeFr; else echo '-';?></td>
								<td class="action-icons" align="center">
									<a href='ManageUserType?editId=<?php echo $value->id; ?>' name='edit' title='Edit'><i class="fa fa-pencil"></i></a>
									<a href='UserType?deleteId=<?php echo $value->id; ?>' onclick="javascript:return confirm('Are you sure you want to delete this User Type?')"  name='deleteUserType' title='Delete'><i class="fa fa-trash-o"></i></a>
								</td>
							<?php } } else { ?>
							<tr>
								<td colspan="9" align="center">
									<div class="alert col-sm-4 col-xs-12 " style="color:red;">No User Type found</div> 
								</td>
							</tr>
							<?php } ?>
						</table>
					</div>
				</div>
			</div>
		</div>
	</section>
<?php commonfooter(); ?>
<script type="text/javascript">
$('.beacon-image-pop-up').fancybox({title:true});
</script>
</html>