<?php
class AdminModel extends Model
{
	function getTotalRecordCount()
	{
		$result = $this->sqlCalcFoundRows();
		return $result;
	}
	
    function checkAdminLogin($where)
	{
		$sql	=	"SELECT * FROM {$this->adminTable} WHERE ".$where;
		$result = 	$this->sqlQueryArray($sql);

		if (count($result) == 0) return false;
		return $result;
	}
	function getAdminDetails($fields,$where)
	{
		$sql	=	"SELECT $fields FROM  {$this->adminTable} WHERE ".$where;
		$result = 	$this->sqlQueryArray($sql);

		if (count($result) == 0) return false;
		return $result;
	}
	function updateAdminDetails($fields,$where)
	{
		$sql = "UPDATE {$this->adminTable} SET $fields where ".$where;
		$this->updateInto($sql);
	}	
	
	function getSubAdminDetails($fields,$condition)
	{
		$limit_clause = '';
		$sorting_clause = 'id desc';
		if(!empty($_SESSION['ordertype']))
			$sorting_clause = $_SESSION['orderby'] . ' ' . $_SESSION['ordertype'];
		if(isset($_SESSION['curpage']))
			$limit_clause = ' LIMIT '.(($_SESSION['curpage'] - 1) * ($_SESSION['perpage'])) . ', '. $_SESSION['perpage'];
		if(isset($_SESSION['beacon_sess_subadmins_name']) && $_SESSION['beacon_sess_subadmins_name'] != '')
			$condition	.=	" AND UserName LIKE '%".$_SESSION['beacon_sess_subadmins_name']."%'";
		
		$sql	=	"SELECT SQL_CALC_FOUND_ROWS ".$fields." FROM {$this->adminTable} as a 
					LEFT JOIN {$this->organizationTable} as o ON (o.fkAdminsId = a.id) 
					WHERE 1 ".$condition." ORDER BY ".$sorting_clause." ".$limit_clause;
		
		$result = 	$this->sqlQueryArray($sql);
		return $result;
	}
	
	function selectSubAdmins($fields,$condition)
	{
		$sql	=	"SELECT ".$fields." FROM {$this->adminTable} WHERE 1 ".$condition;
		$result = 	$this->sqlQueryArray($sql);
		return $result;
	}
	
	function insertSubadmin($register_values)
	{
		$sql	=	"INSERT INTO {$this->adminTable} SET			UserName			= '".$register_values['UserName']."',
																	EmailAddress		= '".$register_values['Email']."',
																	Password			= '".$register_values['Password']."',
																	IsSubAdmin			= '".$register_values['IsSubAdmin']."',
																	Status				= '".$register_values['Status']."',
																	DateCreated 		= '".date('Y-m-d H:i:s')."',
																	DateModified		= '".date('Y-m-d H:i:s')."'";
		// echo "<br>====111111111=========".$sql;
		$this->result = $this->insertInto($sql);
		$insertId = $this->sqlInsertId();
		return $insertId;
	}
	
	function updateSubadmin($fields,$condition)
	{
		$sql = "UPDATE {$this->adminTable} SET $fields where ".$condition;
		// echo "=============".$sql;die();
		$this->updateInto($sql);
	}
	
	function insertRelationship($query)
	{
		$sql	=	"INSERT INTO {$this->relationTable} (SubAdminId,OrganizationId,Status,DateCreated,DateModified) VALUES ".$query;
		// echo "<br>=============".$sql;
		$this->result = $this->insertInto($sql);
		$insertId = $this->sqlInsertId();
		return $insertId;
	}
	function selectRelationship($fields,$condition)
	{
		$sql	=	"SELECT ".$fields." FROM {$this->relationTable} WHERE ".$condition;
		$result = 	$this->sqlQueryArray($sql);

		return $result;
	}
	function deleteRelation($fields,$condition)
	{
		$sql	=	"DELETE FROM {$this->relationTable} WHERE ".$condition;
		$this->deleteInto($sql);
	}
	
	function checkSubAdminLogin($condition)
	{
		$sql	=	"SELECT * FROM {$this->adminTable} WHERE ".$condition;
		$result = 	$this->sqlQueryArray($sql);

		if (count($result) == 0) return false;
		return $result;
	}
	function getSystemTrackingDetails($fields,$condition)
	{
		$limit_clause = '';
		$sorting_clause = 'id desc';
		if(!empty($_SESSION['ordertype']))
			$sorting_clause = $_SESSION['orderby'] . ' ' . $_SESSION['ordertype'];
		if(isset($_SESSION['curpage']))
			$limit_clause = ' LIMIT '.(($_SESSION['curpage'] - 1) * ($_SESSION['perpage'])) . ', '. $_SESSION['perpage'];
		
		/* if(isset($_SESSION['beacon_sess_users_user_name']) && $_SESSION['beacon_sess_users_user_name'] != '')
			$condition .= " AND (FirstName LIKE '%".$_SESSION['beacon_sess_users_user_name']."%' || LastName LIKE '%".$_SESSION['beacon_sess_users_user_name']."%' || CONCAT(u.FirstName,  ' ',u.LastName ) LIKE '%".$_SESSION['beacon_sess_users_user_name']."%' )"; */
			
		if(isset($_SESSION['beacon_sess_users_user_name']) && $_SESSION['beacon_sess_users_user_name'] != '')
			$condition	.=	" AND b.Description LIKE '%".$_SESSION['beacon_sess_users_user_name']."%'";
		if(isset($_SESSION['beacon_sess_organization_name']) && $_SESSION['beacon_sess_organization_name'] != '')
			$condition .= " AND s.fkOrganizationId = '".$_SESSION['beacon_sess_organization_name']."'";
		if(isset($_SESSION['beacon_sess_devices_device_id']) && $_SESSION['beacon_sess_devices_device_id'] != '')
			$condition	.= " AND d.DeviceName LIKE '%".$_SESSION['beacon_sess_devices_device_id']."%'";
		
		if(isset($_SESSION['beacon_sess_system_from_date']) && $_SESSION['beacon_sess_system_from_date'] != ''	&&	isset($_SESSION['beacon_sess_system_to_date']) && $_SESSION['beacon_sess_system_to_date'] != '')
			$condition .= " AND ((date(s.DateCreated) >=  '".date('Y-m-d',strtotime($_SESSION['beacon_sess_system_from_date']))."' and date(s.DateCreated) <= '".date('Y-m-d',strtotime($_SESSION['beacon_sess_system_to_date']))."') ) ";
		else if(isset($_SESSION['beacon_sess_system_from_date']) && $_SESSION['beacon_sess_system_from_date'] != '')
			$condition .= " AND date(s.DateCreated) >=  '".date('Y-m-d',strtotime($_SESSION['beacon_sess_system_from_date']))."'";
		else if(isset($_SESSION['beacon_sess_system_to_date']) && $_SESSION['beacon_sess_system_to_date'] != '')
			$condition .= " AND date(s.DateCreated) <=  '".date('Y-m-d',strtotime($_SESSION['beacon_sess_system_to_date']))."'";
	
		$sql	=	"SELECT SQL_CALC_FOUND_ROWS ".$fields." FROM {$this->systemTable} as s 
					LEFT JOIN {$this->adminTable} as a ON (s.fkAdminsId = a.id)
					LEFT JOIN {$this->userTable} as u ON (s.fkUsersId = u.id)  
					LEFT JOIN {$this->beaconTable} as b ON ( s.fkAdminsId = b.fkAdminsId AND s.fkOrganizationId = b.fkOrganizationId AND s.fkUsersId = b.fkUsersId AND s.fkDevicesId = b.fkDevicesId)
					LEFT JOIN {$this->deviceTable} as d ON (s.fkDevicesId = d.id)
					WHERE 1 ".$condition." ORDER BY ".$sorting_clause." ".$limit_clause;
		// echo "=============".$sql;
		$result = 	$this->sqlQueryArray($sql);
		return $result;
		
	}
}
?>