<?php 
require_once('includes/CommonIncludes.php');
admin_login_check();
commonHead();
require_once('controllers/BeaconController.php');
$beaconObj    =   new BeaconController();
$fieldNameArr = $sampleDataArr = $requiredArr = $explanationArr = array();
if(isset($_GET['viewId']) && $_GET['viewId'] != '' ){
	$condition       = " b.id = ".$_GET['viewId'];
	$field			 = " b.*, b.Photo as BeaconPhoto, d.id, d.DeviceName, d.DeviceId as UUID, u.FirstName, u.LastName  ";
	$beaconDetails   = $beaconObj->getBeaconDetail($field,$condition);
	
	$conditions				=	"fkBeaconsId = '".$_GET['viewId']."'";
	$fields					=	'*';
	$beaconAngleResult		=	$beaconObj->getBeaconAngle($fields,$conditions);
	
	//echo "<pre>========";print_r($beaconAngleResult);echo "<==========</pre>";
	
	$trafficFields			=	'*';
	$trafficCondition		=	"fkBeaconsId = '".$_GET['viewId']."'";
	$trafficLocationResult	=	$beaconObj->selectTrafficLocations($trafficFields,$trafficCondition);
	
	
	if(isset($trafficLocationResult) && is_array($trafficLocationResult) && count($trafficLocationResult) > 0) {
		$TrafficLocationId		=	$trafficLocationResult[0]->id;
		$StreetNameOne			=	$trafficLocationResult[0]->StreetNameOne;
		$StreetNameTwo			=	$trafficLocationResult[0]->StreetNameTwo;
		$DeviceId1				=	$trafficLocationResult[0]->DeviceId1;
		$DeviceId2				=	$trafficLocationResult[0]->DeviceId2;
		$DeviceId3				=	$trafficLocationResult[0]->DeviceId3;
		$DeviceId4				=	$trafficLocationResult[0]->DeviceId4;
		$DeviceId5				=	$trafficLocationResult[0]->DeviceId5;
		$DeviceId6				=	$trafficLocationResult[0]->DeviceId6;
		$DeviceId7				=	$trafficLocationResult[0]->DeviceId7;
		$DeviceId8				=	$trafficLocationResult[0]->DeviceId8;
		$TrafficDetail1			=	$trafficLocationResult[0]->Detail1;
		$TrafficDetail2			=	$trafficLocationResult[0]->Detail2;
		$TrafficDetail3			=	$trafficLocationResult[0]->Detail3;
		$TrafficDetail4			=	$trafficLocationResult[0]->Detail4;
	}
	
	
	if(isset($beaconAngleResult) && is_array($beaconAngleResult) && count($beaconAngleResult) > 0){
		$AngleId				=	$beaconAngleResult[0]->id;
		$Angle1					=	$beaconAngleResult[0]->Angle1;
		$Angle2					=	$beaconAngleResult[0]->Angle2;
		$Angle3					=	$beaconAngleResult[0]->Angle3;
		$Angle4					=	$beaconAngleResult[0]->Angle4;
		$Angle1Description		=	$beaconAngleResult[0]->Angle1Description;
		$Angle2Description		=	$beaconAngleResult[0]->Angle2Description;
		$Angle3Description		=	$beaconAngleResult[0]->Angle3Description;
		$Angle4Description		=	$beaconAngleResult[0]->Angle4Description;
		$Angle1DescriptionFR	=	$beaconAngleResult[0]->Angle1DescriptionFR;
		$Angle2DescriptionFR	=	$beaconAngleResult[0]->Angle2DescriptionFR;
		$Angle3DescriptionFR	=	$beaconAngleResult[0]->Angle3DescriptionFR;
		$Angle4DescriptionFR	=	$beaconAngleResult[0]->Angle4DescriptionFR;
	}
	
	
	if(isset($beaconDetails) && is_array($beaconDetails) && count($beaconDetails) > 0) {
		$DeviceName				= 	$beaconDetails[0]->DeviceName;
		$BeaconPhoto			= 	$beaconDetails[0]->BeaconPhoto;
		$BeaconType				= 	$beaconDetails[0]->BeaconType;
		$UUID					= 	$beaconDetails[0]->UUID;
		$UserName				= 	$beaconDetails[0]->FirstName.' '.$beaconDetails[0]->LastName;
		$Status					= 	$beaconDetails[0]->Status;
		$Interval				= 	$beaconDetails[0]->IntervalDays;
		$Description			= 	$beaconDetails[0]->Description;
		$DescriptionFR			= 	$beaconDetails[0]->DescriptionFR;
		$LocationLimit			= 	$beaconDetails[0]->LocationLimit;
		$Major					= 	$beaconDetails[0]->Major;
		$Minor					= 	$beaconDetails[0]->Minor;
		$Latitude				= 	$beaconDetails[0]->Latitude;
		$Longitude				= 	$beaconDetails[0]->Longitude;
		$BatteryPower			= 	$beaconDetails[0]->BatteryPower;
		$StaticMessage			= 	$beaconDetails[0]->StaticMessage;
		$DynamicMessage			= 	$beaconDetails[0]->DynamicMessage;
		$StaticMessageFR		= 	$beaconDetails[0]->StaticMessageFR;
		$DynamicMessageFR		= 	$beaconDetails[0]->DynamicMessageFR;
		$Angle1WaitMessage		=	$beaconDetails[0]->Angle1WaitMessage;
		$Angle1WaitMessageFr	=	$beaconDetails[0]->Angle1WaitMessageFr;
		$Angle1WalkMessage		=	$beaconDetails[0]->Angle1WalkMessage;
		$Angle1WalkMessageFr	=	$beaconDetails[0]->Angle1WalkMessageFr;
		$Angle2WaitMessage		=	$beaconDetails[0]->Angle2WaitMessage;
		$Angle2WaitMessageFr	=	$beaconDetails[0]->Angle2WaitMessageFr;
		$Angle2WalkMessage		=	$beaconDetails[0]->Angle2WalkMessage;
		$Angle2WalkMessageFr	=	$beaconDetails[0]->Angle2WalkMessageFr;
		$Identifier				= 	$beaconDetails[0]->Identifier;
		$Street1Name			=	$beaconDetails[0]->Street1NameEnglish;
		$Street2Name			=	$beaconDetails[0]->Street2NameEnglish;
		$Street1NameFR			=	$beaconDetails[0]->Street1NameFrench;
		$Street2NameFR			=	$beaconDetails[0]->Street2NameFrench;
		$StreetMode				=	$beaconDetails[0]->StreetMode;
		$AutomaticChk			=	$beaconDetails[0]->AutomaticChk;
		$AlignmentChk			=	$beaconDetails[0]->Alignment;
		
		$Street1Alias1			=	$beaconDetails[0]->Street1Alias1;
		$Street2Alias1			=	$beaconDetails[0]->Street2Alias1;
		$Street1Alias2			=	$beaconDetails[0]->Street1Alias2;
		$Street2Alias2			=	$beaconDetails[0]->Street2Alias2;
		$Street1Alias1Fr		=	$beaconDetails[0]->Street1Alias1Fr;
		$Street2Alias1Fr		=	$beaconDetails[0]->Street2Alias1Fr;
		$Street1Alias2Fr		=	$beaconDetails[0]->Street1Alias2Fr;
		$Street2Alias2Fr		=	$beaconDetails[0]->Street2Alias2Fr;
		$BeaconLatitude			=	$beaconDetails[0]->BeaconLatitude;
		$BeaconLongitude		=	$beaconDetails[0]->BeaconLongitude;
		
		$beacon_image_path 		= 	$beacon_original_image_path = BEACON_NO_IMAGE_PATH;
		$image = $BeaconPhoto;
		if(isset($image) && $image != ''){
			$beacon_image = $image;
			if(SERVER){
				if(image_exists(1,$beacon_image))
					$beacon_original_image_path = BEACON_IMAGE_PATH.$beacon_image;
				if(image_exists(2,$beacon_image))
					$beacon_image_path 			= BEACON_THUMB_IMAGE_PATH.$beacon_image;
			}
			else{
				if(file_exists(BEACON_IMAGE_PATH_REL.$beacon_image))
					$beacon_original_image_path = BEACON_IMAGE_PATH.$beacon_image;
				if(file_exists(BEACON_THUMB_IMAGE_PATH_REL.$beacon_image))
					$beacon_image_path = BEACON_THUMB_IMAGE_PATH.$beacon_image;
			}
		}
	}
}
if(isset($BeaconType) && $BeaconType == 2)
	$style	=	"display:none";
else
	$style	=	"display:block";

if(isset($BeaconType) && $BeaconType == 3)
	$deviceStyle	=	"display:block";
else
	$deviceStyle	=	"display:none";
?>
<body class="skin-blue">
	<?php top_header(); ?>
	<!-- Content Header (Page header)
	<section class="content-header no-padding">
		<div class="col-xs-12"> 
			<h1><i class="fa fa-search"></i> Device Detail </h1>
		</div>
	</section>  -->
	 <!-- Main content -->
	<section class="content">
		<div class="row">
			<div class="col-md-12 view-page beacon-details"> 
				<div class="box box-primary box-padding"> 
					<h2><?php if(isset($BeaconType) && $BeaconType == 3) echo 'Intersection Detail'; else echo 'Beacon Detail';?></h2>
					<div class="box-padding">
						<div class="form-group col-sm-6 row">
							<label class=" col-sm-5 col-xs-5 col-md-4">Beacon Type</label>
							<div  class="col-sm-7 col-xs-7  col-md-8">
								<?php if(isset($BeaconType) && $BeaconType != 0) echo $beacon_type_array[$BeaconType]; else echo '-'; ?>
							</div>
						</div>
						<?php if(isset($BeaconType) && ($BeaconType == 1) ){?>
						<div class="form-group col-sm-6 row">
							<label class=" col-sm-5 col-xs-5 col-md-4">Name</label>
							<div  class="col-sm-7 col-xs-7  col-md-8">
								<?php if(isset($DeviceName) && $DeviceName != '') echo $DeviceName; else echo '-'; ?>
							</div>
						</div>
						<?php } ?>
						<div style="<?php echo $style; ?>">	
							<div class="form-group col-sm-6 row">
								<label class=" col-sm-5 col-xs-5 col-md-4">UUID</label>
								<div  class="col-sm-7 col-xs-7  col-md-8">
									<?php if(isset($UUID) && $UUID != '') echo $UUID;  else echo '-'; ?>
								</div>
							</div>
							<!-- <div class="form-group col-sm-6 row">
								<label class=" col-sm-5 col-xs-5 col-md-4">Interval</label>
								<div  class="col-sm-7 col-xs-7  col-md-8">
									<?php if(isset($Interval) && $Interval != '0') echo $Interval." Day(s)";  else echo '-'; ?>
								</div>
							</div> -->
							<?php if(isset($BeaconType) && ($BeaconType != 3 && $BeaconType != 4) ){?>
							<div class="form-group col-sm-6 row">
								<label class=" col-sm-5 col-xs-5 col-md-4">Battery Power</label>
								<div  class="col-sm-7 col-xs-7  col-md-8">
									<?php if(isset($BatteryPower) && $BatteryPower != 0 ) echo $BatteryPower.' %'; else echo "-";?>
								</div>
							</div>
							<?php } ?>
							<div class="form-group col-sm-6 row">
								<label class=" col-sm-5 col-xs-5 col-md-4">Major</label>
								<div  class="col-sm-7 col-xs-7  col-md-8">
									<?php if(isset($Major) && $Major != '' ) echo $Major;  else echo '-'; ?>
								</div>
								
							</div>
							<div class="form-group col-sm-6 row">
								<label class=" col-sm-5 col-xs-5 col-md-4">Minor</label>
								<div  class="col-sm-7 col-xs-7  col-md-8">
									<?php if(isset($Minor) && $Minor != '' ) echo $Minor;  else echo '-'; ?>
								</div>
								
							</div>
						</div>
					
						<div class="form-group col-sm-6 row">
							<label class=" col-sm-5 col-xs-5 col-md-4">Latitude</label>
							<div  class="col-sm-7 col-xs-7  col-md-8">
								<?php if(isset($Latitude) && $Latitude != '' ) echo $Latitude;  else echo '-'; ?>
							</div>
							
						</div>
						<div class="form-group col-sm-6 row">
							<label class=" col-sm-5 col-xs-5 col-md-4">Longitude</label>
							<div  class="col-sm-7 col-xs-7  col-md-8">
								<?php if(isset($Longitude) && $Longitude != '' ) echo $Longitude;  else echo '-'; ?>
							</div>
							
						</div>
						<div>
							
							<!--<div class="form-group col-sm-6 row">
								<label class=" col-sm-5 col-xs-5 col-md-4">Bluetooth Sensor Device</label>
								<div  class="col-sm-7 col-xs-7  col-md-8">
									<?php //if(isset($EnableBluetooth) && $EnableBluetooth == 1 ) echo "On"; else echo "Off";?>
								</div>
							</div>-->
						</div>
						<?php if($Latitude != '' && $Longitude != '') { ?>
						<div class="form-group col-sm-6 clear" >
							<input type="button" class="btn btn-success mR-button" name="ViewMap" id="ViewMap" onclick="viewMap()" value="View Map" title="ViewMap" alt="ViewMap">
						</div>
						<?php } ?>
						<div class="form-group col-sm-6 row clear">
							<label class=" col-sm-5 col-xs-5 col-md-4">Location Limit</label>
							<div  class="col-sm-7 col-xs-7  col-md-8">
								<?php if(isset($LocationLimit) && $LocationLimit != '0' ) echo $LocationLimit.' Metre(s)'; else echo '-'; ?>
							</div>
						</div>
						<div class="form-group col-sm-6 row">
							<label class=" col-sm-5 col-xs-5 col-md-4">Status</label>
							<div  class="col-sm-7 col-xs-7  col-md-8">
								<?php if(isset($Status) && $Status != '' ) echo $device_status_array[$Status]; ?>
							</div>
						</div>
						<?php if(isset($BeaconType) && $BeaconType != 3) {?>
						<div class="form-group col-sm-6 row">
							<label class=" col-sm-5 col-xs-5 col-md-4">Identifier</label>
							<div  class="col-sm-7 col-xs-7  col-md-8">
								<?php if(isset($Identifier) && $Identifier != '' ) echo $Identifier; else echo '-'; ?>
							</div>
						</div>
						<?php } ?>
						<div class="form-group col-sm-6 row">
							<label class=" col-sm-5 col-xs-5 col-md-4">Beacon Photo</label>
							<a href="<?php if(isset($beacon_original_image_path) && $beacon_original_image_path != BEACON_NO_IMAGE_PATH ) echo $beacon_original_image_path; else echo "javascript:void(0)"; ?>" <?php if($beacon_original_image_path !=BEACON_NO_IMAGE_PATH ) { ?> class="beacon-image-pop-up" <?php } ?> > <img width="100" src="<?php echo $beacon_image_path; ?>" /></a>
						</div>
						
						
						<!--<div class="form-group col-sm-12 language-heading clear">
							<label>Beacon Details</label>
						</div>-->
						<div class="col-sm-12 col-md-12 col-lg-6 no-padding clear">
						
							<div class="form-group col-sm-12 clear language-heading">
								<label>English</label>
							</div>
							<div class="form-group col-sm-12 row clear">
								<label class=" col-sm-5 col-xs-5 col-md-4"><?php if(isset($BeaconType) && $BeaconType == 3) echo 'Intersection Name'; else echo 'Beacon Name';?></label>
								<div  class="col-sm-7 col-xs-7  col-md-8 word-wrap">
									<?php if(isset($Description) && $Description != '' ) {
											echo $Description;  
											if(isset($BeaconType) && $BeaconType == 3){?>
												<a class="download" href="voice?text=<?php echo base64_encode($Description);?>&type=1&file_name=streets_names_en" title="Download">
												<i class="fa fa-download fa-lg" aria-hidden="true"></i>
											</a>
											<?php }}
										else echo '-'; 
									?>
								</div>
							</div>
							<?php if(isset($BeaconType) && $BeaconType == 3){?>
							<div class="form-group col-sm-12 row clear">
								<label class=" col-sm-5 col-xs-5 col-md-4">Street 1 Name to cross</label>
								<div  class="col-sm-7 col-xs-7  col-md-8 word-wrap">
									<?php 
										if(isset($Street1Name) && $Street1Name != '' ) { 
											echo $Street1Name;
									?>
										<a class="download" href="voice?text=<?php echo base64_encode($Street1Name);?>&type=1&file_name=street_1_name_en" title="Download">
											<i class="fa fa-download fa-lg" aria-hidden="true"></i>
										</a>
									<?php } else echo '-'; ?>
								</div>
							</div>
							<div class="form-group col-sm-12 row clear">
								<label class=" col-sm-5 col-xs-5 col-md-4">Street 2 Name to cross</label>
								<div  class="col-sm-7 col-xs-7  col-md-8 word-wrap">
									<?php 
										if(isset($Street2Name) && $Street2Name != '' ) { 
											echo $Street2Name;
									?>
										<a class="download" href="voice?text=<?php echo base64_encode($Street2Name);?>&type=1&file_name=sreet_2_name_en" title="Download">
										<i class="fa fa-download fa-lg" aria-hidden="true"></i>
										</a>
									<?php } else echo '-'; ?>
								</div>
							</div>
							<div class="form-group col-sm-12 row clear">
								<label class=" col-sm-5 col-xs-5 col-md-4">Street 1 Alias 1</label>
								<div  class="col-sm-7 col-xs-7  col-md-8 word-wrap">
									<?php if(isset($Street1Alias1) && $Street1Alias1 != '' ) echo nl2br($Street1Alias1);  else echo '-'; ?>
								</div>
							</div>
							<div class="form-group col-sm-12 row clear">
								<label class=" col-sm-5 col-xs-5 col-md-4">Street 2 Alias 1</label>
								<div  class="col-sm-7 col-xs-7  col-md-8 word-wrap">
									<?php if(isset($Street2Alias1) && $Street2Alias1 != '' ) echo nl2br($Street2Alias1);  else echo '-'; ?>
								</div>
							</div>
							<div class="form-group col-sm-12 row clear">
								<label class=" col-sm-5 col-xs-5 col-md-4">Street 1 Alias 2</label>
								<div  class="col-sm-7 col-xs-7  col-md-8 word-wrap">
									<?php if(isset($Street1Alias2) && $Street1Alias2 != '' ) echo nl2br($Street1Alias2);  else echo '-'; ?>
								</div>
							</div>
							<div class="form-group col-sm-12 row clear">
								<label class=" col-sm-5 col-xs-5 col-md-4">Street 2 Alias 2</label>
								<div  class="col-sm-7 col-xs-7  col-md-8 word-wrap">
									<?php if(isset($Street2Alias2) && $Street2Alias2 != '' ) echo nl2br($Street2Alias2);  else echo '-'; ?>
								</div>
							</div>
							<?php } ?>
							<div class="form-group col-sm-12 row clear">
								<label class=" col-sm-5 col-xs-5 col-md-4">Dynamic Message</label>
								<div  class="col-sm-7 col-xs-7  col-md-8 word-wrap">
									<?php if(isset($DynamicMessage) && $DynamicMessage != '' ) echo nl2br($DynamicMessage);  else echo '-'; ?>
								</div>
								
							</div>
							
							<div class="form-group col-sm-12 row clear">
								<label class=" col-sm-5 col-xs-5 col-md-4">Static Message</label>
								<div  class="col-sm-7 col-xs-7 col-md-8 word-wrap">
									<?php if(isset($StaticMessage) && $StaticMessage != '' ) echo nl2br($StaticMessage);  else echo '-'; ?>
								</div>
								
							</div>
							
							<div class="form-group col-sm-12 language-heading clear">
								<label>French</label>
							</div>
							<div class="form-group col-sm-12 row clear">
								<label class=" col-sm-5 col-xs-5 col-md-4"><?php if(isset($BeaconType) && $BeaconType == 3) echo 'Intersection Name'; else echo 'Beacon Name';?></label>
								<div  class="col-sm-7 col-xs-7  col-md-8 word-wrap">
									<?php if(isset($DescriptionFR) && $DescriptionFR != '' ) {
										echo $DescriptionFR;  
										if(isset($BeaconType) && $BeaconType == 3){?>
												<a class="download" href="voice?text=<?php echo base64_encode($DescriptionFR);?>&type=2&file_name=streets_names_fr" title="Download">
												<i class="fa fa-download fa-lg" aria-hidden="true"></i>
											</a>
											<?php }}
										else echo '-'; 
									?>
								</div>
							</div>
							<?php if(isset($BeaconType) && $BeaconType == 3){?>
							<div class="form-group col-sm-12 row clear">
								<label class=" col-sm-5 col-xs-5 col-md-4">Street 1 Name to cross</label>
								<div  class="col-sm-7 col-xs-7  col-md-8 word-wrap">
									<?php 
										if(isset($Street1NameFR) && $Street1NameFR != '' ) { 
											echo $Street1NameFR;
									?>
										<a class="download" href="voice?text=<?php echo base64_encode($Street1NameFR);?>&type=2&file_name=street_1_name_fr" title="Download">
											<i class="fa fa-download fa-lg" aria-hidden="true"></i>
										</a>
									<?php } else echo '-'; ?>
									
								</div>
							</div>
							<div class="form-group col-sm-12 row clear">
								<label class=" col-sm-5 col-xs-5 col-md-4">Street 2 Name to cross</label>
								<div  class="col-sm-7 col-xs-7  col-md-8 word-wrap">
									<?php 
										if(isset($Street2NameFR) && $Street2NameFR != '' ) { 
											echo $Street2NameFR;
									?>
										<a class="download" href="voice?text=<?php echo base64_encode($Street2NameFR);?>&type=2&file_name=street_2_name_fr" title="Download">
										<i class="fa fa-download fa-lg" aria-hidden="true"></i>
										</a>
									<?php } else echo '-'; ?>
								</div>
							</div>
							<div class="form-group col-sm-12 row clear">
								<label class=" col-sm-5 col-xs-5 col-md-4">Street 1 Alias 1</label>
								<div  class="col-sm-7 col-xs-7  col-md-8 word-wrap">
									<?php if(isset($Street1Alias1Fr) && $Street1Alias1Fr != '' ) echo nl2br($Street1Alias1Fr);  else echo '-'; ?>
								</div>
							</div>
							<div class="form-group col-sm-12 row clear">
								<label class=" col-sm-5 col-xs-5 col-md-4">Street 2 Alias 1</label>
								<div  class="col-sm-7 col-xs-7  col-md-8 word-wrap">
									<?php if(isset($Street2Alias1Fr) && $Street2Alias1Fr != '' ) echo nl2br($Street2Alias1Fr);  else echo '-'; ?>
								</div>
							</div>
							<div class="form-group col-sm-12 row clear">
								<label class=" col-sm-5 col-xs-5 col-md-4">Street 1 Alias 2</label>
								<div  class="col-sm-7 col-xs-7  col-md-8 word-wrap">
									<?php if(isset($Street1Alias2Fr) && $Street1Alias2Fr != '' ) echo nl2br($Street1Alias2Fr);  else echo '-'; ?>
								</div>
							</div>
							<div class="form-group col-sm-12 row clear">
								<label class=" col-sm-5 col-xs-5 col-md-4">Street 2 Alias 2</label>
								<div  class="col-sm-7 col-xs-7  col-md-8 word-wrap">
									<?php if(isset($Street2Alias2Fr) && $Street2Alias2Fr != '' ) echo nl2br($Street2Alias2Fr);  else echo '-'; ?>
								</div>
							</div>
							<?php } ?>
							<div class="form-group col-sm-12 row clear">
								<label class=" col-sm-5 col-xs-5 col-md-4">Dynamic Message</label>
								<div  class="col-sm-7 col-xs-7  col-md-8 word-wrap">
									<?php if(isset($DynamicMessageFR) && $DynamicMessageFR != '' ) echo nl2br($DynamicMessageFR);  else echo '-'; ?>
								</div>
								
							</div>
							<div class="form-group col-sm-12 row clear">
								<label class=" col-sm-5 col-xs-5 col-md-4">Static Message</label>
								<div  class="col-sm-7 col-xs-7 col-md-8 word-wrap">
									<?php if(isset($StaticMessageFR) && $StaticMessageFR != '' ) echo nl2br($StaticMessageFR);  else echo '-'; ?>
								</div>
								
							</div>
							
						</div>
						<div class="col-sm-12 col-md-12 col-lg-6 manage-location" style="<?php echo $deviceStyle; ?>">
						<div class="col-sm-12"><span class="area-direction">N</span></div>	
							<div class="main-manage-block">
								<div class="manage-left-top managelocation detail">
									<div class="manage-inner-left">
										<label><?php if(isset($DeviceId1) && $DeviceId1 != '') echo $DeviceId1; else echo '-'; ?></label>
									</div>
									<div class="manage-inner-center">
										<label><?php if(isset($TrafficDetail1) && $TrafficDetail1 != '') echo $TrafficDetail1; else echo '-'; ?></label>
									</div>
									<div class="manage-inner-right">
										<label><?php if(isset($DeviceId2) && $DeviceId2 != '') echo $DeviceId2; else echo '-'; ?></label>
									</div>
								</div>
								<div class="manage-right-top managelocation detail">
									<div class="manage-inner-right">
										<label><?php if(isset($DeviceId8) && $DeviceId8 != '') echo $DeviceId8; else echo '-'; ?></label>
									</div>
									<div class="manage-inner-center">
										<label><?php if(isset($TrafficDetail4) && $TrafficDetail4 != '') echo $TrafficDetail4; else echo '-'; ?></label>
									</div>
									<div class="manage-inner-left">
										<label><?php if(isset($DeviceId7) && $DeviceId7 != '') echo $DeviceId7; else echo '-'; ?></label>
									</div>
								</div>
								<div class="col-sm-6 no-padding location-direction">
									<div class="input-vertical">
										<label><?php if(isset($StreetNameOne) && $StreetNameOne != '') echo $StreetNameOne; else echo ''; ?></label>
									</div>
									<div class="input-horizontal detail">
										<label><?php if(isset($StreetNameTwo) && $StreetNameTwo != '') echo $StreetNameTwo; else echo ''; ?></label>
									</div>
								</div>
								<div class="manage-left-bottom clear managelocation detail">
									<div class="manage-inner-left">
										<label><?php if(isset($DeviceId3) && $DeviceId3 != '') echo $DeviceId3; else echo '-'; ?></label>
									</div>
									<div class="manage-inner-center">
										<label><?php if(isset($DeviceId4) && $DeviceId4 != '') echo $DeviceId4; else echo '-'; ?></label>
									</div>
									<div class="manage-inner-right">
										<label><?php if(isset($TrafficDetail2) && $TrafficDetail2 != '') echo $TrafficDetail2; else echo '-'; ?></label>
									</div>
								</div>
								<div class="manage-right-bottom managelocation detail">
									<div class="manage-inner-right">
										<label><?php if(isset($DeviceId6) && $DeviceId6 != '') echo $DeviceId6; else echo '-'; ?></label>
									</div>
									<div class="manage-inner-center">
										<label><?php if(isset($DeviceId5) && $DeviceId5 != '') echo $DeviceId5; else echo '-'; ?></label>
									</div>
									<div class="manage-inner-left">
										<label><?php if(isset($TrafficDetail3) && $TrafficDetail3 != '') echo $TrafficDetail3; else echo '-'; ?></label>
									</div>
								</div>
								<div class="col-sm-12"><span class="area-direction">S</span></div>	
							</div>
						</div>
						<h3>Directional Messages</h3>
						<div class="form-group col-sm-12 row">
							<label class=" col-sm-3 col-md-3">Automatic Check</label>
							<div  class="col-sm-3 col-md-3">
								<?php if(isset($AutomaticChk) && $AutomaticChk == '1') echo 'Yes'; else echo "No";?>
							</div>
						</div>
						<div class="col-sm-12 resp-no-padding no-padding clear beacon-angles-details">
							<div class="form-group col-sm-12 row">
								<label class=" col-sm-3 col-md-3"></label>
								<div class="col-sm-3 col-md-3 list-heading">
									<label>Angles</label>
								</div>
								<div class=" col-sm-3 col-md-3 list-heading">
									<label>English Description</label>
								</div>
								<div class=" col-sm-3 col-md-3 list-heading">
									<label>French Description</label>
								</div>
							</div>
							<div class="form-group col-sm-12 row">
								<label class=" col-sm-3 col-md-3">Angle1</label>
								<div  class="col-sm-3 col-md-3">
									<?php if(isset($Angle1) && $Angle1 != '') echo $Angle1; else echo "-";?>
								</div>
								<div  class="col-sm-3 col-md-3">
									<?php if(isset($Angle1Description) && $Angle1Description != '') echo $Angle1Description; else echo "-";?>
								</div>
								<div  class="col-sm-3 col-md-3">
									<?php if(isset($Angle1DescriptionFR) && $Angle1DescriptionFR != '') echo $Angle1DescriptionFR; else echo "-";?>
								</div>
							</div>
							<div class="form-group col-sm-12 row clear">
								<label class=" col-sm-3 col-md-3">Angle2</label>
								<div  class="col-sm-3 col-md-3">
									<?php if(isset($Angle2) && $Angle2 != '') echo $Angle2; else echo "-";?>
								</div>
								<div  class="col-sm-3 col-md-3">
									<?php if(isset($Angle2Description) && $Angle2Description != '') echo $Angle2Description; else echo "-";?>
								</div>
								<div  class="col-sm-3 col-md-3">
									<?php if(isset($Angle2DescriptionFR) && $Angle2DescriptionFR != '') echo $Angle2DescriptionFR; else echo "-";?>
								</div>
							</div>
							<div class="form-group col-sm-12 row clear">
								<label class=" col-sm-3 col-md-3">Angle3</label>
								<div  class="col-sm-3 col-md-3">
									<?php if(isset($Angle3) && $Angle3 != '') echo $Angle3; else echo "-";?>
								</div>
								<div  class="col-sm-3 col-md-3">
									<?php if(isset($Angle3Description) && $Angle3Description != '') echo $Angle3Description; else echo "-";?>
								</div>
								<div  class="col-sm-3 col-md-3">
									<?php if(isset($Angle3DescriptionFR) && $Angle3DescriptionFR != '') echo $Angle3DescriptionFR; else echo "-";?>
								</div>
							</div>
							<div class="form-group col-sm-12 row clear">
								<label class=" col-sm-3 col-md-3">Angle4</label>
								<div  class="col-sm-3 col-md-3">
									<?php if(isset($Angle4) && $Angle4 != '') echo $Angle4; else echo "-";?>
								</div>
								<div  class="col-sm-3 col-md-3">
									<?php if(isset($Angle4Description) && $Angle4Description != '') echo $Angle4Description; else echo "-";?>
								</div>
								<div  class="col-sm-3 col-md-3">
									<?php if(isset($Angle4DescriptionFR) && $Angle4DescriptionFR != '') echo $Angle4DescriptionFR; else echo "-";?>
								</div>
							</div>
						</div>
						
						<?php if($BeaconType == 3) { ?>
											
						<h3>Wait and Walk Messages Street 1 Direction</h3>
						<!-- <div class="form-group col-sm-12 clear language-heading">
							<label>Angle 1</label>
						</div> -->
						<div class="form-group col-sm-12 row">
							<label class=" col-sm-3 col-md-3">Alignment</label>
							<div  class="col-sm-3 col-md-3">
								<?php if(isset($AlignmentChk) && $AlignmentChk == '1') echo 'Yes'; else echo "No";?>
							</div>
						</div>
						<div class="form-group col-sm-6 row clear">
							<label class=" col-sm-5 col-xs-5 col-md-4">Wait Message (English)</label>
							<div  class="col-sm-7 col-xs-7  col-md-8 word-wrap">
								<?php 
										if(isset($Angle1WaitMessage) && $Angle1WaitMessage != '' ) { 
											echo $Angle1WaitMessage;
									?>
									
								<a class="download" href="voice?text=<?php echo base64_encode($Angle1WaitMessage);?>&type=1&file_name=wait_message_en_angle1" title="Download">
									<i class="fa fa-download fa-lg" aria-hidden="true"></i>
								</a>
							<?php } else echo '-'; ?>
								
							</div>
						</div>
						<div class="form-group col-sm-6 row">
							<label class=" col-sm-5 col-xs-5 col-md-4">Wait Message (French)</label>
							<div  class="col-sm-7 col-xs-7  col-md-8 word-wrap">
								<?php 
										if(isset($Angle1WaitMessageFr) && $Angle1WaitMessageFr != '' ) { 
											echo $Angle1WaitMessageFr;
									?>
									
								<a class="download" href="voice?text=<?php echo base64_encode($Angle1WaitMessageFr);?>&type=2&file_name=wait_message_fr_angle1" title="Download">
									<i class="fa fa-download fa-lg" aria-hidden="true"></i>
								</a>
							<?php } else echo '-'; ?>
							</div>
						</div>
						<div class="form-group col-sm-6 row clear">
							<label class=" col-sm-5 col-xs-5 col-md-4">Walk Message (English)</label>
							<div  class="col-sm-7 col-xs-7  col-md-8 word-wrap">
								<?php 
										if(isset($Angle1WalkMessage) && $Angle1WalkMessage != '' ) { 
											echo $Angle1WalkMessage;
									?>
									
								<a class="download" href="voice?text=<?php echo base64_encode($Angle1WalkMessage);?>&type=1&file_name=walk_message_en_angle1" title="Download">
									<i class="fa fa-download fa-lg" aria-hidden="true"></i>
								</a>
							<?php } else echo '-'; ?>
							</div>
						</div>
						<div class="form-group col-sm-6 row">
							<label class=" col-sm-5 col-xs-5 col-md-4">Walk Message (French)</label>
							<div  class="col-sm-7 col-xs-7  col-md-8 word-wrap">
							<?php 
										if(isset($Angle1WalkMessageFr) && $Angle1WalkMessageFr != '' ) { 
											echo $Angle1WalkMessageFr;
									?>
									
								<a class="download" href="voice?text=<?php echo base64_encode($Angle1WalkMessageFr);?>&type=2&file_name=walk_message_fr_angle1" title="Download">
									<i class="fa fa-download fa-lg" aria-hidden="true"></i>
								</a>
							<?php } else echo '-'; ?>
							</div>
						</div>
						<h3>Wait and Walk Messages Street 2 Direction</h3>
						<div class="form-group col-sm-6 row clear">
							<label class=" col-sm-5 col-xs-5 col-md-4">Wait Message (English)</label>
							<div  class="col-sm-7 col-xs-7  col-md-8 word-wrap">
								<?php 
										if(isset($Angle2WaitMessage) && $Angle2WaitMessage != '' ) { 
											echo $Angle2WaitMessage;
									?>
									
								<a class="download" href="voice?text=<?php echo base64_encode($Angle2WaitMessage);?>&type=1&file_name=wait_message_en_angle2" title="Download">
									<i class="fa fa-download fa-lg" aria-hidden="true"></i>
								</a>
							<?php } else echo '-'; ?>
							</div>
						</div>
						<div class="form-group col-sm-6 row">
							<label class=" col-sm-5 col-xs-5 col-md-4">Wait Message (French)</label>
							<div  class="col-sm-7 col-xs-7  col-md-8 word-wrap">
								<?php 
										if(isset($Angle2WaitMessageFr) && $Angle2WaitMessageFr != '' ) { 
											echo $Angle2WaitMessageFr;
									?>
								<a class="download" href="voice?text=<?php echo base64_encode($Angle2WaitMessageFr);?>&type=2&file_name=wait_message_fr_angle2" title="Download">
									<i class="fa fa-download fa-lg" aria-hidden="true"></i>
								</a>
							<?php } else echo '-'; ?>
							</div>
						</div>
						<div class="form-group col-sm-6 row clear">
							<label class=" col-sm-5 col-xs-5 col-md-4">Walk Message (English)</label>
							<div  class="col-sm-7 col-xs-7  col-md-8 word-wrap">
								<?php 
										if(isset($Angle2WalkMessage) && $Angle2WalkMessage != '' ) { 
											echo $Angle2WalkMessage;
									?>
									
								<a class="download" href="voice?text=<?php echo base64_encode($Angle2WalkMessage);?>&type=1&file_name=walk_message_en_angle2" title="Download">
									<i class="fa fa-download fa-lg" aria-hidden="true"></i>
								</a>
							<?php } else echo '-'; ?>
							</div>
						</div>
						<div class="form-group col-sm-6 row">
							<label class=" col-sm-5 col-xs-5 col-md-4">Walk Message (French)</label>
							<div  class="col-sm-7 col-xs-7  col-md-8 word-wrap">
								<?php 
										if(isset($Angle2WalkMessageFr) && $Angle2WalkMessageFr != '' ) { 
											echo $Angle2WalkMessageFr;
									?>
									
								<a class="download" class="download" href="voice?text=<?php echo base64_encode($Angle2WalkMessageFr);?>&type=2&file_name=walk_message_fr_angle2" title="Download">
									<i class="fa fa-download fa-lg fa-lg" aria-hidden="true"></i>
								</a>
							<?php } else echo '-'; ?>
							</div>
						</div>
						<?php } ?>
						
						<?php if($Latitude != '' && $Longitude != '') { ?>
						<?php if($BeaconType != 2) { ?>
						<h3>Major Location</h3>
						<?php } ?>
						<div class="form-group col-sm-12">
							<div id="dvMap" style="width: 100%; height: 400px;align:center;text-align:left;" align="center"></div>
						</div>
						<?php } ?>
						
						<?php if($BeaconLatitude != '' && $BeaconLongitude != '') { ?>
						<h3>Beacon Location</h3>
						<div class="form-group col-sm-12">
							<div id="dvMap1" style="width: 100%; height: 400px;align:center;text-align:left;" align="center"></div>
						</div>
						<?php } ?>
						
						<div class="box-footer col-sm-12" align="center">
							<?php if(isset($_SESSION['beacon_sess_user_type']) && $_SESSION['beacon_sess_user_type'] == 2){ //user ?>
							<a href="ManageLocations?editId=<?php echo $_GET['viewId'];?>" title="Edit" alt="Edit" class="btn btn-success">Edit</a>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
							<?php } ?>
							<a href="Beacons" class="btn btn-default" name="Back" id="Back" title="Back" alt="Back" >Back </a>
						</div>
					</div>
				</div>		
			</div>		
		</div><!-- /.row -->
	</section><!-- /.content -->				
<?php commonFooter(); ?>
</html>
<script type="text/javascript" src="https://maps.googleapis.com/maps/api/js?key=AIzaSyCeIbrMJNmUVrn1yjRUp804JxhSHtg5UqI"></script>
<script type="text/javascript">
<?php if((isset($Latitude) && $Latitude != '') && (isset($Longitude) && $Longitude != '')) { ?>
	 window.onload = function () {
		LoadMap();
    }
	
	maxZoomLevel = new google.maps.MaxZoomService();
	
    function LoadMap(a) {
        var mapOptions = {
            center: new google.maps.LatLng(37.09024, -95.712891),
            zoom: 5, //Not required.
			minZoom:2,
            mapTypeId: google.maps.MapTypeId.ROADMAP
        };
		
		var map 		= new google.maps.Map(document.getElementById("dvMap"), mapOptions);
		var lastMarker;
		var lat			=	<?php echo $Latitude; ?>;
		var lng			=	<?php echo $Longitude; ?>;
		if(lat != '' && lng != '') {
			var latLng	=	new google.maps.LatLng(lat,lng);
			placeMarker(latLng);
		}
		
		function placeMarker(Location) {
			if(lastMarker != null)
				lastMarker.setMap(null);
			var marker =	new google.maps.Marker({
				position : Location,
				map		 : map
			});
			map.setCenter(marker.getPosition());
			map.setZoom(12);
			lastMarker	=	marker;
		}
	}
<?php } ?>

<?php if((isset($BeaconLatitude) && $BeaconLatitude != '') && (isset($BeaconLongitude) && $BeaconLongitude != '')) { ?>
	 window.onload = function () {
		LoadMap1();
    }
	
	maxZoomLevel = new google.maps.MaxZoomService();
	
    function LoadMap1(a) {
        var mapOptions1 = {
            center: new google.maps.LatLng(37.09024, -95.712891),
            zoom: 5, //Not required.
			minZoom:2,
            mapTypeId: google.maps.MapTypeId.ROADMAP
        };
		
		var map1 		= new google.maps.Map(document.getElementById("dvMap1"), mapOptions1);
		var lastMarker1;
		var lat1			=	<?php echo $BeaconLatitude; ?>;
		var lng1			=	<?php echo $BeaconLongitude; ?>;
		if(lat1 != '' && lng1 != '') {
			var latLng1	=	new google.maps.LatLng(lat1,lng1);
			placeMarker1(latLng1);
		}
		
		function placeMarker1(Location1) {
			if(lastMarker1 != null)
				lastMarker1.setMap(null);
			var marker1 =	new google.maps.Marker({
				position : Location1,
				map		 : map1
			});
			map1.setCenter(marker1.getPosition());
			map1.setZoom(12);
			lastMarker1	=	marker1;
		}
	}
	google.maps.event.addDomListener(window, 'load', LoadMap);
<?php } ?>
</script>

<script type="text/javascript">
	$('.beacon-image-pop-up').fancybox({title:true});
	$(document).ready(function() {
		
	});
	
	function viewMap() {
		$('html,body').animate({
		scrollTop: $('#dvMap').offset().top-69},
		2000);
		
		//console.log('===========>'+$('#dvMap').offset().top);
	}
	
</script>