<?php 
require_once('includes/CommonIncludes.php');
admin_login_check();
commonHead();
require_once('controllers/UserController.php');
$userObj   		=   new UserController();
require_once('controllers/AdminController.php');
$adminLoginObj   	=   new AdminController();
require_once("includes/phmagick.php");
$isExist			=	'';
$updatePassword     =	'';
$field_focus 		= 	'FirstName';
unset($_SESSION['orderby']);
unset($_SESSION['ordertype']);
if(isset($_GET['editId']) && $_GET['editId'] != '' ){
	$condition       		= 	" id = ".$_GET['editId']." and Status in (0,1)";
	$fields					=	'*';
	$customerDetailsResult  = 	$userObj->getCustomerDetails($fields,$condition);
	
	if(isset($customerDetailsResult) && is_array($customerDetailsResult) && count($customerDetailsResult) > 0){
		$FirstName			=	$customerDetailsResult[0]->FirstName;
		$LastName			=	$customerDetailsResult[0]->LastName;
		$Email				=	$customerDetailsResult[0]->Email;
		$Status  			= 	$customerDetailsResult[0]->Status;
	}
}
//echo '<pre>';print_r($_POST);echo '</pre>';
if(isset($_POST['submit']) && $_POST['submit'] != ''){
	$_POST          =   unEscapeSpecialCharacters($_POST);
   	$_POST          =   escapeSpecialCharacters($_POST);
	
	if(isset($_POST['FirstName']) )
		$FirstName 				= 	trim($_POST['FirstName']);
	if(isset($_POST['LastName']) )
		$LastName 				= 	trim($_POST['LastName']);
	if(isset($_POST['Email']))
		$Email      			= 	trim($_POST['Email']);
	if(isset($_POST['Status']) )
		$Status     			= 	$_POST['Status'];
	if(isset($_POST['Password']) && !empty($_POST['Password'])){
		$Password     		= 	$_POST['Password'];
		$EncryptedPassword	=   sha1($Password.ENCRYPTSALT);
		$updatePassword     =  ", ActualPassword	= '".$Password."',  Password	= '".$EncryptedPassword."' ";
	}
	
	//$actualPassword   = $_POST['password'];
	//$password			= sha1($_POST['password'].ENCRYPTSALT);
	$fields		=	"Email";
	$condition 	= 	" Email = '".$Email."' AND id != ".$_GET['editId'];
	$isExist	=	$userObj->getCustomerDetails($fields,$condition);
	if(isset($isExist) && is_array($isExist) && count($isExist)>0)
	{
		$msg 			= 'Email already exists';
		$display 		= "block";
		$class   		= "alert-danger";
		$class_icon     = "fa-warning";
	}
	else
	{
		$update_string	=	" FirstName	= '".$FirstName."',
							  LastName	= '".$LastName."',
							  Email		= '".$Email."',
							  Status	= '".$Status."'
							  ".$updatePassword."
							";
		$condition		=	" id = ".$_GET['editId'];
		$userObj->updateCustomerDetails($update_string,$condition);
		header("location:Customers?msg=2");
	}
}

?>
<body class="skin-blue" onload="return fieldfocus('<?php echo $field_focus; ?>');">
	<?php top_header(); ?>
	<section class="content">
		<div class="row">
			<form name="edit_customer_form" id="edit_customer_form" action="" method="post">
			<div class="col-md-12"> 
				<div class="box box-primary"> 
					<h2>Edit App Customer Details</h2>
					<div class="box-padding">
						<div class="col-md-12 no-padding">
						<?php if(isset($msg) && $msg != '')  { ?> <div class="alert <?php echo $class;  ?> alert-dismissable col-lg-4  col-sm-5  col-xs-11 text-center"><i class="fa <?php echo $class_icon ;  ?>"></i>  <?php echo $msg;  ?></div> <?php } ?>
						</div>
						<div class="form-group col-sm-6" >
							<label>First Name</label>
							<input type="text" name="FirstName" id="FirstName" maxlength="50" class="form-control" value="<?php if(isset($FirstName) && $FirstName != '') echo $FirstName; ?>" />
						</div>
						<div class="form-group col-sm-6">
							<label>Last Name</label>
							<input type="text" name="LastName" id="LastName" maxlength="50" class="form-control" value="<?php if(isset($LastName) && $LastName != '') echo $LastName; ?>" />
						</div>
						<div class="form-group col-sm-6 clear" >
							<label>Email</label>
							<input type="text" class="form-control" id="Email" name="Email" maxlength="50" value="<?php if(isset($Email) && $Email != '' ) echo $Email;  ?>" >
						</div>
						<div class="form-group col-sm-6 ">
							<label for="Status">Status</label>
							<select class="form-control" id="Status" name="Status">
								<option value="">--select--</option>
								<?php foreach($beacons_status_array as $key => $value) { if($key != 2) { ?>
								<option value="<?php echo $key; ?>" <?php if(isset($Status) && $Status == $key) echo "selected"; ?>><?php echo $value; ?></option>
								<?php } } ?>
							</select>
						</div>
						<div class="form-group col-sm-6 clear" >
							<label>Password</label>
							<input type="password" class="form-control" id="Password" name="Password" maxlength="50" value="" >
						</div>
						<div class="form-group col-sm-6" >
							<label>Confirm Password</label>
							<input type="password" class="form-control" id="ConfirmPassword" name="ConfirmPassword" maxlength="50" value="" >
						</div>						
						<div class="box-footer  col-xs-12" align="center">
							<input type="submit" class="btn btn-success mR-button" name="submit" id="submit" value="Save" title="Save" alt="Save">
							<?php $href_page = "Customers";?>		
							<a href="<?php if(isset($href_page) && $href_page != '' ) echo $href_page; else echo 'CustomerDetails';?>" class="btn btn-default" name="Back" id="Back" title="Back" alt="Back" >Back </a>	
						</div>
					</div>
				</div><!-- /.box -->
			</div><!-- /.col -->
			</form>	
		</div><!-- /.row -->
	</section><!-- /.content -->	
<?php commonFooter(); ?>
<script type="text/javascript">

</script>
</html>