<?php 
require_once('includes/CommonIncludes.php');
admin_login_check();
commonHead();
require_once('controllers/DeviceController.php');
$deviceObj   		=   new DeviceController();
require_once('controllers/BeaconController.php');
$beaconObj   		=   new BeaconController();
require_once('controllers/AdminController.php');
$adminLoginObj   	=   new AdminController();
require_once("includes/phmagick.php");

require_once('controllers/UserController.php');
$userLoginObj   =   new UserController();

$majorArray		= 	$openMajor	=	$hardwareName	=	array();
$uuidsArray 	=   array();
$field_focus 	= 	'uuid';
$isEdit			=	'';

$fields		= " * ";
$condition	= " and Status = 1 ";

$organizationResult		= $userLoginObj->selectOrganizations($fields,$condition);
if(isset($organizationResult) && !empty($organizationResult)) {
	foreach($organizationResult as $orgKey => $orgValue) {
		$organizationArray[$orgValue->id]	=	$orgValue->OrganizationName;
	}
}
if(isset($_GET['cs']) && $_GET['cs'] == 1) {
	destroyPagingControlsVariables();
	unset($_SESSION['beacon_sess_major']);
	unset($_SESSION['beacon_sess_hardware']);
}


if(isset($_POST['Search']) && $_POST['Search'] != ''){
	if(isset($_POST['Major']))
		$_SESSION['beacon_sess_major']		=	$_POST['Major'];
	if(isset($_POST['Hardware']))
		$_SESSION['beacon_sess_hardware']		=	$_POST['Hardware'];
}


$DeviceId	=	'';
if(isset($_SESSION['beacon_sess_user_type']) && $_SESSION['beacon_sess_user_type'] == 2) {//user 
	$fkUsersId		=	$_SESSION['beacon_sess_user_id'];
	$fkAdminsId		=	0;
}else if(isset($_SESSION['beacon_sess_user_type']) && $_SESSION['beacon_sess_user_type'] == 3) { // sub admins
	$fkUsersId			=	0;
	$fkOrganizationId	=	$_SESSION['beacon_sub_admin_organizations'];
	$fkAdminsId			=	$_SESSION['beacon_sub_admin_user_id'];
}
else {
	$fkUsersId		=	0;
	$isAdmin		=	1;
	// $usercondition	= 	'fkUsersId ='.$fkUsersId;
	$usercondition	= 	'';
}

if(isset($fkOrganizationId) && isset($fkAdminsId)) {
	$usercondition		=	" and fkOrganizationId  = '".$fkOrganizationId."'";
}

if(isset($_SESSION['beacon_sess_type_of_organization']) && $_SESSION['beacon_sess_type_of_organization'] != '') {
	$fkOrganizationId		=	$_SESSION['beacon_sess_type_of_organization'];
	$usercondition			=	'and fkOrganizationId = '.$fkOrganizationId;
}

if(isset($fkOrganizationId) && $fkOrganizationId != '') {
	$fields		=	" * ";
	$condition	=	" id = '".$fkOrganizationId."'";
	$orgresult	=	$userLoginObj->getOrganization($fields,$condition);
	$isTraffic	=	$orgresult[0]->IsTraffic;
	$isOpenDoor	=	$orgresult[0]->IsOpenDoor;
	$majorFrom	=	$orgresult[0]->MajorFrom;
	$majorTo	=	$orgresult[0]->MajorTo;
}


$locFields		= 'id, DeviceName, DeviceId';
$locCondition   = ' 1 and Status = 1 '.$usercondition;
$locDetails		= $deviceObj->selectDeviceDetails($locFields,$locCondition);
if(isset($locDetails)  && !empty($locDetails)){
	foreach($locDetails as $key=>$val){
		$uuidsArray[$val->id] 	=	$val->DeviceName;
		$hardwareName[$val->id]	=	$val->DeviceId;
	}
}

/* for open door beacon */
if(isset($_SESSION['beacon_open_door_uuid']) && $_SESSION['beacon_open_door_uuid'] != '') {
	$field		=	'Major';
	$condition	=	'fkDevicesId	=	'.$_SESSION['beacon_open_door_uuid'].' GROUP BY Major';
	$openMajor 	=	$beaconObj->selectMajorLatDetails($field,$condition);
}
$selected	=	'';
$dispStyle	=	'display:none';
if(empty($openMajor)) {
	$selected	=	'selected';
	$dispStyle	=	'diplay:block';
}


// BEGIN: FOR BEACON MAJOR LISTING
setPagingControlValues('m.id',ADMIN_PER_PAGE_LIMIT);
$fields    	 = "d.*,m.Major";
$condition 	 = " and d.Status = 1 ";
if(isset($fkAdminsId) && isset($fkOrganizationId)) {
	$condition			.=	" AND d.fkOrganizationId in (".$fkOrganizationId.")";
}
if(isset($fkUsersId)) {
	if($fkUsersId != 0 && isset($organizationId)){ // if user is in organization
		$condition	.= " and d.fkOrganizationId =".$_SESSION['beacon_sess_type_of_organization'];
	}else if($fkUsersId != 0){ // if user not in organization
		$condition	.= " and d.fkUsersId =".$fkUsersId;
		
	}
}

$condition	.=	" and d.DeviceType = 1";
	
$majorListResult  	= $beaconObj->selectMajorsList($fields,$condition);
$tot_rec 			= $beaconObj->getTotalRecordCount();
if($tot_rec!=0 && !is_array($majorListResult)) {
	$_SESSION['curpage'] = 1;
	$majorListResult 	 = $beaconObj->selectMajorsList($fields,$condition);
}

// END: FOR BEACON MAJOR LISTING


// CODE TO GET ALL LAT LNG FOR ALL ORGANIZATIONS

$majors			=	"";
$field			=	"	m.Major ";
$conditions	=	"  d.DeviceType IN (3,4) ";
$majorresult	=	$userLoginObj->getMajorLat($field,$conditions);
foreach($majorresult as $key=>$value)
	$major[$key]	=	$value->Major;
if(isset($major) && !empty($major))
	$majors	=	implode(',',$major);



$fields		=	"m.Latitude,m.Longitude,d.DeviceType,m.Major,d.DeviceName";
$condition	=	" d.Status = 1  ";
if(isset($fkOrganizationId) && $fkOrganizationId != '')
	$condition	.=	" AND d.fkOrganizationId	= '".$fkOrganizationId."'";
if($majors != '')
	$condition	.=	" AND m.Major in (".$majors.")";

$condition	.=	" GROUP BY m.fkDevicesId, m.Major";

$majorLatArray			=	array();
$majorLocationArray		=	$beaconObj->selectMajorDetails($fields,$condition);

if(isset($majorLocationArray) && !empty($majorLocationArray)) {
	foreach($majorLocationArray as $mKey => $mVal) {
		$majorLatArray[$mKey]['Latitude']	=	$mVal->Latitude;
		$majorLatArray[$mKey]['Longitude']	=	$mVal->Longitude;
		$majorLatArray[$mKey]['DeviceType']	=	$mVal->DeviceType;
		$majorLatArray[$mKey]['Title']		=	'Device Name : '.$mVal->DeviceName.', Major :'.$mVal->Major;
	//	$majorLatArray[$mKey]['BeaconCount']=	$mVal->BeaconCount;
		$majorLatArray[$mKey]['Major']		=	$mVal->Major;
	}
}

if(!empty($majorLatArray))
	$majorJson	=	json_encode($majorLatArray);



if(isset($_POST['submit']) && $_POST['submit'] != '') {
	if(isset($_POST['Organizations']))
		$Organizations	=	$_POST['Organizations'];
	if(isset($_POST['BeaconType']))
		$BeaconType	=	$_POST['BeaconType'];
	if(isset($_POST['MajorRange']) && $_POST['MajorRange'] != '')
		$MajorRange	=	$_POST['MajorRange'];
	if(isset($_POST['OpenNewMajor']) && $_POST['OpenNewMajor'] != '')
		$OpenNewMajor	=	$_POST['OpenNewMajor'];
	if(isset($_POST['DoorMajor']) && $_POST['DoorMajor'] != '')
		$DoorMajor		=	$_POST['DoorMajor'];
	if(isset($_POST['uuid']) && $_POST['uuid'] != '') {
		$uuid		=	$_POST['uuid'];
	if(!empty($hardwareName))
		$DeviceId	=	$hardwareName[$uuid];
		/* echo "<pre>=========>";print_r($hardwareName);echo "<=========</pre>";
		echo "<br>=============".$uuid;
		echo "<br>=============".$DeviceId; */
		// die(); */
	}
	if(isset($_POST['Major']) && $_POST['Major'] != '')
		$Major		=	$_POST['Major'];
	if(isset($_POST['Latitude']))
		$Latitude	=	$_POST['Latitude'];
	if(isset($_POST['Longitude']))
		$Longitude	=	$_POST['Longitude'];
	
			
	if($_POST['submit'] == 'Save') {
		if(isset($Major) && $Major == 'new') {
			if(isset($_POST['new_Major']) && $_POST['new_Major'] != '') {
				$new_Major		=	$_POST['new_Major'];
				$field			=	' * ';
				$condition		=	"m.Major = ".$new_Major." AND d.DeviceId = '".$DeviceId."' AND d.Status = 1 ";
				$alreadyExist	=	$beaconObj->selectMajorDetails($field,$condition);
				// echo "<pre>=========>";print_r($alreadyExist);echo "<=========</pre>";die();
				if(isset($alreadyExist) && is_array($alreadyExist) && count($alreadyExist) > 0) {
						$error_msg   	= "Major already exists";
						$field_focus 	= 'Major';
						$display 		= "block";
						$class   		= "alert-danger";
						$class_icon     = "fa-warning";
				} else {
					
					$fields			= 	"fkDevicesId	=	'".$uuid."',
										Major			=	'".$new_Major."',
										Latitude		=	'".$Latitude."',
										Longitude		=	'".$Longitude."',
										DateCreated 	= 	'".date('Y-m-d H:i:s')."',
										DateModified	= 	'".date('Y-m-d H:i:s')."'";	
					// echo "=============".$fields;die();
					$beaconObj->insertMajorDetails($fields);
					header('location:Beacons');
					die;
				}
			}
		} else if(isset($Major) && $Major != '') {
			$fields	=	"Latitude		=	'".$Latitude."',
						Longitude		=	'".$Longitude."',
						DateModified	= 	'".date('Y-m-d H:i:s')."'";
			
			$condition	=	"fkDevicesId	=	".$uuid." AND Major		= ".$Major;
			$beaconObj->updateBeaconDetails($fields,$condition);
			$beaconObj->updateMajorDetails($fields,$condition);
			header('location:Beacons');
			die;
		}

		if(isset($_POST['MajorRange']) && $_POST['MajorRange'] != '') {
			$major			=	$_POST['MajorRange'];
			$uuid			=	$_SESSION['beacon_traffic_uuid_id'];
			$field			=	' * ';
			$condition		=	"m.Major = ".$major." AND d.DeviceId = '".$_SESSION['beacon_traffic_device_id']."'";
			$alreadyExist	=	$beaconObj->selectMajorDetails($field,$condition);

			if(isset($alreadyExist) && is_array($alreadyExist) && count($alreadyExist) > 0) {
					$fields	=	"Latitude		=	'".$Latitude."',
								Longitude		=	'".$Longitude."',
								DateModified	= 	'".date('Y-m-d H:i:s')."'";
			
					$condition	=	"fkDevicesId	=	".$uuid." AND Major		= ".$MajorRange;
					$beaconObj->updateBeaconDetails($fields,$condition);
					$beaconObj->updateMajorDetails($fields,$condition);
					header('location:Beacons');
					die;
			} else {
				$fields			= 	"fkDevicesId	=	'".$uuid."',
									Major			=	'".$MajorRange."',
									Latitude		=	'".$Latitude."',
									Longitude		=	'".$Longitude."',
									DateCreated 	= 	'".date('Y-m-d H:i:s')."',
									DateModified	= 	'".date('Y-m-d H:i:s')."'";	
				
				$beaconObj->insertMajorDetails($fields);
				header('location:Beacons');
				die;
			}
		}
		
		if(isset($_POST['DoorMajor']) && $_POST['DoorMajor'] != '') {
			$major			=	$_POST['DoorMajor'];
			$uuid			=	$_SESSION['beacon_open_door_uuid'];
			$field			=	' * ';
			$condition		=	"m.Major = ".$major." AND d.DeviceId = '".$_SESSION['beacon_open_door_device_id']."'";
			$alreadyExist	=	$beaconObj->selectMajorDetails($field,$condition);

			if(isset($alreadyExist) && is_array($alreadyExist) && count($alreadyExist) > 0) {
					/*$error_msg   	= "Major already exists";
					$field_focus 	= 'Major';
					$display 		= "block";
					$class   		= "alert-danger";
					$class_icon     = "fa-warning";*/
					$fields	=	"Latitude		=	'".$Latitude."',
								Longitude		=	'".$Longitude."',
								DateModified	= 	'".date('Y-m-d H:i:s')."'";
			
					$condition	=	"fkDevicesId	=	".$uuid." AND Major		= ".$DoorMajor;
					$beaconObj->updateBeaconDetails($fields,$condition);
					$beaconObj->updateMajorDetails($fields,$condition);
					header('location:Beacons');
					die;
			} else {
				$fields			= 	"fkDevicesId	=	'".$uuid."',
									Major			=	'".$major."',
									Latitude		=	'".$Latitude."',
									Longitude		=	'".$Longitude."',
									DateCreated 	= 	'".date('Y-m-d H:i:s')."',
									DateModified	= 	'".date('Y-m-d H:i:s')."'";	
				
				$beaconObj->insertMajorDetails($fields);
				header('location:Beacons');
				die;
			}
		} 
	}
}


//echo "<pre>========";print_r($_POST);echo "<==========</pre>";

?>
<body class="skin-blue" onload="return fieldfocus('<?php echo $field_focus; ?>');">
	<?php top_header(); ?>
	<!-- Content Header (Page header) -->
	<!-- <section class="content-header no-padding">
		<div class="col-xs-12"> 
			<h1><i class="fa <?php if($isEdit == 1) echo "fa-edit "; else echo 'fa-plus-circle ';?>"></i> <?php if($isEdit == 1 ) echo "Edit "; else echo 'Add ';?>Device</h1>
		</div>
	</section> -->
	<!-- Main content -->
	<section class="content">
		<div class="row">
			<div class="col-md-12"> 
				<div class="box box-primary"> 
					<h2>Add / Edit Major</h2>
					<div class="">
						
						<div class="general-setting sett-menu">	
							<h2 class="tabsection" id="majorBox" alt="Search" title="Search">Search <i class="fa fa-angle-down" id="majorBox_icon"></i></h2>
							<div id="majorBox_block" style="display:none;">
								<form name="searchMajors" action="ManageMajorLatlng" method="post" style="border-bottom: 1px solid #dcdcdc;padding-bottom: 16px;">
								<div class="box box-primary box-padding report separator">
									<div class="box-body no-padding" >
										<div class="col-sm-4 col-xs-12 form-group">
											<label>Hardware</label>
											<input type="text" class="form-control" id="Hardware" name="Hardware" placeholder="Hardware" maxlength="50" value="<?php if(isset($_SESSION['beacon_sess_hardware']) && $_SESSION['beacon_sess_hardware'] != '') echo $_SESSION['beacon_sess_hardware'];  ?>">
										</div>
										<div class="col-sm-2 col-xs-12 form-group">
											<label>Major</label>
											<input type="text" class="form-control" id="Major" name="Major" placeholder="Major" maxlength="50" value="<?php if(isset($_SESSION['beacon_sess_major']) && $_SESSION['beacon_sess_major'] != '') echo $_SESSION['beacon_sess_major'];  ?>" onkeypress="return isNumberKey_numbers(event);" >
										</div>
										<div class="col-sm-4 col-xs-12 form-group" align="center">
											<label>&nbsp;</label>
											<input type="submit" class="btn btn-success fleft" name="Search" id="Search" value="Search">
										</div>
									</div>
								</div>
								</form>
							
								<div class="row paging paging-margin report col-xs-12">
									<div class="col-xs-12 col-sm-2 no-padding">
										<?php if(isset($majorListResult) && is_array($majorListResult) && count($majorListResult) > 0){ ?>
										<div class="dataTables_info"><span class="">No. of Major(s)&nbsp:&nbsp;<strong><?php echo $tot_rec; ?></strong> </span></div>
										<?php } ?>
									</div>
									<div class="col-xs-12 col-sm-10">
										<div class="dataTables_paginate paging_bootstrap row">
										<?php if(isset($majorListResult) && is_array($majorListResult) && count($majorListResult) > 0 ) {
												pagingControlLatest($tot_rec,'ManageMajorLatlng'); 
										} ?>
										</div>
									</div>
								</div>
								<div class="box box-primary report separator">
									<div class="table-responsive">
										<table width="100%" class="table" cellpadding="0" cellspacing="0" style="margin-bottom:0">
											<tr>
												<th align="center" width="3%" style="text-align:center;">#</th>
												<?php if(isset($isAdmin) && $isAdmin == 1) { ?>
												<th width="10%" align="left" style="text-align:left;">Organization Name</th>
												<?php } ?>
												<th width="10%" align="left" style="text-align:left;">Hardware Name</th>
												<th width="21%" align="left" style="text-align:left;">Hardware</th>
												<th width="5%" align="left" style="text-align:left;">Major</th>
											</tr>
											<?php if(isset($majorListResult) && !empty($majorListResult) && count($majorListResult) > 0) { 
													foreach($majorListResult as $key => $value) { ?>
											<tr>
												<td align="center" style="text-align:center;" nowrap><?php echo (($_SESSION['curpage'] - 1) * ($_SESSION['perpage']))+$key+1;?></td>
												<?php if(isset($isAdmin) && $isAdmin == 1) { ?>
												<td><?php if(isset($organizationArray[$value->fkOrganizationId])) echo ucfirst($organizationArray[$value->fkOrganizationId]); else echo '-'; ?></td>
												<?php } ?>
												<td class="description-value"><?php if(isset($value->DeviceName) && $value->DeviceName != '') echo ucfirst($value->DeviceName); else echo '-';?></td>
												<td><?php if(isset($value->DeviceId) && $value->DeviceId != '') echo $value->DeviceId; else echo '-';?></td>
												<td><?php if(isset($value->Major) && $value->Major != '' && $value->Major != 0) echo $value->Major; else echo '-';?></td>
											</tr>
											<?php } } else { ?>
											<tr>
												<td colspan="12" align="center">
													<div class="alert col-sm-4 col-xs-12 " style="color:red;">No Majors found</div> 
												</td>
											</tr>
											<?php } ?>
										</table>
									</div>
								</div>
							</div>
						</div>
						
						<div class="col-md-12 no-padding">
						<?php if(isset($error_msg) && $error_msg != '')  { ?> <div class="alert <?php echo $class;  ?> alert-dismissable col-lg-4  col-sm-5  col-xs-11 text-center"><i class="fa <?php echo $class_icon ;  ?>"></i>  <?php echo $error_msg;  ?></div> <?php } ?>
						<!--<input type="Hidden" name="device_id" id="device_id" value="<?php if(isset($_GET['editId']) && $_GET['editId'] != '' ) echo $_GET['editId'];?>">
						<input type="Hidden" name="fkUsersId" id="fkUsersId" value="<?php if(isset($fkUsersId) && $fkUsersId != '' ) echo $fkUsersId;?>"> -->
						<input type="hidden" name="OrganizationId" id="OrganizationId" value="<?php if(isset($fkOrganizationId) && $fkOrganizationId != 0) echo $fkOrganizationId; ?>">
						</div>
						
						
						<form name="add_major_form" id="add_major_form" action="" method="post" class="box-padding">
							<?php if(isset($isAdmin) && $isAdmin == 1) { ?>
							<div class="form-group col-sm-6 clear">
								<label>Organizations</label>
								<select class="form-control" name="Organizations" id="Organizations" onchange="getBeaconType(this.value,2);" <?php if(isset($_GET['editId']) && $_GET['editId'] !='' && isset($Organizations) && $Organizations != 0 ) echo 'disabled'; ?>>
								<option value="">--select--</option>
								<?php foreach($organizationArray as $key => $value) { ?>
								<option value="<?php echo $key; ?>" <?php if(isset($Organizations) && $Organizations == $key) echo 'selected'; ?>><?php echo $value; ?></option>
								<?php } ?>
								</select>
							</div>
							<?php } ?>
							<div class="form-group col-sm-6 clear">
								<label>Beacon Type</label>
								<select class="form-control" id="BeaconType" name="BeaconType" onchange="showDiv(this.value);">
									<option value="">Select</option>
									<?php foreach($beacon_type_array as $key=>$val) { if($key == 2) continue;
											if(isset($isTraffic) && $isTraffic != 1 && $key == 3 && !isset($isAdmin)) continue; 
												else if(isset($isOpenDoor) && $isOpenDoor != 1 && $key == 4 && !isset($isAdmin)) continue;?>
										<option <?php if($key == 3 && isset($isAdmin) && $isAdmin == 1) { echo 'id = "trafficType"'; echo "style = 'display:none;'"; } else if($key == 4 && isset($isAdmin) && $isAdmin == 1) { echo 'id = "openType"'; echo "style = 'display:none;'"; } ?> value="<?php echo $key; ?>" <?php if(isset($BeaconType) && $BeaconType == $key) echo "selected"; ?>><?php echo $val; ?></option>
									<?php } ?>
								</select>
							</div>
							
							<!-- For Traffic Beacon -->
							<?php if(isset($isTraffic) && $isTraffic == 1 || isset($isAdmin)) { ?>
							<input type="hidden" name="traffic" id="traffic" value="<?php if(isset($_SESSION['beacon_traffic_uuid_id']) && $_SESSION['beacon_traffic_uuid_id']	 != '') echo $_SESSION['beacon_traffic_uuid_id']; ?>">
							<div id="range-div" style="display:none">
								<div class="form-group col-sm-3">
									<div class="" style="position: relative">
										<label>Major</label>
										<!-- <select class="form-control" id="MajorRange" name="MajorRange" onchange="getLatLng(this.value,2)">
											<option value="">Select</option>
											<?php	if(isset($majorFrom) && isset($majorTo)) { 
														for($i=$majorFrom; $i<=$majorTo; $i++) { ?>
											<option value="<?php echo $i; ?>"><?php echo $i; ?></option>
											<?php } } ?>
										</select> -->
										<input type="text" class="form-control selectbox" placeholder="Select" id="MajorRange" name="MajorRange">
										<ul class="dropdown-selection" id="MajorRangeList" >
										
										</ul>
									</div>
								</div>
							</div>
							<?php } ?>
							
							<!-- For Open Door Beacon -->
							<?php if(isset($isOpenDoor) && $isOpenDoor == 1 || isset($isAdmin)) { ?>
							<div id="open-div" style="display:none">
								<input type="hidden" name="openDoor" id="openDoor" value="<?php if(isset($_SESSION['beacon_open_door_uuid']) && $_SESSION['beacon_open_door_uuid'] != '') echo $_SESSION['beacon_open_door_uuid']; ?>">
								
								<div class="form-group col-sm-3">
									<div class="" style="position: relative">
										<label>Major</label>
										<!-- <select class="form-control" id="DoorMajor" name="DoorMajor" onchange="getLatLng(this.value,3)">
											<option value="">Select</option>
											<?php if(isset($majorFrom) && isset($majorTo)) { 
														for($i=$majorFrom; $i<=$majorTo; $i++) { ?>
											<option value="<?php echo $i; ?>"><?php echo $i; ?></option>
											<?php } } ?>
										</select> -->
										<input type="text" class="form-control selectbox" placeholder="Select" id="DoorMajor" name="DoorMajor">
										<ul class="dropdown-selection" id="DoorMajorList" >
										
										</ul>
									</div>
								</div>
								<!-- <div id="new_open_div" class="form-group col-sm-3" style="<?php echo $dispStyle; ?>">
									<label>New Major</label>
									<input type="text" class="form-control" id="OpenNewMajor" name="OpenNewMajor" onkeypress="return isNumberKey_numbers(event);" maxlength="36" value="<?php if(isset($OpenNewMajor) && $OpenNewMajor != '' ) echo $OpenNewMajor;  ?>" >
								</div> -->
							</div>
							<?php } ?>
							
							<div id="uuid-div">
								<div class="form-group col-sm-6 clear">
									<label>Hardware Name</label>
									<select class="form-control" id="uuid" name="uuid" onchange="getMajor(this.value,1,1)">
										<option value="">--Select--</option>
										<?php
										if(isset($uuidsArray)){
											foreach($uuidsArray as $key=>$val){ ?>
											<option value="<?php echo $key; ?>" <?php if(isset($uuid) && $uuid == $key) echo "selected"; ?>><?php echo $val; ?></option>
										<?php } }?>
									</select>
								</div>
								
								<!-- For IBeacon -->
								<div class="form-group col-sm-3" id="major-div" >
									<label>Major</label>
									<select class="form-control" id="Major_lat" name="Major" onchange="getLatLng(this.value,1,1)">
										<option value="">Select</option>
										<?php if(isset($Major) && $Major == 'new') { ?>
										<option value="new" selected >Add New</option>
										<?php } ?>
									</select>
								</div>
								
								<div id="new_Major_div" class="form-group col-sm-3" style="<?php if(isset($Major) && $Major == 'new') echo 'display:block'; else echo 'display:none'; ?>">
									<label>New Major</label>
									<input type="text" class="form-control" id="new_Major" name="new_Major" onkeypress="return isNumberKey_numbers(event);" maxlength="36" value="<?php if(isset($new_Major) && $new_Major != '' ) echo $new_Major;  ?>" >
								</div>
							</div>
							<div class="form-group col-sm-6 clear" >
								<label>Latitude</label>
								<input type="text" class="form-control" id="Latitude_major" name="Latitude" onkeypress="return isNumberKey_numbers(event);" maxlength="36" value="<?php if(isset($Latitude) && $Latitude != '' ) echo $Latitude;  ?>" >
							</div>
							<div class="form-group col-sm-6 " >
								<label>Longitude</label>
								<input type="text" class="form-control" id="Longitude_major" name="Longitude" onkeypress="return isNumberKey_numbers(event);" maxlength="36" value="<?php if(isset($Longitude) && $Longitude != '' ) echo $Longitude;  ?>" >
							</div>
							<div class="form-group col-sm-6 clear" >
								<input id="pac-input" class="form-control" type="text" placeholder="Enter a location">
							</div>
							<div class="form-group col-sm-6" >
								<input type="button" class="btn btn-success mR-button" name="LoadMap" id="LoadMap_major" onclick="setMarker()" value="Load Map" title="LoadMap" alt="LoadMap">
							</div>
							<div class="form-group col-sm-12">
								<div id="dvMap" style="width: 100%; height: 400px;align:center;text-align:left;" align="center"></div>
							</div>
							<div class="box-footer  col-xs-12" align="center">
									<input type="submit" class="btn btn-success mR-button" name="submit" id="submit" value="Save" title="Save" alt="Save">
								<?php $href_page = "Beacons";?>		
								<a href="<?php if(isset($href_page) && $href_page != '' ) echo $href_page; else echo 'Beacons';?>" class="btn btn-default" name="Back" id="Back" title="Back" alt="Back" >Back </a>	
							</div>
							<div style="display:none" id="major_json"><?php echo $majorJson; ?></div>
						</form>	
					</div>
				</div><!-- /.box -->
			</div><!-- /.col -->
		</div><!-- /.row -->
	</section><!-- /.content -->	
<?php commonFooter(); ?>
<script type="text/javascript" src="https://maps.googleapis.com/maps/api/js?key=AIzaSyCeIbrMJNmUVrn1yjRUp804JxhSHtg5UqI&libraries=places"></script>
<script type="text/javascript">
	 window.onload = function () {
        majorLoadMap(1);
    }
	function setMarker() {
		majorLoadMap(5);
	}
	
	maxZoomLevel = new google.maps.MaxZoomService();
	
    function majorLoadMap(a) {
		var lat		=	document.getElementById('Latitude_major').value;
		var lng		=	document.getElementById('Longitude_major').value;
		var zoom	=	12;
		if(lat == '' && lng == '') {
			lat		=	37.09024;
			lng		=	-95.712891;
			zoom	=	5;
		}
		
		var json 	=	'';
		
		var majorData	=	$('#major_json').html();
		if(majorData != '' && majorData != undefined)
			json 	=	JSON.parse(majorData);
		
		if(json != '') {
			lat		=	json[0].Latitude;
			lng		=	json[0].Longitude;
		}
		
		
        var mapOptions = {
			center: new google.maps.LatLng(lat, lng),
            zoom: zoom, //Not required.
			minZoom:2,
            mapTypeId: google.maps.MapTypeId.ROADMAP
        };
		
		var input = document.getElementById('pac-input');
		var autocomplete = new google.maps.places.Autocomplete(input);
		//autocomplete.bindTo('bounds', map);
		autocomplete.addListener('place_changed', function() {
			var place = autocomplete.getPlace();
			if (!place.geometry) {
				window.alert("Autocomplete's returned place contains no geometry");
				return;
			}
			else {
				if (place.geometry.viewport) {
					map.fitBounds(place.geometry.viewport);
				} else {
					map.setCenter(place.geometry.location);
					map.setZoom(12);  // Why 17? Because it looks good.
				}

				placeMarker(place.geometry.location,json,a);
				var latval	=	place.geometry.location;
				document.getElementById('Latitude_major').value = place.geometry.location.lat();
				document.getElementById('Longitude_major').value = place.geometry.location.lng();
			}
		});
		
		var map 		= new google.maps.Map(document.getElementById("dvMap"), mapOptions);
		if(json != '') {
			$.each(json, function(key, data) {
				var latLng = new google.maps.LatLng(data.Latitude, data.Longitude); 
				// Creating a marker and putting it on the map
				
				var marker = new google.maps.Marker({
					position: latLng,
					map: map,
					title: data.Title,
					icon: 'http://chart.apis.google.com/chart?chst=d_map_pin_letter&chld='+data.Major+'|FF0000|000000'
				});
				var circle = new google.maps.Circle({
					map: map,
					radius: 1000,    // 1 km in metres
					fillColor: '#AA0000'
				});
				circle.bindTo('center', marker, 'position');
			});
			map.setZoom(12);
		}
		
		var lastMarker;
		var lat		=	document.getElementById('Latitude_major').value;
		var lng		=	document.getElementById('Longitude_major').value;
		if(lat != '' && lng != '') {
			var latLng	=	new google.maps.LatLng(lat,lng);
			placeMarker(latLng,json,a);
		}
		
		
		google.maps.event.addListener(map,'click',function(e){
			document.getElementById('pac-input').value = '';
			var latLng	=	e.latLng;
			var lat		=	e.latLng.lat();
			var lng		=	e.latLng.lng();
			document.getElementById('Latitude_major').value = lat;
			document.getElementById('Longitude_major').value = lng;
			placeMarker(latLng,'',a);
		});
		
		function placeMarker(Location,json,types) {
			var icons = '';
			console.log(Location)
			if(json != '' && types != 5){
				icons = 'http://chart.apis.google.com/chart?chst=d_map_pin_letter&chld='+json[0].Major+'|FF0000|000000';
			}
			var lat		=	document.getElementById('Latitude_major').value;
			var lng		=	document.getElementById('Longitude_major').value;
			if(lastMarker != null)
				lastMarker.setMap(null);
			
			var marker =	new google.maps.Marker({
				position : Location,
				map		 : map,
				icon	 : icons
			});
			var zoom	=	map.getZoom();
			if(zoom == maxZoomLevel){
				map.setZoom(maxZoomLevel);
			}
			else if(zoom>maxZoomLevel){
				map.setZoom(maxZoomLevel);
			}
			else{
				map.setZoom(zoom);
			}
			map.setCenter(marker.getPosition());
			lastMarker	=	marker;
		}
	}
</script>
<script type="text/javascript">
	function showDiv(val) {
		getMajorLocations(val);
		if(val == 1) {
			$('#range-div').hide();
			$('#open-div').hide();
			$('#uuid-div').show();
		} else if(val == 3) {
			$('#open-div').hide();
			$('#uuid-div').hide();
			<?php if(isset($isAdmin) && $isAdmin ==1) { ?>
			var orgId	=	$('#Organizations').val();
			<?php } else {?>
			var orgId	=	$('#OrganizationId').val();
			<?php } ?>
			
			getRange(orgId,3);
			$('#range-div').show();
		} else {
			$('#uuid-div').hide();
			$('#range-div').hide();
			<?php if(isset($isAdmin) && $isAdmin ==1) { ?>
			var orgId	=	$('#Organizations').val();
			<?php } else {?>
			var orgId	=	$('#OrganizationId').val();
			<?php } ?>
			getRange(orgId,4);
			$('#open-div').show();
		}
	}
		
</script>
<script type="text/javascript">
    //$(document).ready(function(){
       /* $(".selectbox").focus(function(){
            $(".dropdown-selection").addClass('list-sel');
        });
		 $(".dropdown-selection").click(function(){
		 	var newOptions = $('.dropdown-selection li');
			newOptions.click(function() {
		      $('.selectbox').val($(this).text());
		      //$('.dropdown-selection li').removeClass('selected');
		     // $(this).addClass('selected');
			});
		 
		 
		  // alert($(this).text());
		   $(".dropdown-selection").removeClass('list-sel');
           //alert("===========")
        });*/
    //});
	$("#DoorMajor").focus(function(){
        $("#DoorMajorList").addClass('list-sel');
		if ( $('.dropdown-selection li').length == 2 ) {
			$('.dropdown-selection').css({'height':'32px','overflow':'none'});
		}else{
			$('.dropdown-selection').css({'height':'200px','overflow':'auto'});
		}
		//$('.list-sel').css("display","block");
    });
	var allOptions = $("#DoorMajorList").children('li:not(.init)');
	$("#DoorMajorList").on("click", "li:not(.init)", function() {
	    $('#DoorMajor').val($(this).text());
		getLatLng($(this).text(),3)
		//allOptions.removeClass('selected');
	   // $(this).addClass('selected');
	    allOptions.toggle();
		 $("#DoorMajorList").removeClass('list-sel');
	});
	
	$("#MajorRange").focus(function(){
		if ( $('.dropdown-selection li').length == 2 ) {
			$('.dropdown-selection').css({'height':'32px','overflow':'none'});
		}else{
			$('.dropdown-selection').css({'height':'200px','overflow':'auto'});
		}
        $("#MajorRangeList").addClass('list-sel');
		//$('.list-sel').css("display","block");
    });
	var allOptions = $("#MajorRangeList").children('li:not(.init)');
	$("#MajorRangeList").on("click", "li:not(.init)", function() {
	    $('#MajorRange').val($(this).text());
		getLatLng($(this).text(),2)
		//allOptions.removeClass('selected');
	   // $(this).addClass('selected');
	    allOptions.toggle();
		$("#MajorRangeList").removeClass('list-sel');
	});
	
	/* $('body').click(function(event){	
		/*if($(event.target).is('.list-sel') === false) {
			$('.dropdown-selection').removeClass('list-sel');
		}*/
		//alert('click');
		/* if ($(event.target).closest('.list-sel').length === 0) {
			$('.dropdown-selection').removeClass('list-sel');
		} *
			
	}); */
	
	$(document).on('click',function(e){
		if (e.target.id != "MajorRange" && !$(e.target).closest(".list-sel").length > 0) {
			$("#MajorRangeList").removeClass("list-sel");
		}
		
		if (e.target.id != "DoorMajor" && !$(e.target).closest(".list-sel").length > 0) {
			$("#DoorMajorList").removeClass("list-sel");
		}
	});
</script>
</html>