<?php 
require_once('includes/CommonIncludes.php');
require_once('controllers/UserController.php');
require_once('controllers/AdminController.php');
require_once('controllers/BeaconController.php');
require_once('controllers/DeviceController.php');
if(isset($_SESSION['beacon_sess_user_type']) && $_SESSION['beacon_sess_user_type'] == 2)//user 
	header("location:Devices?cs=1");

$userObj		=  	new UserController();
$adminLoginObj  =  	new AdminController();
$beaconObj		=  	new BeaconController();
$deviceObj		=	new DeviceController();
admin_login_check();

if(isset($_GET['cs']) && $_GET['cs'] == 1) {
	destroyPagingControlsVariables();
	unset($_SESSION['beacon_sess_organization_name']);
	unset($_SESSION['beacon_sess_major']);
}

$userResult	=	$beaconCount	=	$deviceDetails	=	$userDetails	=	array();

if(isset($_GET['deleteId']) && $_GET['deleteId'] != '') {
	// CODE FOR DELETE BEACONS
	$fields			=	" Status = 2";
	$condition		=	" fkOrganizationId = ".$_GET['deleteId'];
	$beaconObj->updateBeaconDetails($fields,$condition);
	
	// CODE FOR DELETE HARDWARES
	$fields			=	" Status = 3";
	$condition		=	" fkOrganizationId = ".$_GET['deleteId'];
	$deviceObj->updateDeviceDetails($fields,$condition);
	
	// CODE FOR DELETE USERS
	$fields				=	" Status = 2";
	$condition			=	" fkOrganizationId = ".$_GET['deleteId'];
	$userObj->updateUserDetails($fields,$condition);
	
	// CODE FOR DELETE SUB ADMINS
	$fields			=	" Status = 2";
	$condition		=	" fkOrganizationId =".$_GET['deleteId'];
	$adminLoginObj->updateAdminDetails($fields,$condition);
	
	// CODE FOR DELETE ORGANIZATION
	$condition			=	" id	=".$_GET['deleteId'];
	$fields		 		= 	" Status = 2";
	$userTypeResult		= 	$userObj->updateOrganization($fields,$condition);
	
	header("location:Organizations?msg=3");
}

if(isset($_POST['Search']) && $_POST['Search'] != '') {
	destroyPagingControlsVariables();
	$_POST          = unEscapeSpecialCharacters($_POST);
    $_POST          = escapeSpecialCharacters($_POST);
	if(isset($_POST['OrganizationName']))
		$_SESSION['beacon_sess_organization_name']		= trim($_POST['OrganizationName']);
}

if(isset($_SESSION['beacon_sess_user_type']) && $_SESSION['beacon_sess_user_type'] == 3) {//sub admin 
	$userType			=	3;	
	$fkAdminsId			=	$_SESSION['beacon_sub_admin_user_id'];
	$OrganizationId		=	$_SESSION['beacon_sub_admin_organizations'];
}

setPagingControlValues('id',ADMIN_PER_PAGE_LIMIT);
$fields    	 = " * ";
$condition 	 = " and Status = 1";
if(isset($OrganizationId) && isset($fkAdminsId)) {
	$condition	.=	" AND id in (".$OrganizationId.")";
}

$organizationResult  	= $userObj->getOrganizationList($fields,$condition);
$tot_rec 				= $userObj->getTotalRecordCount();
if($tot_rec!=0 && !is_array($organizationResult)) {
	$_SESSION['curpage'] = 1;
	$organizationResult	 	 = $userObj->getOrganizationList($fields,$condition);
}

$fields		=	" o.id,b.fkOrganizationId,b.BeaconType,count(b.id) as BeaconCount ";
$condition	=	" o.Status = 1 AND b.Status in (0,1)";
$countArray	=	$userObj->getBeaconCountList($fields,$condition);
// echo "<pre>======";print_r($countArray);echo "=====</pre>";die();
if(is_array($countArray) && !empty($countArray)) {
	foreach($countArray as $countkey => $countVal) {
		$beaconCount[$countVal->fkOrganizationId][$countVal->BeaconType] = $countVal->BeaconCount;
	}
}

//START: FOR NEW UPDATE ON DELETE ORGANIZATION THEN ASSOCIATED USERS, HARDWARES AND BEACONS ALSO DELETED WITH CONFIRMATION ALERT 23/01/2017
$fields			=	"count(id) as BeaconCount,fkOrganizationId";
$condition		=	" Status = 1 GROUP BY fkOrganizationId";
$deviceResult	=	$beaconObj->selectBeaconDetails($fields,$condition);
if(is_array($deviceResult) && !empty($deviceResult)) {
	foreach($deviceResult as $deviceKey => $deviceVal) {
		$deviceDetails[$deviceVal->fkOrganizationId]	=	$deviceVal->BeaconCount;
	}
}

$userFields			=	" count(id) as UserCount,fkOrganizationId ";
$userCondition		=	" Status = 1 GROUP BY fkOrganizationId";
$userResult			=	$userObj->selectUserDetails($userFields,$userCondition);
if(is_array($userResult) && !empty($userResult)) {
	foreach($userResult as $userKey => $userVal) {
		$userDetails[$userVal->fkOrganizationId]	=	$userVal->UserCount;
	}
}

//END: FOR NEW UPDATE ON DELETE ORGANIZATION THEN ASSOCIATED USERS, HARDWARES AND BEACONS ALSO DELETED

// echo "<pre>======";print_r($beaconCoount);echo "=====</pre>";die();



if(isset($_GET['msg']) && $_GET['msg'] == 1) {
	$msg		= "Organization added successfully";
	$class		= "alert-success";
	$class_icon = "fa-check";
	$display 	= "block";
}
else if(isset($_GET['msg']) && $_GET['msg'] == 2 ) {
	$msg		= "Organization updated successfully";
	$class		= "alert-success";
	$class_icon = "fa-check";
	$display 	= "block";
}
else if(isset($_GET['msg']) && $_GET['msg'] == 3 ) {
	$msg		= "Organization deleted successfully";
	$class		= "alert-success";
	$class_icon = "fa-check";
	$display 	= "block";
}else if(isset($_GET['msg']) && $_GET['msg'] == 4 ) {
	$msg		= "You don't have permission to delete this organization, since it have users";
	$class		= "alert-danger";
	$class_icon = "fa-warning";
	$display 	= "block";
}
commonHead(); ?>
<body class="skin-blue">
	<?php top_header(); ?>	
<!-- Main content -->
	<section class="content">
		<div class="row">
		<!-- left column -->
			<div class="col-md-12"><!--  col-lg-6 -->
				<div class="box box-primary add-header">
				<h2>Organizations List</h2>
				<div class="col-xs-12 add-btns">
				<?php if(!isset($userType)) { ?>
					<a href="ManageOrganizations?cs=1" name="addOrganization" id="addOrganization" class="add-device"><i class="fa fa-plus"></i> Add Organization</a>
				<?php } ?>
				</div>
				<form name="searchCategory" action="Organizations" method="post">
						<div class="box box-primary box-padding report separator">
							<div class="box-body no-padding" >
								<div class="col-sm-4 col-xs-12 form-group">
									<label>Organization Name</label>
									<input type="text" placeholder="Organization Name" class="form-control" name="OrganizationName" id="OrganizationName"  value="<?php  if(isset($_SESSION['beacon_sess_organization_name']) && $_SESSION['beacon_sess_organization_name'] != '') echo stripslashes(htmlentities($_SESSION['beacon_sess_organization_name'])); ?>" >
								</div>
								
								<div class="col-sm-4 col-xs-12 form-group" align="center">
									<label>&nbsp;</label>
									<input type="submit" class="btn btn-success fleft" name="Search" id="Search" value="Search">
								</div>
							</div>
						</div>
					</form>
				
				
				<div class="row paging paging-margin report col-xs-12">
						<div class="col-xs-12 col-sm-2 no-padding">
							<?php if(isset($organizationResult) && is_array($organizationResult) && count($organizationResult) > 0){ ?>
							<div class="dataTables_info"><span class="">No. of Organization(s)&nbsp:&nbsp;<strong><?php echo $tot_rec; ?></strong> </span></div>
							<?php } ?>
						</div>
						<div class="col-xs-12 col-sm-10">
							<div class="dataTables_paginate paging_bootstrap row">
							<?php if(is_array($organizationResult) && count($organizationResult) > 0 ) {
									pagingControlLatest($tot_rec,'Organizations'); ?>
							<?php } ?>
							</div>
						</div>
					</div>	
					<?php if(isset($msg) && $msg != '') { ?>
					<div class="row col-xs-12">
						   <div align="center" class="alert <?php  echo $class;  ?> alert-dismissable col-xs-11  col-sm-4"><i class="fa <?php echo $class_icon ?>"></i>  <?php echo $msg; ?></div>
					</div>	
					<?php } ?>
					<div class="table-responsive">
						<table width="100%" class="table" cellpadding="0" cellspacing="0">
							<tr>
								<th align="center" width="3%" style="text-align:center;">#</th>
								<th width="10%" align="left" style="text-align:left;"><?php echo sortColumn('OrganizationName','Organization Name'); ?></th>
								<th width="10%" align="left" style="text-align:left;">Regular Beacon</th>
								<th width="10%" align="left" style="text-align:left;">Virtual Beacon</th>
								<th width="10%" align="left" style="text-align:left;">Traffic Beacon</th>
								<th width="10%" align="left" style="text-align:left;">Open Door Beacon</th>
								<th width="10%" align="left" style="text-align:left;">Traffic Major Range</th>
								<th width="10%" align="left" style="text-align:left;">Open Door Major Range</th>
								<th width="12%" align="left" style="text-align:left;">Action</th>
							</tr>
							<?php if(isset($organizationResult) && is_array($organizationResult) && count($organizationResult) > 0 ) {
										foreach($organizationResult as $key => $value) { 
							?>
							<tr id="test_id_<?php echo $value->id;?>">
								<td align="center" style="text-align:center;" nowrap><?php echo (($_SESSION['curpage'] - 1) * ($_SESSION['perpage']))+$key+1;?></td>
								<td><?php if(isset($value->OrganizationName) && $value->OrganizationName != '') echo ucfirst($value->OrganizationName); else echo '-';?></td>
								<td><?php if(isset($beaconCount[$value->id]) && isset($beaconCount[$value->id][1])) echo $beaconCount[$value->id][1]; else echo '0'; ?></td>
								<td><?php if(isset($beaconCount[$value->id]) && isset($beaconCount[$value->id][2])) echo $beaconCount[$value->id][2]; else echo '0'; ?></td>
								<td><?php if(isset($beaconCount[$value->id]) && isset($beaconCount[$value->id][3])) echo $beaconCount[$value->id][3]; else echo '0'; ?></td>
								<td><?php if(isset($beaconCount[$value->id]) && isset($beaconCount[$value->id][4])) echo $beaconCount[$value->id][4]; else echo '0'; ?></td>
								<td><?php if(isset($value->IsTraffic) && $value->IsTraffic == 1) echo $value->MajorFrom.' - '.$value->MajorTo; else echo '-'; ?></td>
								<td><?php if(isset($value->IsOpenDoor) && $value->IsOpenDoor == 1) echo $value->MajorFrom.' - '.$value->MajorTo; else echo '-'; ?></td>
								<td class="action-icons" align="center">
									<a href="Beacons?cs=1&orgId=<?php echo $value->id; ?>" title="Detail"><i class="fa fa-eye"></i></a>
									<a href='ManageOrganizations?editId=<?php echo $value->id; ?>' name='edit' title='Edit'><i class="fa fa-pencil"></i></a>
									<?php if(!empty($userDetails) && isset($userDetails[$value->id]) && $userDetails[$value->id] > 0) { ?>
									<a href='Organizations?deleteId=<?php echo $value->id; ?>&type=user' onclick="javascript:return confirm('This organization contains users, hardwares and beacons, Are you sure you want to delete?')"  name='deleteOrganization' title='Delete'><i class="fa fa-trash-o"></i></a>
									<!-- If its Deleted Then the associated Users Information also get Deleted, Like Hardware and Beacons Details. -->
									<?php } else if(!empty($deviceDetails) && isset($deviceDetails[$value->id]) && $deviceDetails[$value->id] > 0) { ?>
									<a href='Organizations?deleteId=<?php echo $value->id; ?>&type=beacon' onclick="javascript:return confirm('This organization contains hardwares and beacons, Are you sure you want to delete?')"  name='deleteOrganization' title='Delete'><i class="fa fa-trash-o"></i></a>
									<?php } else { ?>
									<a href='Organizations?deleteId=<?php echo $value->id; ?>' onclick="javascript:return confirm('Are you sure you want to delete this Organization?')"  name='deleteUserType' title='Delete'><i class="fa fa-trash-o"></i></a>
									<?php } ?>
								</td>
							<?php } } else { ?>
							<tr>
								<td colspan="9" align="center">
									<div class="alert col-sm-4 col-xs-12 " style="color:red;">No Organization found</div> 
								</td>
							</tr>
							<?php } ?>
						</table>
					</div>
				</div>
			</div>
		</div>
	</section>
<?php commonfooter(); ?>
<script type="text/javascript">
$('.beacon-image-pop-up').fancybox({title:true});
</script>
</html>