<?php 
require_once('includes/CommonIncludes.php');
require_once('controllers/AdminController.php');
require_once('controllers/UserController.php');

admin_login_check();
$userObj		=  new UserController();
$adminLoginObj  =  new AdminController();

if(isset($_SESSION['beacon_sess_user_type']) && $_SESSION['beacon_sess_user_type'] != 1) // user 
	header("location:Devices?cs=1");

if(isset($_GET['cs']) && $_GET['cs'] == 1) {
	destroyPagingControlsVariables();
	unset($_SESSION['beacon_sess_devices_device_id']);
	unset($_SESSION['beacon_sess_users_user_name']);
	unset($_SESSION['beacon_sess_system_from_date']);
	unset($_SESSION['beacon_sess_system_to_date']);
	unset($_SESSION['beacon_sess_organization_name']);
}

if(isset($_POST['Search']) && $_POST['Search'] != '') {
	destroyPagingControlsVariables();
	$_POST          = unEscapeSpecialCharacters($_POST);
    $_POST          = escapeSpecialCharacters($_POST);
	if(isset($_POST['OrganizationName']))
		$_SESSION['beacon_sess_organization_name']	= $_POST['OrganizationName'];
	if(isset($_POST['BeaconName']))
		$_SESSION['beacon_sess_users_user_name'] 	= trim($_POST['BeaconName']);
	if(isset($_POST['DeviceId']))
		$_SESSION['beacon_sess_devices_device_id'] 	= trim($_POST['DeviceId']);
	if(isset($_POST['FromDate']))
		$_SESSION['beacon_sess_system_from_date'] 	= trim($_POST['FromDate']);
	if(isset($_POST['ToDate']))
		$_SESSION['beacon_sess_system_to_date'] 	= trim($_POST['ToDate']);

}

$where		  	= " 1 ";		
$fields		= " * ";
$condition	= " and Status = 1 ";
$organizationResult		= $userObj->selectOrganizations($fields,$condition);
if(isset($organizationResult) && !empty($organizationResult)) {
	foreach($organizationResult as $orgKey => $orgValue) {
		$organizationArray[$orgValue->id]	=	$orgValue->OrganizationName;
	}
}
	 
$user_details = $adminLoginObj->getAdminDetails($fields,$where);
setPagingControlValues('id',ADMIN_PER_PAGE_LIMIT);
$fields    	 = " d.DeviceName, s.*,b.Description, u.FirstName,u.LastName ,a.UserName";
$condition	 = " ";	
$system_details = $adminLoginObj->getSystemTrackingDetails($fields,$condition);
$tot_rec 		= $adminLoginObj->getTotalRecordCount();
if($tot_rec!=0 && !is_array($system_details)) {
	$_SESSION['curpage'] = 1;
	$system_details 	 = $adminLoginObj->getSystemTrackingDetails($fields,$condition);
}

// echo "<pre>======";print_r($system_details);echo "=====</pre>";
commonHead(); ?>
<body class="skin-blue">
	<?php top_header(); ?>
	<!-- Content Header (Page header) -->
	<!-- <section class="content-header">
		<div class="row col-md-12 col-lg-6"> 
			<h1><i class="fa fa-cog"></i>Devices</h1>
		</div>
	</section> -->
	<!-- Main content -->
	<section class="content">
		<div class="row">
		<!-- left column -->
			<div class="col-md-12"><!--  col-lg-6 -->
				<div class="box box-primary">
					<!-- GENERAL SETTINGS-->
					<h2>System Tracking</h2>
					<!-- form start -->
					<form name="searchCategory" action="SystemTracking" method="post">
						<div class="box box-primary box-padding report separator">
							<div class="box-body no-padding" >
								<div class="col-sm-4 col-xs-12 form-group">
									<label for="OrganizationName">Organization Name</label>
									<select name="OrganizationName" id="OrganizationName" class="form-control">
										<option value=''>--select--</option>
										<?php foreach($organizationArray as $key=>$value) { ?>
										<option value="<?php echo $key; ?>" <?php if(isset($_SESSION['beacon_sess_organization_name']) && $_SESSION['beacon_sess_organization_name'] != '' && ($_SESSION['beacon_sess_organization_name'] == $key)) echo "selected"; ?>><?php echo $value; ?></option>
										<?php } ?>
									</select>
								</div>
								<!-- <div class="col-sm-4 col-xs-12 form-group">
									<label>User Name</label>
									<input type="text" placeholder="Name" class="form-control" name="UserName" id="UserName"  value="<?php if(isset($_SESSION['beacon_sess_users_user_name']) && $_SESSION['beacon_sess_users_user_name'] != '') echo stripslashes(htmlentities($_SESSION['beacon_sess_users_user_name']));  ?>" >
								</div> -->
								<div class="col-sm-4 col-xs-12 form-group">
									<label>Beacon Name</label>
									<input type="text" placeholder="Beacon Name" class="form-control" name="BeaconName" id="BeaconName"  value="<?php if(isset($_SESSION['beacon_sess_users_user_name']) && $_SESSION['beacon_sess_users_user_name'] != '') echo stripslashes(htmlentities($_SESSION['beacon_sess_users_user_name']));  ?>" >
								</div>
								<div class="col-sm-4 col-xs-12 form-group">
									<label>Hardware Name</label>
									<input type="text" placeholder="Hardware Name" class="form-control" name="DeviceId" id="DeviceId"  value="<?php  if(isset($_SESSION['beacon_sess_devices_device_id']) && $_SESSION['beacon_sess_devices_device_id'] != '') echo stripslashes(htmlentities($_SESSION['beacon_sess_devices_device_id'])); ?>" >
								</div>
								<div class="col-sm-4 col-xs-12 form-group">
									<label>From Date</label>
									<input type="text" placeholder="From Date" class="form-control datepicker" name="FromDate" id="FromDate"  value="<?php  if(isset($_SESSION['beacon_sess_system_from_date']) && $_SESSION['beacon_sess_system_from_date'] != '') echo stripslashes(htmlentities($_SESSION['beacon_sess_system_from_date'])); ?>" >
								</div>
								<div class="col-sm-4 col-xs-12 form-group">
									<label>To Date</label>
									<input type="text" placeholder="To Date" class="form-control datepicker" name="ToDate" id="ToDate"  value="<?php  if(isset($_SESSION['beacon_sess_system_to_date']) && $_SESSION['beacon_sess_system_to_date'] != '') echo stripslashes(htmlentities($_SESSION['beacon_sess_system_to_date'])); ?>" >
								</div>
								<div class="col-sm-4 col-xs-12 form-group" align="center">
								<label>&nbsp;</label>
									<input type="submit" class="btn btn-success fleft" name="Search" id="Search" value="Search">
								</div>
							</div>
						</div>
					</form>
					<!-- form end -->
					
					<div class="row paging paging-margin report col-xs-12">
						<div class="col-xs-12 col-sm-2 no-padding">
							<?php if(isset($system_details) && is_array($system_details) && count($system_details) > 0){ ?>
							<div class="dataTables_info"><span class="">No. of System Trckings&nbsp:&nbsp;<strong><?php echo $tot_rec; ?></strong> </span></div>
							<?php } ?>
						</div>
						<div class="col-xs-12 col-sm-10">
							<div class="dataTables_paginate paging_bootstrap row">
							<?php if(is_array($system_details) && count($system_details) > 0 ) {
									pagingControlLatest($tot_rec,'SystemTracking'); ?>
							<?php }?>
							</div>
						</div>
					</div>	
					<?php if(isset($msg) && $msg != '') { ?>
					<div class="row col-xs-12">
						   <div align="center" class="alert <?php  echo $class;  ?> alert-dismissable col-xs-11 col-lg-3 col-sm-4"><i class="fa fa-check"></i>  <?php echo $msg; ?></div>
					</div>	
					<?php } ?>
					<div class="table-responsive">
						<table width="100%" class="table" cellpadding="0" cellspacing="0">
							<tr>
								<th align="center" width="3%" style="text-align:center;">#</th>
								<th width="10%" align="left" style="text-align:left;"><?php echo sortColumn('Description','Beacon Name'); ?> </th>
								<th width="10%" align="left" style="text-align:left;"><?php echo sortColumn('fkOrganizationId','OrganizationName'); ?></th>
								<th width="20%" align="left" style="text-align:left;"><?php echo sortColumn('DeviceName','HardwareName'); ?></th>
								<th width="5%" align="left" style="text-align:left;">Minor</th>
								<th width="5%" align="left" style="text-align:left;">Major</th>
								<th width="5%" align="left" style="text-align:left;">MatchAngle</th>
								<th width="10%" align="left" style="text-align:left;">DateCreated</th>
							</tr>
							<?php if(isset($system_details) && is_array($system_details) && count($system_details) > 0 ) {
										foreach($system_details as $key => $value) { 
							?>
							<tr id="test_id_<?php echo $value->id;?>">
								<td align="center" style="text-align:center;" nowrap><?php echo (($_SESSION['curpage'] - 1) * ($_SESSION['perpage']))+$key+1;?></td>
								<!-- <td><?php 
								// if(isset($value->UserName) && $value->UserName !='')
								/* {
									echo ucfirst($value->UserName); 
									if($value->fkAdminsId == 1) echo "<br><span style='font-size:12px;color:grey;'>(admin)</span>";
									else echo "<br><span style='font-size:12px;color:grey;'>(sub admin)</span>";
								}
								else if(isset($value->FirstName) && $value->FirstName !='' && isset($value->LastName) && $value->LastName !='') 
								{	
									echo ucfirst($value->FirstName." ".$value->LastName);
									echo "<br><span style='font-size:12px;color:grey;'>(user)</span>";
								}	
								else echo '-'; */?></td> -->
								<td><?php if(isset($value->Description) && $value->Description != '') echo ucfirst($value->Description); else echo '-'; ?></td>
								<td><?php if(isset($organizationArray[$value->fkOrganizationId])) echo ucfirst($organizationArray[$value->fkOrganizationId]); else echo '-'; ?></td>
								<!-- <td><?php if(isset($value->DeviceId) && $value->DeviceId != '') echo $value->DeviceId; else echo '-';?></td> -->
								<td><?php if(isset($value->DeviceName) && $value->DeviceName != '') echo $value->DeviceName; else echo '-'; ?></td>
								<td><?php if(isset($value->Minor) && $value->Minor != '') echo $value->Minor; else echo '-';?></td>
								<td><?php if(isset($value->Major) && $value->Major != '') echo $value->Major; else echo '-';?></td>
								<td><?php if(isset($value->MatchAngle) && $value->MatchAngle != '') echo $value->MatchAngle; else echo '-';?></td>
								<td>
								<?php if(isset($value->DateCreated) && $value->DateCreated != '' && $value->DateCreated != '0000-00-00 00:00:00' && $value->DateCreated != '1970-01-01 00:00:00'){
									$gmt_current_start_time = convertIntocheckinGmtSite($value->DateCreated);
									$date_created			=  displayConversationDateTimeForLog($gmt_current_start_time,$_SESSION['beacon_ses_from_timeZone']);
									dateSplitter($date_created); 
								} else echo "-";?>
							</tr>
							<?php } } else { ?>
							<tr>
								<td colspan="9" align="center">
									<div class="alert col-sm-4 col-xs-12 " style="color:red;"> No Beacon Identifiers found</div> 
								</td>
							</tr>
							<?php } ?>
						</table>
					</div>
							
					<!-- GENERAL SETTINGS END-->
						
				</div><!-- /.box -->
			</div>
		</div><!-- /.row -->
	</section><!-- /.content -->	
<?php commonFooter(); ?>
</html>
<script type="text/javascript">
	$(".datepicker").datepicker({
	showButtonPanel	:	true,        
    buttonText		:	'',
    buttonImageOnly	:	true,
    dateFormat		:	'mm/dd/yy',
	changeMonth		:	true,
	changeYear		:	true,
	hideIfNoPrevNext:	true,
	showWeek		:	true,
	yearRange		:	"c-30:c",
	closeText		:   "Close"
   });
</script>