<?php 
require_once('includes/CommonIncludes.php');
admin_login_check();
require_once('controllers/DeviceController.php');
require_once('controllers/UserController.php');	
$deviceObj   		=   new DeviceController();

if(isset($_SESSION['beacon_sess_user_type']) && $_SESSION['beacon_sess_user_type'] != 1) // user 
	header("location:Devices?cs=1");


commonHead();

$class = $msg = '';

$fields			= '*';
$condition		= "DeviceType in (3,4)";
$deviceArray	=  $deviceObj->selectDeviceDetails($fields,$condition);

$OpendoorIdentifier = $TrafficIdentifier = '';
if($deviceArray){
	foreach($deviceArray as $key=>$value){
		if($value->DeviceType == 3){
			//Traffic
				$TrafficIdentifier 	= $value->DeviceId;
				$TrafficId 			= $value->id;
		}
		else if($value->DeviceType == 4){
			//Opendoor
				$OpendoorIdentifier = $value->DeviceId;
				$OpendoorId 		= $value->id;
		}
	}
}
if(isset($_POST['submit']) && $_POST['submit'] != ''){
	if(isset($_POST['OpendoorIdentifier']))
		$OpendoorIdentifier 		= 	$_POST['OpendoorIdentifier'];
	if(isset($_POST['TrafficIdentifier']))
		$TrafficIdentifier			=	$_POST['TrafficIdentifier'];

	// echo "<pre>======";print_r($_POST);echo "=====</pre>";die();
		
	if(isset($_POST['TrafficId']) && $_POST['TrafficId'] != '' && $TrafficIdentifier != '') {
		$fields		=	"DeviceId	=	'".$TrafficIdentifier."'";
		$condition	=	"id = '".$TrafficId."' AND DeviceType = 3";
		$deviceObj->updateDeviceDetails($fields,$condition);
		
	}
	if(isset($_POST['Opendoorid']) && $_POST['Opendoorid'] !='' && $OpendoorIdentifier != '') {
		$fields		=	"DeviceId	=	'".$OpendoorIdentifier."'";
		$condition	=	"id = '".$OpendoorId."' AND DeviceType = 4";
		$deviceObj->updateDeviceDetails($fields,$condition);
	}
	header("Location:TrafficOpendoorUUID?msg=1");
}
if(isset($_GET['msg']) && $_GET['msg'] == 1 ) {
	$msg		= "UUID updated successfully";
	$class		= "alert-success";
	/*$class_icon = "fa-check";
	$display 	= "block"; */
}
?>
<body class="skin-blue">
	<?php top_header(); ?>
	<section class="content">
		<div class="row">
			<form name="update_device_form" id="update_device_form" action="" method="post">
				<div class="col-md-12"> 
					<div class="box box-primary"> 
				<h2>Update Traffic / OpenDoor Identifiers</h2>
				<?php if(isset($_GET['msg']) && $_GET['msg'] == 1 ) { ?>
					<div class="row col-xs-12">
						   <div align="center" class="alert <?php  echo $class;  ?> alert-dismissable col-xs-11  col-sm-4"><i class="fa fa-check"></i>  <?php echo $msg; ?></div>
					</div>	
				<?php } ?>
				<div class="box-padding">
					<div class="form-group col-sm-6">
						<label>Traffic Identifier</label>
						<input type="hidden" name="TrafficId" id="TrafficId" value="<?php echo $TrafficId; ?>" /> 
						<input type="text" class="form-control" name="TrafficIdentifier" maxlength="100" value = "<?php if(isset($TrafficIdentifier) && $TrafficIdentifier != '') echo $TrafficIdentifier; ?>" />
					</div>
					<div class="form-group col-sm-6 ">
						<label>Opendoor Identifier</label>
						<input type="hidden" name="Opendoorid" id="Opendoorid" value="<?php echo $OpendoorId; ?>"/>
						<input type="text" class="form-control" name="OpendoorIdentifier" maxlength="100" value= "<?php if(isset($OpendoorIdentifier) && $OpendoorIdentifier != '') echo $OpendoorIdentifier; ?>" />
					</div>
					<div class="box-footer  col-xs-12" align="center">
						<input type="submit" class="btn btn-success mR-button" name="submit" id="submit" value="Save" title="Save" alt="Save">
						<?php $href_page = "Devices"; ?>	
						<a href="<?php if(isset($href_page) && $href_page != '' ) echo $href_page; else echo 'Customers'; ?>" name="Back" class="btn btn-default" id="Back" title="Back" alt="Back" >Back </a>
					</div>
				</div>
			</div><!-- /.box -->
		</div><!-- /.col -->
		</form>	
		</div><!-- /.row -->
	</section><!-- /.content -->
<?php commonFooter(); ?>
	<script type="text/javascript" src="https://maps.googleapis.com/maps/api/js?key=AIzaSyCeIbrMJNmUVrn1yjRUp804JxhSHtg5UqI"></script>
	<script type="text/javascript">
	</script>
</html>

